/* CustomMessageDialog.c generated by valac 0.34.6, the Vala compiler
 * generated from CustomMessageDialog.vala, do not modify */

/*
 * CustomMessageDialog.vala
 *
 * Copyright 2012-2018 Tony George <teejeetech@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <pango/pango.h>
#include <glib/gi18n-lib.h>


#define TYPE_CUSTOM_MESSAGE_DIALOG (custom_message_dialog_get_type ())
#define CUSTOM_MESSAGE_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_CUSTOM_MESSAGE_DIALOG, CustomMessageDialog))
#define CUSTOM_MESSAGE_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_CUSTOM_MESSAGE_DIALOG, CustomMessageDialogClass))
#define IS_CUSTOM_MESSAGE_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_CUSTOM_MESSAGE_DIALOG))
#define IS_CUSTOM_MESSAGE_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_CUSTOM_MESSAGE_DIALOG))
#define CUSTOM_MESSAGE_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_CUSTOM_MESSAGE_DIALOG, CustomMessageDialogClass))

typedef struct _CustomMessageDialog CustomMessageDialog;
typedef struct _CustomMessageDialogClass CustomMessageDialogClass;
typedef struct _CustomMessageDialogPrivate CustomMessageDialogPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

struct _CustomMessageDialog {
	GtkDialog parent_instance;
	CustomMessageDialogPrivate * priv;
};

struct _CustomMessageDialogClass {
	GtkDialogClass parent_class;
};

struct _CustomMessageDialogPrivate {
	GtkBox* vbox_main;
	GtkLabel* lbl_msg;
	GtkScrolledWindow* sw_msg;
	GtkButton* btn_ok;
	GtkButton* btn_cancel;
	GtkButton* btn_yes;
	GtkButton* btn_no;
	gchar* msg_title;
	gchar* msg_body;
	GtkMessageType msg_type;
	GtkButtonsType buttons_type;
};


static gpointer custom_message_dialog_parent_class = NULL;

GType custom_message_dialog_get_type (void) G_GNUC_CONST;
#define CUSTOM_MESSAGE_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_CUSTOM_MESSAGE_DIALOG, CustomMessageDialogPrivate))
enum  {
	CUSTOM_MESSAGE_DIALOG_DUMMY_PROPERTY
};
CustomMessageDialog* custom_message_dialog_new (const gchar* _msg_title, const gchar* _msg_body, GtkMessageType _msg_type, GtkWindow* parent, GtkButtonsType _buttons_type);
CustomMessageDialog* custom_message_dialog_construct (GType object_type, const gchar* _msg_title, const gchar* _msg_body, GtkMessageType _msg_type, GtkWindow* parent, GtkButtonsType _buttons_type);
void custom_message_dialog_init_window (CustomMessageDialog* self);
GdkPixbuf* icon_manager_lookup (const gchar* icon_name, gint icon_size, gboolean symbolic, gboolean use_hardcoded, gint scale);
gchar* tee_jee_misc_escape_html (const gchar* html, gboolean pango_markup);
static void custom_message_dialog_finalize (GObject* obj);


CustomMessageDialog* custom_message_dialog_construct (GType object_type, const gchar* _msg_title, const gchar* _msg_body, GtkMessageType _msg_type, GtkWindow* parent, GtkButtonsType _buttons_type) {
	CustomMessageDialog * self = NULL;
	GtkWindow* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	GtkMessageType _tmp5_ = 0;
	GtkButtonsType _tmp6_ = 0;
	GtkLabel* _tmp7_ = NULL;
	GtkScrolledWindow* _tmp8_ = NULL;
	GtkScrolledWindow* _tmp9_ = NULL;
	GtkScrolledWindow* _tmp10_ = NULL;
	GtkLabel* _tmp11_ = NULL;
	gint _tmp12_ = 0;
#line 51 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	g_return_val_if_fail (_msg_title != NULL, NULL);
#line 51 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	g_return_val_if_fail (_msg_body != NULL, NULL);
#line 51 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	self = (CustomMessageDialog*) g_object_new (object_type, NULL);
#line 55 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp0_ = parent;
#line 55 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	gtk_window_set_transient_for ((GtkWindow*) self, _tmp0_);
#line 56 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	gtk_window_set_modal ((GtkWindow*) self, TRUE);
#line 58 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp1_ = _msg_title;
#line 58 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 58 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_g_free0 (self->priv->msg_title);
#line 58 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	self->priv->msg_title = _tmp2_;
#line 59 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp3_ = _msg_body;
#line 59 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp4_ = g_strdup (_tmp3_);
#line 59 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_g_free0 (self->priv->msg_body);
#line 59 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	self->priv->msg_body = _tmp4_;
#line 60 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp5_ = _msg_type;
#line 60 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	self->priv->msg_type = _tmp5_;
#line 61 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp6_ = _buttons_type;
#line 61 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	self->priv->buttons_type = _tmp6_;
#line 63 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	custom_message_dialog_init_window (self);
#line 67 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp7_ = self->priv->lbl_msg;
#line 67 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	g_object_set ((GtkWidget*) _tmp7_, "expand", TRUE, NULL);
#line 68 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp8_ = self->priv->sw_msg;
#line 68 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	g_object_set ((GtkWidget*) _tmp8_, "expand", TRUE, NULL);
#line 69 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp9_ = self->priv->sw_msg;
#line 69 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	g_object_set (_tmp9_, "vscrollbar-policy", GTK_POLICY_NEVER, NULL);
#line 74 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp10_ = self->priv->sw_msg;
#line 74 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	gtk_widget_set_size_request ((GtkWidget*) _tmp10_, 500, 150);
#line 79 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 84 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp11_ = self->priv->lbl_msg;
#line 84 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp12_ = gtk_widget_get_allocated_height ((GtkWidget*) _tmp11_);
#line 84 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	if (_tmp12_ > 400) {
#line 167 "CustomMessageDialog.c"
		GtkScrolledWindow* _tmp13_ = NULL;
		GtkScrolledWindow* _tmp14_ = NULL;
#line 85 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
		_tmp13_ = self->priv->sw_msg;
#line 85 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
		g_object_set (_tmp13_, "vscrollbar-policy", GTK_POLICY_AUTOMATIC, NULL);
#line 86 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
		_tmp14_ = self->priv->sw_msg;
#line 86 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
		gtk_widget_set_size_request ((GtkWidget*) _tmp14_, 500, 400);
#line 178 "CustomMessageDialog.c"
	}
#line 51 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	return self;
#line 182 "CustomMessageDialog.c"
}


CustomMessageDialog* custom_message_dialog_new (const gchar* _msg_title, const gchar* _msg_body, GtkMessageType _msg_type, GtkWindow* parent, GtkButtonsType _buttons_type) {
#line 51 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	return custom_message_dialog_construct (TYPE_CUSTOM_MESSAGE_DIALOG, _msg_title, _msg_body, _msg_type, parent, _buttons_type);
#line 189 "CustomMessageDialog.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 106 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 196 "CustomMessageDialog.c"
}


void custom_message_dialog_init_window (CustomMessageDialog* self) {
	GdkPixbuf* _tmp0_ = NULL;
	GdkPixbuf* _tmp1_ = NULL;
	GtkBox* _tmp2_ = NULL;
	GtkBox* _tmp3_ = NULL;
	GtkBox* _tmp4_ = NULL;
	GtkBox* hbox_contents = NULL;
	GtkBox* _tmp5_ = NULL;
	GtkBox* _tmp6_ = NULL;
	GtkBox* _tmp7_ = NULL;
	GtkBox* _tmp8_ = NULL;
	gchar* icon_name = NULL;
	gchar* _tmp9_ = NULL;
	GtkMessageType _tmp10_ = 0;
	GtkImage* img = NULL;
	const gchar* _tmp15_ = NULL;
	GtkImage* _tmp16_ = NULL;
	GtkImage* _tmp17_ = NULL;
	GtkBox* _tmp18_ = NULL;
	GtkImage* _tmp19_ = NULL;
	gchar* text = NULL;
	const gchar* _tmp20_ = NULL;
	gchar* _tmp21_ = NULL;
	gchar* _tmp22_ = NULL;
	const gchar* _tmp23_ = NULL;
	gchar* _tmp24_ = NULL;
	gchar* _tmp25_ = NULL;
	const gchar* _tmp26_ = NULL;
	GtkLabel* _tmp27_ = NULL;
	GtkLabel* _tmp28_ = NULL;
	GtkLabel* _tmp29_ = NULL;
	GtkLabel* _tmp30_ = NULL;
	GtkLabel* _tmp31_ = NULL;
	GtkLabel* _tmp32_ = NULL;
	GtkLabel* _tmp33_ = NULL;
	GtkLabel* _tmp34_ = NULL;
	GtkScrolledWindow* _tmp35_ = NULL;
	GtkScrolledWindow* _tmp36_ = NULL;
	GtkLabel* _tmp37_ = NULL;
	GtkScrolledWindow* _tmp38_ = NULL;
	GtkScrolledWindow* _tmp39_ = NULL;
	GtkBox* _tmp40_ = NULL;
	GtkScrolledWindow* _tmp41_ = NULL;
	GtkBox* action_area = NULL;
	GtkWidget* _tmp42_ = NULL;
	GtkBox* _tmp43_ = NULL;
	GtkBox* _tmp44_ = NULL;
	GtkButtonsType _tmp45_ = 0;
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	g_return_if_fail (self != NULL);
#line 97 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	gtk_window_set_title ((GtkWindow*) self, "");
#line 98 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	g_object_set ((GtkWindow*) self, "window-position", GTK_WIN_POS_CENTER_ON_PARENT, NULL);
#line 99 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp0_ = icon_manager_lookup ("timeshift", 16, FALSE, FALSE, 1);
#line 99 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp1_ = _tmp0_;
#line 99 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	gtk_window_set_icon ((GtkWindow*) self, _tmp1_);
#line 99 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_g_object_unref0 (_tmp1_);
#line 100 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	gtk_window_set_resizable ((GtkWindow*) self, FALSE);
#line 101 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	gtk_window_set_deletable ((GtkWindow*) self, FALSE);
#line 102 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	gtk_window_set_skip_taskbar_hint ((GtkWindow*) self, TRUE);
#line 103 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	gtk_window_set_skip_pager_hint ((GtkWindow*) self, TRUE);
#line 106 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp2_ = (GtkBox*) gtk_dialog_get_content_area ((GtkDialog*) self);
#line 106 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp3_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp2_, gtk_box_get_type ()) ? ((GtkBox*) _tmp2_) : NULL);
#line 106 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_g_object_unref0 (self->priv->vbox_main);
#line 106 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	self->priv->vbox_main = _tmp3_;
#line 107 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp4_ = self->priv->vbox_main;
#line 107 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	g_object_set ((GtkWidget*) _tmp4_, "margin", 6, NULL);
#line 110 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp5_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 6);
#line 110 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	g_object_ref_sink (_tmp5_);
#line 110 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	hbox_contents = _tmp5_;
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp6_ = hbox_contents;
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	g_object_set ((GtkWidget*) _tmp6_, "margin", 6, NULL);
#line 112 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp7_ = self->priv->vbox_main;
#line 112 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp8_ = hbox_contents;
#line 112 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp7_, (GtkWidget*) _tmp8_);
#line 114 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp9_ = g_strdup ("dialog-info");
#line 114 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	icon_name = _tmp9_;
#line 116 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp10_ = self->priv->msg_type;
#line 116 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	switch (_tmp10_) {
#line 116 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
		case GTK_MESSAGE_INFO:
#line 308 "CustomMessageDialog.c"
		{
			gchar* _tmp11_ = NULL;
#line 118 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_tmp11_ = g_strdup ("dialog-info");
#line 118 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_g_free0 (icon_name);
#line 118 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			icon_name = _tmp11_;
#line 119 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			break;
#line 319 "CustomMessageDialog.c"
		}
#line 116 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
		case GTK_MESSAGE_WARNING:
#line 323 "CustomMessageDialog.c"
		{
			gchar* _tmp12_ = NULL;
#line 121 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_tmp12_ = g_strdup ("dialog-warning");
#line 121 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_g_free0 (icon_name);
#line 121 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			icon_name = _tmp12_;
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			break;
#line 334 "CustomMessageDialog.c"
		}
#line 116 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
		case GTK_MESSAGE_QUESTION:
#line 338 "CustomMessageDialog.c"
		{
			gchar* _tmp13_ = NULL;
#line 124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_tmp13_ = g_strdup ("dialog-question");
#line 124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_g_free0 (icon_name);
#line 124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			icon_name = _tmp13_;
#line 125 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			break;
#line 349 "CustomMessageDialog.c"
		}
#line 116 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
		case GTK_MESSAGE_ERROR:
#line 353 "CustomMessageDialog.c"
		{
			gchar* _tmp14_ = NULL;
#line 127 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_tmp14_ = g_strdup ("dialog-error");
#line 127 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_g_free0 (icon_name);
#line 127 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			icon_name = _tmp14_;
#line 128 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			break;
#line 364 "CustomMessageDialog.c"
		}
		default:
#line 116 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
		break;
#line 369 "CustomMessageDialog.c"
	}
#line 133 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp15_ = icon_name;
#line 133 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp16_ = (GtkImage*) gtk_image_new_from_icon_name (_tmp15_, GTK_ICON_SIZE_DIALOG);
#line 133 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	g_object_ref_sink (_tmp16_);
#line 133 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	img = _tmp16_;
#line 134 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp17_ = img;
#line 134 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	gtk_widget_set_margin_right ((GtkWidget*) _tmp17_, 12);
#line 135 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp18_ = hbox_contents;
#line 135 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp19_ = img;
#line 135 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp18_, (GtkWidget*) _tmp19_);
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp20_ = self->priv->msg_title;
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp21_ = tee_jee_misc_escape_html (_tmp20_, TRUE);
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp22_ = _tmp21_;
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp23_ = self->priv->msg_body;
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp24_ = g_strdup_printf ("<span weight=\"bold\" size=\"x-large\">%s</span>\n\n%s", _tmp22_, _tmp23_);
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp25_ = _tmp24_;
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_g_free0 (_tmp22_);
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	text = _tmp25_;
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp26_ = text;
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp27_ = (GtkLabel*) gtk_label_new (_tmp26_);
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	g_object_ref_sink (_tmp27_);
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_g_object_unref0 (self->priv->lbl_msg);
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	self->priv->lbl_msg = _tmp27_;
#line 143 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp28_ = self->priv->lbl_msg;
#line 143 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	gtk_label_set_xalign (_tmp28_, 0.0f);
#line 144 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp29_ = self->priv->lbl_msg;
#line 144 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	gtk_label_set_yalign (_tmp29_, 0.0f);
#line 145 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp30_ = self->priv->lbl_msg;
#line 145 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	gtk_label_set_max_width_chars (_tmp30_, 70);
#line 146 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp31_ = self->priv->lbl_msg;
#line 146 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	g_object_set (_tmp31_, "wrap", TRUE, NULL);
#line 147 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp32_ = self->priv->lbl_msg;
#line 147 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	g_object_set (_tmp32_, "wrap-mode", PANGO_WRAP_WORD_CHAR, NULL);
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp33_ = self->priv->lbl_msg;
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	gtk_label_set_use_markup (_tmp33_, TRUE);
#line 149 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp34_ = self->priv->lbl_msg;
#line 149 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	gtk_widget_set_margin_right ((GtkWidget*) _tmp34_, 25);
#line 152 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp35_ = (GtkScrolledWindow*) gtk_scrolled_window_new (NULL, NULL);
#line 152 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	g_object_ref_sink (_tmp35_);
#line 152 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_g_object_unref0 (self->priv->sw_msg);
#line 152 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	self->priv->sw_msg = _tmp35_;
#line 154 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp36_ = self->priv->sw_msg;
#line 154 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp37_ = self->priv->lbl_msg;
#line 154 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp36_, (GtkWidget*) _tmp37_);
#line 155 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp38_ = self->priv->sw_msg;
#line 155 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	g_object_set (_tmp38_, "hscrollbar-policy", GTK_POLICY_NEVER, NULL);
#line 156 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp39_ = self->priv->sw_msg;
#line 156 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	g_object_set (_tmp39_, "vscrollbar-policy", GTK_POLICY_NEVER, NULL);
#line 158 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp40_ = hbox_contents;
#line 158 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp41_ = self->priv->sw_msg;
#line 158 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp40_, (GtkWidget*) _tmp41_);
#line 162 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp42_ = gtk_dialog_get_action_area ((GtkDialog*) self);
#line 162 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp43_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp42_, gtk_box_get_type ()) ? ((GtkBox*) _tmp42_) : NULL);
#line 162 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	action_area = _tmp43_;
#line 163 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp44_ = action_area;
#line 163 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	gtk_widget_set_margin_top ((GtkWidget*) _tmp44_, 12);
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_tmp45_ = self->priv->buttons_type;
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	switch (_tmp45_) {
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
		case GTK_BUTTONS_OK:
#line 487 "CustomMessageDialog.c"
		{
			const gchar* _tmp46_ = NULL;
			GtkWidget* _tmp47_ = NULL;
			GtkButton* _tmp48_ = NULL;
			GtkButton* _tmp49_ = NULL;
#line 167 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_tmp46_ = _ ("OK");
#line 167 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_tmp47_ = gtk_dialog_add_button ((GtkDialog*) self, _tmp46_, (gint) GTK_RESPONSE_OK);
#line 167 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_tmp48_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp47_, gtk_button_get_type (), GtkButton));
#line 167 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_g_object_unref0 (self->priv->btn_ok);
#line 167 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			self->priv->btn_ok = _tmp48_;
#line 168 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_tmp49_ = self->priv->btn_ok;
#line 168 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			gtk_widget_grab_focus ((GtkWidget*) _tmp49_);
#line 169 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			break;
#line 509 "CustomMessageDialog.c"
		}
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
		case GTK_BUTTONS_OK_CANCEL:
#line 513 "CustomMessageDialog.c"
		{
			const gchar* _tmp50_ = NULL;
			GtkWidget* _tmp51_ = NULL;
			GtkButton* _tmp52_ = NULL;
			const gchar* _tmp53_ = NULL;
			GtkWidget* _tmp54_ = NULL;
			GtkButton* _tmp55_ = NULL;
			GtkButton* _tmp56_ = NULL;
#line 171 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_tmp50_ = _ ("OK");
#line 171 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_tmp51_ = gtk_dialog_add_button ((GtkDialog*) self, _tmp50_, (gint) GTK_RESPONSE_OK);
#line 171 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_tmp52_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp51_, gtk_button_get_type (), GtkButton));
#line 171 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_g_object_unref0 (self->priv->btn_ok);
#line 171 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			self->priv->btn_ok = _tmp52_;
#line 172 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_tmp53_ = _ ("Cancel");
#line 172 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_tmp54_ = gtk_dialog_add_button ((GtkDialog*) self, _tmp53_, (gint) GTK_RESPONSE_CANCEL);
#line 172 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_tmp55_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp54_, gtk_button_get_type (), GtkButton));
#line 172 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_g_object_unref0 (self->priv->btn_cancel);
#line 172 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			self->priv->btn_cancel = _tmp55_;
#line 173 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_tmp56_ = self->priv->btn_ok;
#line 173 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			gtk_widget_grab_focus ((GtkWidget*) _tmp56_);
#line 174 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			break;
#line 548 "CustomMessageDialog.c"
		}
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
		case GTK_BUTTONS_YES_NO:
#line 552 "CustomMessageDialog.c"
		{
			const gchar* _tmp57_ = NULL;
			GtkWidget* _tmp58_ = NULL;
			GtkButton* _tmp59_ = NULL;
			const gchar* _tmp60_ = NULL;
			GtkWidget* _tmp61_ = NULL;
			GtkButton* _tmp62_ = NULL;
			GtkButton* _tmp63_ = NULL;
#line 176 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_tmp57_ = _ ("Yes");
#line 176 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_tmp58_ = gtk_dialog_add_button ((GtkDialog*) self, _tmp57_, (gint) GTK_RESPONSE_YES);
#line 176 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_tmp59_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp58_, gtk_button_get_type (), GtkButton));
#line 176 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_g_object_unref0 (self->priv->btn_yes);
#line 176 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			self->priv->btn_yes = _tmp59_;
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_tmp60_ = _ ("No");
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_tmp61_ = gtk_dialog_add_button ((GtkDialog*) self, _tmp60_, (gint) GTK_RESPONSE_NO);
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_tmp62_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp61_, gtk_button_get_type (), GtkButton));
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_g_object_unref0 (self->priv->btn_no);
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			self->priv->btn_no = _tmp62_;
#line 178 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			_tmp63_ = self->priv->btn_yes;
#line 178 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			gtk_widget_grab_focus ((GtkWidget*) _tmp63_);
#line 179 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
			break;
#line 587 "CustomMessageDialog.c"
		}
		default:
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
		break;
#line 592 "CustomMessageDialog.c"
	}
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_g_object_unref0 (action_area);
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_g_free0 (text);
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_g_object_unref0 (img);
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_g_free0 (icon_name);
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_g_object_unref0 (hbox_contents);
#line 604 "CustomMessageDialog.c"
}


static void custom_message_dialog_class_init (CustomMessageDialogClass * klass) {
#line 36 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	custom_message_dialog_parent_class = g_type_class_peek_parent (klass);
#line 36 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	g_type_class_add_private (klass, sizeof (CustomMessageDialogPrivate));
#line 36 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = custom_message_dialog_finalize;
#line 615 "CustomMessageDialog.c"
}


static void custom_message_dialog_instance_init (CustomMessageDialog * self) {
#line 36 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	self->priv = CUSTOM_MESSAGE_DIALOG_GET_PRIVATE (self);
#line 622 "CustomMessageDialog.c"
}


static void custom_message_dialog_finalize (GObject* obj) {
	CustomMessageDialog * self;
#line 36 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_CUSTOM_MESSAGE_DIALOG, CustomMessageDialog);
#line 38 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_g_object_unref0 (self->priv->vbox_main);
#line 39 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_g_object_unref0 (self->priv->lbl_msg);
#line 40 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_g_object_unref0 (self->priv->sw_msg);
#line 41 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_g_object_unref0 (self->priv->btn_ok);
#line 42 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_g_object_unref0 (self->priv->btn_cancel);
#line 43 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_g_object_unref0 (self->priv->btn_yes);
#line 44 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_g_object_unref0 (self->priv->btn_no);
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_g_free0 (self->priv->msg_title);
#line 47 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	_g_free0 (self->priv->msg_body);
#line 36 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Gtk/CustomMessageDialog.vala"
	G_OBJECT_CLASS (custom_message_dialog_parent_class)->finalize (obj);
#line 650 "CustomMessageDialog.c"
}


GType custom_message_dialog_get_type (void) {
	static volatile gsize custom_message_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&custom_message_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (CustomMessageDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) custom_message_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (CustomMessageDialog), 0, (GInstanceInitFunc) custom_message_dialog_instance_init, NULL };
		GType custom_message_dialog_type_id;
		custom_message_dialog_type_id = g_type_register_static (gtk_dialog_get_type (), "CustomMessageDialog", &g_define_type_info, 0);
		g_once_init_leave (&custom_message_dialog_type_id__volatile, custom_message_dialog_type_id);
	}
	return custom_message_dialog_type_id__volatile;
}



