/* FsTabEntry.c generated by valac 0.34.6, the Vala compiler
 * generated from FsTabEntry.vala, do not modify */

/*
 * FsTabEntry.vala
 *
 * Copyright 2012-2018 Tony George <teejeetech@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gee.h>
#include <gtk/gtk.h>


#define TYPE_FS_TAB_ENTRY (fs_tab_entry_get_type ())
#define FS_TAB_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_FS_TAB_ENTRY, FsTabEntry))
#define FS_TAB_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_FS_TAB_ENTRY, FsTabEntryClass))
#define IS_FS_TAB_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_FS_TAB_ENTRY))
#define IS_FS_TAB_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_FS_TAB_ENTRY))
#define FS_TAB_ENTRY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_FS_TAB_ENTRY, FsTabEntryClass))

typedef struct _FsTabEntry FsTabEntry;
typedef struct _FsTabEntryClass FsTabEntryClass;
typedef struct _FsTabEntryPrivate FsTabEntryPrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define TYPE_CRYPT_TAB_ENTRY (crypt_tab_entry_get_type ())
#define CRYPT_TAB_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_CRYPT_TAB_ENTRY, CryptTabEntry))
#define CRYPT_TAB_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_CRYPT_TAB_ENTRY, CryptTabEntryClass))
#define IS_CRYPT_TAB_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_CRYPT_TAB_ENTRY))
#define IS_CRYPT_TAB_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_CRYPT_TAB_ENTRY))
#define CRYPT_TAB_ENTRY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_CRYPT_TAB_ENTRY, CryptTabEntryClass))

typedef struct _CryptTabEntry CryptTabEntry;
typedef struct _CryptTabEntryClass CryptTabEntryClass;

#define TYPE_DEVICE (device_get_type ())
#define DEVICE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_DEVICE, Device))
#define DEVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_DEVICE, DeviceClass))
#define IS_DEVICE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_DEVICE))
#define IS_DEVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_DEVICE))
#define DEVICE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_DEVICE, DeviceClass))

typedef struct _Device Device;
typedef struct _DeviceClass DeviceClass;
typedef struct _CryptTabEntryPrivate CryptTabEntryPrivate;

struct _FsTabEntry {
	GObject parent_instance;
	FsTabEntryPrivate * priv;
	gboolean is_comment;
	gboolean is_empty_line;
	gchar* device_string;
	gchar* mount_point;
	gchar* type;
	gchar* options;
	gchar* dump;
	gchar* pass;
	gchar* line;
};

struct _FsTabEntryClass {
	GObjectClass parent_class;
};

struct _CryptTabEntry {
	GObject parent_instance;
	CryptTabEntryPrivate * priv;
	gboolean is_comment;
	gboolean is_empty_line;
	gchar* mapped_name;
	gchar* device_string;
	gchar* keyfile;
	gchar* options;
	gchar* line;
};

struct _CryptTabEntryClass {
	GObjectClass parent_class;
};


static gpointer fs_tab_entry_parent_class = NULL;

GType fs_tab_entry_get_type (void) G_GNUC_CONST;
enum  {
	FS_TAB_ENTRY_DUMMY_PROPERTY,
	FS_TAB_ENTRY_DEVICE_UUID
};
GeeArrayList* fs_tab_entry_read_file (const gchar* file_path);
gboolean tee_jee_file_system_file_exists (const gchar* file_path);
gchar* tee_jee_file_system_file_read (const gchar* file_path);
FsTabEntry* fs_tab_entry_new (void);
FsTabEntry* fs_tab_entry_construct (GType object_type);
gchar* fs_tab_entry_write_file (GeeArrayList* entries, const gchar* file_path, gboolean keep_comments_and_empty_lines);
static gint __lambda6_ (FsTabEntry* a, FsTabEntry* b);
static gint ___lambda6__gcompare_data_func (gconstpointer a, gconstpointer b, gpointer self);
gboolean tee_jee_file_system_file_delete (const gchar* file_path);
gboolean tee_jee_file_system_file_write (const gchar* file_path, const gchar* contents);
gchar* fs_tab_entry_subvolume_name (FsTabEntry* self);
gboolean fs_tab_entry_is_for_system_directory (FsTabEntry* self);
FsTabEntry* fs_tab_entry_find_entry_by_mount_point (GeeArrayList* entries, const gchar* mount_path);
GType crypt_tab_entry_get_type (void) G_GNUC_CONST;
GType device_get_type (void) G_GNUC_CONST;
Device* fs_tab_entry_resolve_device (FsTabEntry* self, GeeArrayList* crypttab, GtkWindow* parent_window);
gchar* fs_tab_entry_get_device_uuid (FsTabEntry* self);
Device* device_get_device_by_uuid (const gchar* uuid);
Device* device_get_device_by_name (const gchar* file_name);
Device* device_luks_unlock (Device* luks_device, const gchar* mapped_name, const gchar* passphrase, GtkWindow* parent_window, gchar** message, gchar** details);
void fs_tab_entry_append_option (FsTabEntry* self, const gchar* option);
void fs_tab_entry_remove_option (FsTabEntry* self, const gchar* option);
void fs_tab_entry_set_device_uuid (FsTabEntry* self, const gchar* value);
static void fs_tab_entry_finalize (GObject* obj);
static void _vala_fs_tab_entry_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_fs_tab_entry_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


static gchar* string_strip (const gchar* self) {
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 1207 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1208 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1208 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1209 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1209 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1210 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _result_;
#line 1210 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 164 "FsTabEntry.c"
}


static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 177 "FsTabEntry.c"
	{
		GRegex* regex = NULL;
		const gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		GRegex* _tmp3_ = NULL;
		GRegex* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		GRegex* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp0_ = old;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp1_ = g_regex_escape_string (_tmp0_, -1);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_new (_tmp2_, 0, 0, &_inner_error_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp2_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		regex = _tmp4_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 208 "FsTabEntry.c"
				goto __catch53_g_regex_error;
			}
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 217 "FsTabEntry.c"
		}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp6_ = regex;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp7_ = replacement;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp8_ = g_regex_replace_literal (_tmp6_, self, (gssize) -1, 0, _tmp7_, 0, &_inner_error_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = _tmp8_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 233 "FsTabEntry.c"
				goto __catch53_g_regex_error;
			}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 244 "FsTabEntry.c"
		}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp9_ = _tmp5_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = NULL;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = _tmp9_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp5_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 258 "FsTabEntry.c"
	}
	goto __finally53;
	__catch53_g_regex_error:
	{
		GError* e = NULL;
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1385 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 272 "FsTabEntry.c"
	}
	__finally53:
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return NULL;
#line 283 "FsTabEntry.c"
	}
}


GeeArrayList* fs_tab_entry_read_file (const gchar* file_path) {
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	gchar* text = NULL;
	const gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar** lines = NULL;
	const gchar* _tmp5_ = NULL;
	gchar** _tmp6_ = NULL;
	gchar** _tmp7_ = NULL;
	gint lines_length1 = 0;
	gint _lines_size_ = 0;
	gchar** _tmp8_ = NULL;
	gint _tmp8__length1 = 0;
#line 58 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 60 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp0_ = gee_array_list_new (TYPE_FS_TAB_ENTRY, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 60 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	list = _tmp0_;
#line 62 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp1_ = file_path;
#line 62 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp2_ = tee_jee_file_system_file_exists (_tmp1_);
#line 62 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	if (!_tmp2_) {
#line 62 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		result = list;
#line 62 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		return result;
#line 321 "FsTabEntry.c"
	}
#line 64 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp3_ = file_path;
#line 64 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp4_ = tee_jee_file_system_file_read (_tmp3_);
#line 64 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	text = _tmp4_;
#line 66 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp5_ = text;
#line 66 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp7_ = _tmp6_ = g_strsplit (_tmp5_, "\n", 0);
#line 66 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	lines = _tmp7_;
#line 66 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	lines_length1 = _vala_array_length (_tmp6_);
#line 66 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_lines_size_ = lines_length1;
#line 68 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp8_ = lines;
#line 68 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp8__length1 = lines_length1;
#line 343 "FsTabEntry.c"
	{
		gchar** line_collection = NULL;
		gint line_collection_length1 = 0;
		gint _line_collection_size_ = 0;
		gint line_it = 0;
#line 68 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		line_collection = _tmp8_;
#line 68 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		line_collection_length1 = _tmp8__length1;
#line 68 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		for (line_it = 0; line_it < _tmp8__length1; line_it = line_it + 1) {
#line 355 "FsTabEntry.c"
			gchar* _tmp9_ = NULL;
			gchar* line = NULL;
#line 68 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp9_ = g_strdup (line_collection[line_it]);
#line 68 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			line = _tmp9_;
#line 362 "FsTabEntry.c"
			{
				FsTabEntry* entry = NULL;
				FsTabEntry* _tmp10_ = NULL;
				GeeArrayList* _tmp11_ = NULL;
				FsTabEntry* _tmp12_ = NULL;
				FsTabEntry* _tmp13_ = NULL;
				const gchar* _tmp14_ = NULL;
				gchar* _tmp15_ = NULL;
				gchar* _tmp16_ = NULL;
				gboolean _tmp17_ = FALSE;
				FsTabEntry* _tmp18_ = NULL;
				const gchar* _tmp19_ = NULL;
				gchar* _tmp20_ = NULL;
				gchar* _tmp21_ = NULL;
				gint _tmp22_ = 0;
				gint _tmp23_ = 0;
				FsTabEntry* _tmp24_ = NULL;
				gboolean _tmp25_ = FALSE;
#line 70 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp10_ = fs_tab_entry_new ();
#line 70 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				entry = _tmp10_;
#line 71 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp11_ = list;
#line 71 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp12_ = entry;
#line 71 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				gee_abstract_collection_add ((GeeAbstractCollection*) _tmp11_, _tmp12_);
#line 73 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp13_ = entry;
#line 73 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp14_ = line;
#line 73 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp15_ = string_strip (_tmp14_);
#line 73 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp16_ = _tmp15_;
#line 73 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp17_ = g_str_has_prefix (_tmp16_, "#");
#line 73 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp13_->is_comment = _tmp17_;
#line 73 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_g_free0 (_tmp16_);
#line 74 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp18_ = entry;
#line 74 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp19_ = line;
#line 74 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp20_ = string_strip (_tmp19_);
#line 74 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp21_ = _tmp20_;
#line 74 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp22_ = strlen (_tmp21_);
#line 74 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp23_ = _tmp22_;
#line 74 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp18_->is_empty_line = _tmp23_ == 0;
#line 74 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_g_free0 (_tmp21_);
#line 76 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp24_ = entry;
#line 76 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp25_ = _tmp24_->is_comment;
#line 76 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				if (_tmp25_) {
#line 427 "FsTabEntry.c"
					FsTabEntry* _tmp26_ = NULL;
					const gchar* _tmp27_ = NULL;
					gchar* _tmp28_ = NULL;
#line 78 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_tmp26_ = entry;
#line 78 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_tmp27_ = line;
#line 78 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_tmp28_ = g_strdup (_tmp27_);
#line 78 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_g_free0 (_tmp26_->line);
#line 78 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_tmp26_->line = _tmp28_;
#line 441 "FsTabEntry.c"
				} else {
					FsTabEntry* _tmp29_ = NULL;
					gboolean _tmp30_ = FALSE;
#line 80 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_tmp29_ = entry;
#line 80 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_tmp30_ = _tmp29_->is_empty_line;
#line 80 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					if (_tmp30_) {
#line 451 "FsTabEntry.c"
						FsTabEntry* _tmp31_ = NULL;
						gchar* _tmp32_ = NULL;
#line 82 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp31_ = entry;
#line 82 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp32_ = g_strdup ("");
#line 82 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_g_free0 (_tmp31_->line);
#line 82 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp31_->line = _tmp32_;
#line 462 "FsTabEntry.c"
					} else {
						FsTabEntry* _tmp33_ = NULL;
						const gchar* _tmp34_ = NULL;
						gchar* _tmp35_ = NULL;
						gchar** parts = NULL;
						const gchar* _tmp36_ = NULL;
						gchar* _tmp37_ = NULL;
						gchar* _tmp38_ = NULL;
						gchar** _tmp39_ = NULL;
						gchar** _tmp40_ = NULL;
						gchar** _tmp41_ = NULL;
						gint _tmp41__length1 = 0;
						gint parts_length1 = 0;
						gint _parts_size_ = 0;
						gint part_num = 0;
						gchar** _tmp42_ = NULL;
						gint _tmp42__length1 = 0;
#line 85 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp33_ = entry;
#line 85 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp34_ = line;
#line 85 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp35_ = g_strdup (_tmp34_);
#line 85 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_g_free0 (_tmp33_->line);
#line 85 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp33_->line = _tmp35_;
#line 87 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp36_ = line;
#line 87 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp37_ = string_replace (_tmp36_, "\t", " ");
#line 87 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp38_ = _tmp37_;
#line 87 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp40_ = _tmp39_ = g_strsplit (_tmp38_, " ", 0);
#line 87 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp41_ = _tmp40_;
#line 87 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp41__length1 = _vala_array_length (_tmp39_);
#line 87 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_g_free0 (_tmp38_);
#line 87 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						parts = _tmp41_;
#line 87 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						parts_length1 = _tmp41__length1;
#line 87 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_parts_size_ = parts_length1;
#line 89 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						part_num = -1;
#line 91 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp42_ = parts;
#line 91 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp42__length1 = parts_length1;
#line 516 "FsTabEntry.c"
						{
							gchar** part_collection = NULL;
							gint part_collection_length1 = 0;
							gint _part_collection_size_ = 0;
							gint part_it = 0;
#line 91 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
							part_collection = _tmp42_;
#line 91 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
							part_collection_length1 = _tmp42__length1;
#line 91 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
							for (part_it = 0; part_it < _tmp42__length1; part_it = part_it + 1) {
#line 528 "FsTabEntry.c"
								gchar* _tmp43_ = NULL;
								gchar* part = NULL;
#line 91 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
								_tmp43_ = g_strdup (part_collection[part_it]);
#line 91 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
								part = _tmp43_;
#line 535 "FsTabEntry.c"
								{
									const gchar* _tmp44_ = NULL;
									gchar* _tmp45_ = NULL;
									gchar* _tmp46_ = NULL;
									gint _tmp47_ = 0;
									gint _tmp48_ = 0;
									gboolean _tmp49_ = FALSE;
									gint _tmp50_ = 0;
									gint _tmp51_ = 0;
#line 93 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
									_tmp44_ = part;
#line 93 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
									_tmp45_ = string_strip (_tmp44_);
#line 93 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
									_tmp46_ = _tmp45_;
#line 93 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
									_tmp47_ = strlen (_tmp46_);
#line 93 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
									_tmp48_ = _tmp47_;
#line 93 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
									_tmp49_ = _tmp48_ == 0;
#line 93 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
									_g_free0 (_tmp46_);
#line 93 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
									if (_tmp49_) {
#line 93 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
										_g_free0 (part);
#line 93 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
										continue;
#line 565 "FsTabEntry.c"
									}
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
									_tmp50_ = part_num;
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
									part_num = _tmp50_ + 1;
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
									_tmp51_ = part_num;
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
									switch (_tmp51_) {
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
										case 0:
#line 577 "FsTabEntry.c"
										{
											FsTabEntry* _tmp52_ = NULL;
											const gchar* _tmp53_ = NULL;
											gchar* _tmp54_ = NULL;
#line 97 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp52_ = entry;
#line 97 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp53_ = part;
#line 97 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp54_ = string_strip (_tmp53_);
#line 97 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_g_free0 (_tmp52_->device_string);
#line 97 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp52_->device_string = _tmp54_;
#line 98 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											break;
#line 594 "FsTabEntry.c"
										}
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
										case 1:
#line 598 "FsTabEntry.c"
										{
											FsTabEntry* _tmp55_ = NULL;
											const gchar* _tmp56_ = NULL;
											gchar* _tmp57_ = NULL;
#line 100 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp55_ = entry;
#line 100 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp56_ = part;
#line 100 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp57_ = string_strip (_tmp56_);
#line 100 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_g_free0 (_tmp55_->mount_point);
#line 100 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp55_->mount_point = _tmp57_;
#line 101 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											break;
#line 615 "FsTabEntry.c"
										}
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
										case 2:
#line 619 "FsTabEntry.c"
										{
											FsTabEntry* _tmp58_ = NULL;
											const gchar* _tmp59_ = NULL;
											gchar* _tmp60_ = NULL;
#line 103 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp58_ = entry;
#line 103 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp59_ = part;
#line 103 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp60_ = string_strip (_tmp59_);
#line 103 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_g_free0 (_tmp58_->type);
#line 103 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp58_->type = _tmp60_;
#line 104 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											break;
#line 636 "FsTabEntry.c"
										}
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
										case 3:
#line 640 "FsTabEntry.c"
										{
											FsTabEntry* _tmp61_ = NULL;
											const gchar* _tmp62_ = NULL;
											gchar* _tmp63_ = NULL;
#line 106 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp61_ = entry;
#line 106 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp62_ = part;
#line 106 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp63_ = string_strip (_tmp62_);
#line 106 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_g_free0 (_tmp61_->options);
#line 106 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp61_->options = _tmp63_;
#line 107 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											break;
#line 657 "FsTabEntry.c"
										}
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
										case 4:
#line 661 "FsTabEntry.c"
										{
											FsTabEntry* _tmp64_ = NULL;
											const gchar* _tmp65_ = NULL;
											gchar* _tmp66_ = NULL;
#line 109 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp64_ = entry;
#line 109 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp65_ = part;
#line 109 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp66_ = string_strip (_tmp65_);
#line 109 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_g_free0 (_tmp64_->dump);
#line 109 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp64_->dump = _tmp66_;
#line 110 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											break;
#line 678 "FsTabEntry.c"
										}
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
										case 5:
#line 682 "FsTabEntry.c"
										{
											FsTabEntry* _tmp67_ = NULL;
											const gchar* _tmp68_ = NULL;
											gchar* _tmp69_ = NULL;
#line 112 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp67_ = entry;
#line 112 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp68_ = part;
#line 112 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp69_ = string_strip (_tmp68_);
#line 112 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_g_free0 (_tmp67_->pass);
#line 112 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											_tmp67_->pass = _tmp69_;
#line 113 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
											break;
#line 699 "FsTabEntry.c"
										}
										default:
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
										break;
#line 704 "FsTabEntry.c"
									}
#line 91 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
									_g_free0 (part);
#line 708 "FsTabEntry.c"
								}
							}
						}
#line 80 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						parts = (_vala_array_free (parts, parts_length1, (GDestroyNotify) g_free), NULL);
#line 714 "FsTabEntry.c"
					}
				}
#line 68 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_g_object_unref0 (entry);
#line 68 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_g_free0 (line);
#line 721 "FsTabEntry.c"
			}
		}
	}
#line 119 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	result = list;
#line 119 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	lines = (_vala_array_free (lines, lines_length1, (GDestroyNotify) g_free), NULL);
#line 119 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_g_free0 (text);
#line 119 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	return result;
#line 733 "FsTabEntry.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	return self ? g_object_ref (self) : NULL;
#line 740 "FsTabEntry.c"
}


static gint __lambda6_ (FsTabEntry* a, FsTabEntry* b) {
	gint result = 0;
	GCompareFunc _tmp0_ = NULL;
	FsTabEntry* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	FsTabEntry* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	gint _tmp5_ = 0;
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (a != NULL, 0);
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (b != NULL, 0);
#line 149 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp0_ = g_strcmp0;
#line 149 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp1_ = a;
#line 149 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp2_ = _tmp1_->mount_point;
#line 149 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp3_ = b;
#line 149 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp4_ = _tmp3_->mount_point;
#line 149 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp5_ = _tmp0_ (_tmp2_, _tmp4_);
#line 149 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	result = _tmp5_;
#line 149 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	return result;
#line 772 "FsTabEntry.c"
}


static gint ___lambda6__gcompare_data_func (gconstpointer a, gconstpointer b, gpointer self) {
	gint result;
	result = __lambda6_ ((FsTabEntry*) a, (FsTabEntry*) b);
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	return result;
#line 781 "FsTabEntry.c"
}


gchar* fs_tab_entry_write_file (GeeArrayList* entries, const gchar* file_path, gboolean keep_comments_and_empty_lines) {
	gchar* result = NULL;
	gchar* text = NULL;
	gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	GeeArrayList* _tmp43_ = NULL;
	const gchar* _tmp44_ = NULL;
	gboolean _tmp45_ = FALSE;
	const gchar* _tmp47_ = NULL;
	const gchar* _tmp48_ = NULL;
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (entries != NULL, NULL);
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 126 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp0_ = g_strdup ("");
#line 126 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	text = _tmp0_;
#line 128 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp1_ = keep_comments_and_empty_lines;
#line 128 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	if (!_tmp1_) {
#line 807 "FsTabEntry.c"
		const gchar* _tmp2_ = NULL;
		gchar* _tmp3_ = NULL;
#line 129 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp2_ = text;
#line 129 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp3_ = g_strconcat (_tmp2_, "# <file system> <mount point> <type> <options> <dump> <pass>\n\n", NULL);
#line 129 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_g_free0 (text);
#line 129 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		text = _tmp3_;
#line 818 "FsTabEntry.c"
	}
	{
		GeeArrayList* _entry_list = NULL;
		GeeArrayList* _tmp4_ = NULL;
		GeeArrayList* _tmp5_ = NULL;
		gint _entry_size = 0;
		GeeArrayList* _tmp6_ = NULL;
		gint _tmp7_ = 0;
		gint _tmp8_ = 0;
		gint _entry_index = 0;
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp4_ = entries;
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp5_ = _g_object_ref0 (_tmp4_);
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_entry_list = _tmp5_;
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp6_ = _entry_list;
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp7_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp6_);
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp8_ = _tmp7_;
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_entry_size = _tmp8_;
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_entry_index = -1;
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		while (TRUE) {
#line 847 "FsTabEntry.c"
			gint _tmp9_ = 0;
			gint _tmp10_ = 0;
			gint _tmp11_ = 0;
			FsTabEntry* entry = NULL;
			GeeArrayList* _tmp12_ = NULL;
			gint _tmp13_ = 0;
			gpointer _tmp14_ = NULL;
			gboolean _tmp15_ = FALSE;
			FsTabEntry* _tmp16_ = NULL;
			gboolean _tmp17_ = FALSE;
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp9_ = _entry_index;
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_entry_index = _tmp9_ + 1;
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp10_ = _entry_index;
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp11_ = _entry_size;
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			if (!(_tmp10_ < _tmp11_)) {
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				break;
#line 870 "FsTabEntry.c"
			}
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp12_ = _entry_list;
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp13_ = _entry_index;
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp14_ = gee_abstract_list_get ((GeeAbstractList*) _tmp12_, _tmp13_);
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			entry = (FsTabEntry*) _tmp14_;
#line 133 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp16_ = entry;
#line 133 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp17_ = _tmp16_->is_comment;
#line 133 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			if (_tmp17_) {
#line 133 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp15_ = TRUE;
#line 888 "FsTabEntry.c"
			} else {
				FsTabEntry* _tmp18_ = NULL;
				gboolean _tmp19_ = FALSE;
#line 133 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp18_ = entry;
#line 133 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp19_ = _tmp18_->is_empty_line;
#line 133 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp15_ = _tmp19_;
#line 898 "FsTabEntry.c"
			}
#line 133 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			if (_tmp15_) {
#line 902 "FsTabEntry.c"
				gboolean _tmp20_ = FALSE;
#line 134 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp20_ = keep_comments_and_empty_lines;
#line 134 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				if (_tmp20_) {
#line 908 "FsTabEntry.c"
					const gchar* _tmp21_ = NULL;
					FsTabEntry* _tmp22_ = NULL;
					const gchar* _tmp23_ = NULL;
					gchar* _tmp24_ = NULL;
					gchar* _tmp25_ = NULL;
					gchar* _tmp26_ = NULL;
#line 135 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_tmp21_ = text;
#line 135 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_tmp22_ = entry;
#line 135 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_tmp23_ = _tmp22_->line;
#line 135 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_tmp24_ = g_strdup_printf ("%s\n", _tmp23_);
#line 135 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_tmp25_ = _tmp24_;
#line 135 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_tmp26_ = g_strconcat (_tmp21_, _tmp25_, NULL);
#line 135 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_g_free0 (text);
#line 135 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					text = _tmp26_;
#line 135 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_g_free0 (_tmp25_);
#line 933 "FsTabEntry.c"
				}
			} else {
				const gchar* _tmp27_ = NULL;
				FsTabEntry* _tmp28_ = NULL;
				const gchar* _tmp29_ = NULL;
				FsTabEntry* _tmp30_ = NULL;
				const gchar* _tmp31_ = NULL;
				FsTabEntry* _tmp32_ = NULL;
				const gchar* _tmp33_ = NULL;
				FsTabEntry* _tmp34_ = NULL;
				const gchar* _tmp35_ = NULL;
				FsTabEntry* _tmp36_ = NULL;
				const gchar* _tmp37_ = NULL;
				FsTabEntry* _tmp38_ = NULL;
				const gchar* _tmp39_ = NULL;
				gchar* _tmp40_ = NULL;
				gchar* _tmp41_ = NULL;
				gchar* _tmp42_ = NULL;
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp27_ = text;
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp28_ = entry;
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp29_ = _tmp28_->device_string;
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp30_ = entry;
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp31_ = _tmp30_->mount_point;
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp32_ = entry;
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp33_ = _tmp32_->type;
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp34_ = entry;
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp35_ = _tmp34_->options;
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp36_ = entry;
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp37_ = _tmp36_->dump;
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp38_ = entry;
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp39_ = _tmp38_->pass;
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp40_ = g_strdup_printf ("%s\t%s\t%s\t%s\t%s\t%s\n", _tmp29_, _tmp31_, _tmp33_, _tmp35_, _tmp37_, _tmp39_);
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp41_ = _tmp40_;
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp42_ = g_strconcat (_tmp27_, _tmp41_, NULL);
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_g_free0 (text);
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				text = _tmp42_;
#line 139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_g_free0 (_tmp41_);
#line 990 "FsTabEntry.c"
			}
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_g_object_unref0 (entry);
#line 994 "FsTabEntry.c"
		}
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_g_object_unref0 (_entry_list);
#line 998 "FsTabEntry.c"
	}
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp43_ = entries;
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	gee_list_sort ((GeeList*) _tmp43_, ___lambda6__gcompare_data_func, NULL, NULL);
#line 152 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp44_ = file_path;
#line 152 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp45_ = tee_jee_file_system_file_exists (_tmp44_);
#line 152 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	if (_tmp45_) {
#line 1010 "FsTabEntry.c"
		const gchar* _tmp46_ = NULL;
#line 153 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp46_ = file_path;
#line 153 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		tee_jee_file_system_file_delete (_tmp46_);
#line 1016 "FsTabEntry.c"
	}
#line 156 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp47_ = file_path;
#line 156 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp48_ = text;
#line 156 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	tee_jee_file_system_file_write (_tmp47_, _tmp48_);
#line 158 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	result = text;
#line 158 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	return result;
#line 1028 "FsTabEntry.c"
}


static gboolean string_contains (const gchar* self, const gchar* needle) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 1376 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1376 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = needle;
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = strstr ((gchar*) self, (gchar*) _tmp0_);
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _tmp1_ != NULL;
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 1048 "FsTabEntry.c"
}


gchar* fs_tab_entry_subvolume_name (FsTabEntry* self) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp4_ = FALSE;
#line 161 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 163 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp0_ = self->options;
#line 163 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp1_ = g_utf8_strdown (_tmp0_, (gssize) -1);
#line 163 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp2_ = _tmp1_;
#line 163 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp3_ = string_contains (_tmp2_, "subvol=");
#line 163 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp4_ = _tmp3_;
#line 163 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_g_free0 (_tmp2_);
#line 163 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	if (_tmp4_) {
#line 1075 "FsTabEntry.c"
		gchar* txt = NULL;
		const gchar* _tmp5_ = NULL;
		gchar** _tmp6_ = NULL;
		gchar** _tmp7_ = NULL;
		gchar** _tmp8_ = NULL;
		gint _tmp8__length1 = 0;
		const gchar* _tmp9_ = NULL;
		gchar** _tmp10_ = NULL;
		gchar** _tmp11_ = NULL;
		gchar** _tmp12_ = NULL;
		gint _tmp12__length1 = 0;
		const gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
		gboolean _tmp16_ = FALSE;
		const gchar* _tmp17_ = NULL;
		gboolean _tmp18_ = FALSE;
#line 164 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp5_ = self->options;
#line 164 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp7_ = _tmp6_ = g_strsplit (_tmp5_, "subvol=", 0);
#line 164 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp8_ = _tmp7_;
#line 164 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp8__length1 = _vala_array_length (_tmp6_);
#line 164 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp9_ = _tmp8_[1];
#line 164 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp11_ = _tmp10_ = g_strsplit (_tmp9_, ",", 0);
#line 164 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp12_ = _tmp11_;
#line 164 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp12__length1 = _vala_array_length (_tmp10_);
#line 164 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp13_ = _tmp12_[0];
#line 164 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp14_ = string_strip (_tmp13_);
#line 164 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp15_ = _tmp14_;
#line 164 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp12_ = (_vala_array_free (_tmp12_, _tmp12__length1, (GDestroyNotify) g_free), NULL);
#line 164 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp8_ = (_vala_array_free (_tmp8_, _tmp8__length1, (GDestroyNotify) g_free), NULL);
#line 164 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		txt = _tmp15_;
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp17_ = txt;
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp18_ = g_str_has_prefix (_tmp17_, "/");
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		if (_tmp18_) {
#line 1127 "FsTabEntry.c"
			const gchar* _tmp19_ = NULL;
			gchar** _tmp20_ = NULL;
			gchar** _tmp21_ = NULL;
			gchar** _tmp22_ = NULL;
			gint _tmp22__length1 = 0;
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp19_ = txt;
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp21_ = _tmp20_ = g_strsplit (_tmp19_, "/", 0);
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp22_ = _tmp21_;
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp22__length1 = _vala_array_length (_tmp20_);
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp16_ = _vala_array_length (_tmp20_) == 2;
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp22_ = (_vala_array_free (_tmp22_, _tmp22__length1, (GDestroyNotify) g_free), NULL);
#line 1145 "FsTabEntry.c"
		} else {
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp16_ = FALSE;
#line 1149 "FsTabEntry.c"
		}
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		if (_tmp16_) {
#line 1153 "FsTabEntry.c"
			const gchar* _tmp23_ = NULL;
			gchar** _tmp24_ = NULL;
			gchar** _tmp25_ = NULL;
			gchar** _tmp26_ = NULL;
			gint _tmp26__length1 = 0;
			const gchar* _tmp27_ = NULL;
			gchar* _tmp28_ = NULL;
#line 166 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp23_ = txt;
#line 166 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp25_ = _tmp24_ = g_strsplit (_tmp23_, "/", 0);
#line 166 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp26_ = _tmp25_;
#line 166 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp26__length1 = _vala_array_length (_tmp24_);
#line 166 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp27_ = _tmp26_[1];
#line 166 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp28_ = g_strdup (_tmp27_);
#line 166 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_g_free0 (txt);
#line 166 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			txt = _tmp28_;
#line 166 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp26_ = (_vala_array_free (_tmp26_, _tmp26__length1, (GDestroyNotify) g_free), NULL);
#line 1179 "FsTabEntry.c"
		}
#line 168 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		result = txt;
#line 168 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		return result;
#line 1185 "FsTabEntry.c"
	} else {
		gchar* _tmp29_ = NULL;
#line 171 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp29_ = g_strdup ("");
#line 171 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		result = _tmp29_;
#line 171 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		return result;
#line 1194 "FsTabEntry.c"
	}
}


gboolean fs_tab_entry_is_for_system_directory (FsTabEntry* self) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
	gboolean _tmp6_ = FALSE;
	const gchar* _tmp7_ = NULL;
	gboolean _tmp8_ = FALSE;
#line 175 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp7_ = self->mount_point;
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp8_ = g_str_has_prefix (_tmp7_, "/mnt");
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	if (_tmp8_) {
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp6_ = TRUE;
#line 1220 "FsTabEntry.c"
	} else {
		const gchar* _tmp9_ = NULL;
		gboolean _tmp10_ = FALSE;
#line 178 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp9_ = self->mount_point;
#line 178 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp10_ = g_str_has_prefix (_tmp9_, "/mount");
#line 178 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp6_ = _tmp10_;
#line 1230 "FsTabEntry.c"
	}
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	if (_tmp6_) {
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp5_ = TRUE;
#line 1236 "FsTabEntry.c"
	} else {
		const gchar* _tmp11_ = NULL;
		gboolean _tmp12_ = FALSE;
#line 179 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp11_ = self->mount_point;
#line 179 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp12_ = g_str_has_prefix (_tmp11_, "/sdcard");
#line 179 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp5_ = _tmp12_;
#line 1246 "FsTabEntry.c"
	}
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	if (_tmp5_) {
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp4_ = TRUE;
#line 1252 "FsTabEntry.c"
	} else {
		const gchar* _tmp13_ = NULL;
		gboolean _tmp14_ = FALSE;
#line 180 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp13_ = self->mount_point;
#line 180 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp14_ = g_str_has_prefix (_tmp13_, "/cdrom");
#line 180 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp4_ = _tmp14_;
#line 1262 "FsTabEntry.c"
	}
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	if (_tmp4_) {
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp3_ = TRUE;
#line 1268 "FsTabEntry.c"
	} else {
		const gchar* _tmp15_ = NULL;
		gboolean _tmp16_ = FALSE;
#line 181 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp15_ = self->mount_point;
#line 181 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp16_ = g_str_has_prefix (_tmp15_, "/media");
#line 181 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp3_ = _tmp16_;
#line 1278 "FsTabEntry.c"
	}
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	if (_tmp3_) {
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp2_ = TRUE;
#line 1284 "FsTabEntry.c"
	} else {
		const gchar* _tmp17_ = NULL;
#line 182 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp17_ = self->mount_point;
#line 182 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp2_ = g_strcmp0 (_tmp17_, "none") == 0;
#line 1291 "FsTabEntry.c"
	}
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	if (_tmp2_) {
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp1_ = TRUE;
#line 1297 "FsTabEntry.c"
	} else {
		const gchar* _tmp18_ = NULL;
		gboolean _tmp19_ = FALSE;
#line 183 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp18_ = self->mount_point;
#line 183 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp19_ = g_str_has_prefix (_tmp18_, "/");
#line 183 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp1_ = !_tmp19_;
#line 1307 "FsTabEntry.c"
	}
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	if (_tmp1_) {
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp0_ = TRUE;
#line 1313 "FsTabEntry.c"
	} else {
		gboolean _tmp20_ = FALSE;
		const gchar* _tmp21_ = NULL;
		gboolean _tmp22_ = FALSE;
#line 184 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp21_ = self->device_string;
#line 184 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp22_ = g_str_has_prefix (_tmp21_, "/dev/");
#line 184 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		if (!_tmp22_) {
#line 1324 "FsTabEntry.c"
			const gchar* _tmp23_ = NULL;
			gchar* _tmp24_ = NULL;
			gchar* _tmp25_ = NULL;
			gboolean _tmp26_ = FALSE;
#line 184 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp23_ = self->device_string;
#line 184 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp24_ = g_utf8_strdown (_tmp23_, (gssize) -1);
#line 184 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp25_ = _tmp24_;
#line 184 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp26_ = g_str_has_prefix (_tmp25_, "uuid=");
#line 184 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp20_ = !_tmp26_;
#line 184 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_g_free0 (_tmp25_);
#line 1341 "FsTabEntry.c"
		} else {
#line 184 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp20_ = FALSE;
#line 1345 "FsTabEntry.c"
		}
#line 184 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp0_ = _tmp20_;
#line 1349 "FsTabEntry.c"
	}
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	if (_tmp0_) {
#line 186 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		result = FALSE;
#line 186 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		return result;
#line 1357 "FsTabEntry.c"
	} else {
#line 189 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		result = TRUE;
#line 189 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		return result;
#line 1363 "FsTabEntry.c"
	}
}


FsTabEntry* fs_tab_entry_find_entry_by_mount_point (GeeArrayList* entries, const gchar* mount_path) {
	FsTabEntry* result = NULL;
#line 193 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (entries != NULL, NULL);
#line 193 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (mount_path != NULL, NULL);
#line 1374 "FsTabEntry.c"
	{
		GeeArrayList* _entry_list = NULL;
		GeeArrayList* _tmp0_ = NULL;
		GeeArrayList* _tmp1_ = NULL;
		gint _entry_size = 0;
		GeeArrayList* _tmp2_ = NULL;
		gint _tmp3_ = 0;
		gint _tmp4_ = 0;
		gint _entry_index = 0;
#line 196 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp0_ = entries;
#line 196 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp1_ = _g_object_ref0 (_tmp0_);
#line 196 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_entry_list = _tmp1_;
#line 196 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp2_ = _entry_list;
#line 196 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp3_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp2_);
#line 196 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp4_ = _tmp3_;
#line 196 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_entry_size = _tmp4_;
#line 196 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_entry_index = -1;
#line 196 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		while (TRUE) {
#line 1402 "FsTabEntry.c"
			gint _tmp5_ = 0;
			gint _tmp6_ = 0;
			gint _tmp7_ = 0;
			FsTabEntry* entry = NULL;
			GeeArrayList* _tmp8_ = NULL;
			gint _tmp9_ = 0;
			gpointer _tmp10_ = NULL;
			FsTabEntry* _tmp11_ = NULL;
			const gchar* _tmp12_ = NULL;
			const gchar* _tmp13_ = NULL;
#line 196 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp5_ = _entry_index;
#line 196 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_entry_index = _tmp5_ + 1;
#line 196 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp6_ = _entry_index;
#line 196 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp7_ = _entry_size;
#line 196 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			if (!(_tmp6_ < _tmp7_)) {
#line 196 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				break;
#line 1425 "FsTabEntry.c"
			}
#line 196 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp8_ = _entry_list;
#line 196 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp9_ = _entry_index;
#line 196 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp10_ = gee_abstract_list_get ((GeeAbstractList*) _tmp8_, _tmp9_);
#line 196 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			entry = (FsTabEntry*) _tmp10_;
#line 197 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp11_ = entry;
#line 197 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp12_ = _tmp11_->mount_point;
#line 197 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp13_ = mount_path;
#line 197 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			if (g_strcmp0 (_tmp12_, _tmp13_) == 0) {
#line 198 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				result = entry;
#line 198 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_g_object_unref0 (_entry_list);
#line 198 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				return result;
#line 1449 "FsTabEntry.c"
			}
#line 196 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_g_object_unref0 (entry);
#line 1453 "FsTabEntry.c"
		}
#line 196 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_g_object_unref0 (_entry_list);
#line 1457 "FsTabEntry.c"
	}
#line 201 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	result = NULL;
#line 201 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	return result;
#line 1463 "FsTabEntry.c"
}


Device* fs_tab_entry_resolve_device (FsTabEntry* self, GeeArrayList* crypttab, GtkWindow* parent_window) {
	Device* result = NULL;
	Device* dev_fstab = NULL;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
	gboolean _tmp5_ = FALSE;
	Device* _tmp12_ = NULL;
#line 204 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 204 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (crypttab != NULL, NULL);
#line 205 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	dev_fstab = NULL;
#line 206 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp0_ = fs_tab_entry_get_device_uuid (self);
#line 206 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp1_ = _tmp0_;
#line 206 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp2_ = _tmp1_;
#line 206 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp3_ = strlen (_tmp2_);
#line 206 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp4_ = _tmp3_;
#line 206 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp5_ = _tmp4_ > 0;
#line 206 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_g_free0 (_tmp2_);
#line 206 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	if (_tmp5_) {
#line 1499 "FsTabEntry.c"
		gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		Device* _tmp9_ = NULL;
#line 207 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp6_ = fs_tab_entry_get_device_uuid (self);
#line 207 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp7_ = _tmp6_;
#line 207 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp8_ = _tmp7_;
#line 207 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp9_ = device_get_device_by_uuid (_tmp8_);
#line 207 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_g_object_unref0 (dev_fstab);
#line 207 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		dev_fstab = _tmp9_;
#line 207 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_g_free0 (_tmp8_);
#line 1518 "FsTabEntry.c"
	} else {
		const gchar* _tmp10_ = NULL;
		Device* _tmp11_ = NULL;
#line 210 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp10_ = self->device_string;
#line 210 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp11_ = device_get_device_by_name (_tmp10_);
#line 210 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_g_object_unref0 (dev_fstab);
#line 210 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		dev_fstab = _tmp11_;
#line 1530 "FsTabEntry.c"
	}
#line 213 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp12_ = dev_fstab;
#line 213 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	if (_tmp12_ == NULL) {
#line 1536 "FsTabEntry.c"
		const gchar* _tmp13_ = NULL;
		gboolean _tmp14_ = FALSE;
#line 225 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp13_ = self->device_string;
#line 225 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp14_ = g_str_has_prefix (_tmp13_, "/dev/mapper/");
#line 225 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		if (_tmp14_) {
#line 1545 "FsTabEntry.c"
			gchar* mapped_name = NULL;
			const gchar* _tmp15_ = NULL;
			gchar* _tmp16_ = NULL;
#line 227 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp15_ = self->device_string;
#line 227 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_tmp16_ = string_replace (_tmp15_, "/dev/mapper/", "");
#line 227 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			mapped_name = _tmp16_;
#line 1555 "FsTabEntry.c"
			{
				GeeArrayList* _item_list = NULL;
				GeeArrayList* _tmp17_ = NULL;
				GeeArrayList* _tmp18_ = NULL;
				gint _item_size = 0;
				GeeArrayList* _tmp19_ = NULL;
				gint _tmp20_ = 0;
				gint _tmp21_ = 0;
				gint _item_index = 0;
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp17_ = crypttab;
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp18_ = _g_object_ref0 (_tmp17_);
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_item_list = _tmp18_;
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp19_ = _item_list;
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp20_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp19_);
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_tmp21_ = _tmp20_;
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_item_size = _tmp21_;
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_item_index = -1;
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				while (TRUE) {
#line 1583 "FsTabEntry.c"
					gint _tmp22_ = 0;
					gint _tmp23_ = 0;
					gint _tmp24_ = 0;
					CryptTabEntry* item = NULL;
					GeeArrayList* _tmp25_ = NULL;
					gint _tmp26_ = 0;
					gpointer _tmp27_ = NULL;
					CryptTabEntry* _tmp28_ = NULL;
					const gchar* _tmp29_ = NULL;
					const gchar* _tmp30_ = NULL;
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_tmp22_ = _item_index;
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_item_index = _tmp22_ + 1;
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_tmp23_ = _item_index;
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_tmp24_ = _item_size;
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					if (!(_tmp23_ < _tmp24_)) {
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						break;
#line 1606 "FsTabEntry.c"
					}
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_tmp25_ = _item_list;
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_tmp26_ = _item_index;
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_tmp27_ = gee_abstract_list_get ((GeeAbstractList*) _tmp25_, _tmp26_);
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					item = (CryptTabEntry*) _tmp27_;
#line 231 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_tmp28_ = item;
#line 231 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_tmp29_ = _tmp28_->mapped_name;
#line 231 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_tmp30_ = mapped_name;
#line 231 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					if (g_strcmp0 (_tmp29_, _tmp30_) == 0) {
#line 1624 "FsTabEntry.c"
						CryptTabEntry* _tmp31_ = NULL;
						const gchar* _tmp32_ = NULL;
						gchar* _tmp33_ = NULL;
						gchar* _tmp34_ = NULL;
						gchar* _tmp35_ = NULL;
						gchar* _tmp36_ = NULL;
						gint _tmp37_ = 0;
						gint _tmp38_ = 0;
						gboolean _tmp39_ = FALSE;
#line 234 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp31_ = item;
#line 234 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp32_ = _tmp31_->device_string;
#line 234 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp33_ = g_strdup (_tmp32_);
#line 234 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_g_free0 (self->device_string);
#line 234 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						self->device_string = _tmp33_;
#line 236 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp34_ = fs_tab_entry_get_device_uuid (self);
#line 236 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp35_ = _tmp34_;
#line 236 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp36_ = _tmp35_;
#line 236 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp37_ = strlen (_tmp36_);
#line 236 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp38_ = _tmp37_;
#line 236 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_tmp39_ = _tmp38_ > 0;
#line 236 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_g_free0 (_tmp36_);
#line 236 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						if (_tmp39_) {
#line 1660 "FsTabEntry.c"
							Device* dev_luks = NULL;
							gchar* _tmp40_ = NULL;
							gchar* _tmp41_ = NULL;
							gchar* _tmp42_ = NULL;
							Device* _tmp43_ = NULL;
							Device* _tmp44_ = NULL;
							Device* _tmp45_ = NULL;
#line 239 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
							_tmp40_ = fs_tab_entry_get_device_uuid (self);
#line 239 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
							_tmp41_ = _tmp40_;
#line 239 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
							_tmp42_ = _tmp41_;
#line 239 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
							_tmp43_ = device_get_device_by_uuid (_tmp42_);
#line 239 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
							_tmp44_ = _tmp43_;
#line 239 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
							_g_free0 (_tmp42_);
#line 239 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
							dev_luks = _tmp44_;
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
							_tmp45_ = dev_luks;
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
							if (_tmp45_ != NULL) {
#line 1686 "FsTabEntry.c"
								gchar* msg_out = NULL;
								gchar* msg_err = NULL;
								Device* dev_unlocked = NULL;
								Device* _tmp46_ = NULL;
								GtkWindow* _tmp47_ = NULL;
								gchar* _tmp48_ = NULL;
								gchar* _tmp49_ = NULL;
								Device* _tmp50_ = NULL;
								Device* _tmp51_ = NULL;
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
								_tmp46_ = dev_luks;
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
								_tmp47_ = parent_window;
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
								_tmp50_ = device_luks_unlock (_tmp46_, "", "", _tmp47_, &_tmp48_, &_tmp49_);
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
								_g_free0 (msg_out);
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
								msg_out = _tmp48_;
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
								_g_free0 (msg_err);
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
								msg_err = _tmp49_;
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
								dev_unlocked = _tmp50_;
#line 247 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
								_tmp51_ = dev_unlocked;
#line 247 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
								if (_tmp51_ != NULL) {
#line 1716 "FsTabEntry.c"
									Device* _tmp52_ = NULL;
									Device* _tmp53_ = NULL;
#line 248 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
									_tmp52_ = dev_unlocked;
#line 248 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
									_tmp53_ = _g_object_ref0 (_tmp52_);
#line 248 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
									_g_object_unref0 (dev_fstab);
#line 248 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
									dev_fstab = _tmp53_;
#line 1727 "FsTabEntry.c"
								} else {
									Device* _tmp54_ = NULL;
									Device* _tmp55_ = NULL;
#line 251 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
									_tmp54_ = dev_luks;
#line 251 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
									_tmp55_ = _g_object_ref0 (_tmp54_);
#line 251 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
									_g_object_unref0 (dev_fstab);
#line 251 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
									dev_fstab = _tmp55_;
#line 1739 "FsTabEntry.c"
								}
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
								_g_object_unref0 (dev_unlocked);
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
								_g_free0 (msg_err);
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
								_g_free0 (msg_out);
#line 1747 "FsTabEntry.c"
							}
#line 236 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
							_g_object_unref0 (dev_luks);
#line 1751 "FsTabEntry.c"
						} else {
						}
#line 259 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						_g_object_unref0 (item);
#line 259 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
						break;
#line 1758 "FsTabEntry.c"
					}
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
					_g_object_unref0 (item);
#line 1762 "FsTabEntry.c"
				}
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
				_g_object_unref0 (_item_list);
#line 1766 "FsTabEntry.c"
			}
#line 225 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
			_g_free0 (mapped_name);
#line 1770 "FsTabEntry.c"
		}
	}
#line 265 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	result = dev_fstab;
#line 265 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	return result;
#line 1777 "FsTabEntry.c"
}


static gchar* string_slice (const gchar* self, glong start, glong end) {
	gchar* result = NULL;
	glong string_length = 0L;
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
	glong _tmp2_ = 0L;
	glong _tmp5_ = 0L;
	gboolean _tmp8_ = FALSE;
	glong _tmp9_ = 0L;
	gboolean _tmp12_ = FALSE;
	glong _tmp13_ = 0L;
	glong _tmp16_ = 0L;
	glong _tmp17_ = 0L;
	glong _tmp18_ = 0L;
	glong _tmp19_ = 0L;
	glong _tmp20_ = 0L;
	gchar* _tmp21_ = NULL;
#line 1328 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1329 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = strlen (self);
#line 1329 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 1329 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	string_length = (glong) _tmp1_;
#line 1330 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp2_ = start;
#line 1330 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_tmp2_ < ((glong) 0)) {
#line 1810 "FsTabEntry.c"
		glong _tmp3_ = 0L;
		glong _tmp4_ = 0L;
#line 1331 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp3_ = string_length;
#line 1331 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp4_ = start;
#line 1331 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		start = _tmp3_ + _tmp4_;
#line 1819 "FsTabEntry.c"
	}
#line 1333 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp5_ = end;
#line 1333 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_tmp5_ < ((glong) 0)) {
#line 1825 "FsTabEntry.c"
		glong _tmp6_ = 0L;
		glong _tmp7_ = 0L;
#line 1334 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp6_ = string_length;
#line 1334 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp7_ = end;
#line 1334 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		end = _tmp6_ + _tmp7_;
#line 1834 "FsTabEntry.c"
	}
#line 1336 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp9_ = start;
#line 1336 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_tmp9_ >= ((glong) 0)) {
#line 1840 "FsTabEntry.c"
		glong _tmp10_ = 0L;
		glong _tmp11_ = 0L;
#line 1336 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp10_ = start;
#line 1336 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp11_ = string_length;
#line 1336 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp8_ = _tmp10_ <= _tmp11_;
#line 1849 "FsTabEntry.c"
	} else {
#line 1336 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp8_ = FALSE;
#line 1853 "FsTabEntry.c"
	}
#line 1336 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (_tmp8_, NULL);
#line 1337 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp13_ = end;
#line 1337 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_tmp13_ >= ((glong) 0)) {
#line 1861 "FsTabEntry.c"
		glong _tmp14_ = 0L;
		glong _tmp15_ = 0L;
#line 1337 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp14_ = end;
#line 1337 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp15_ = string_length;
#line 1337 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp12_ = _tmp14_ <= _tmp15_;
#line 1870 "FsTabEntry.c"
	} else {
#line 1337 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp12_ = FALSE;
#line 1874 "FsTabEntry.c"
	}
#line 1337 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (_tmp12_, NULL);
#line 1338 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp16_ = start;
#line 1338 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp17_ = end;
#line 1338 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (_tmp16_ <= _tmp17_, NULL);
#line 1339 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp18_ = start;
#line 1339 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp19_ = end;
#line 1339 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp20_ = start;
#line 1339 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp21_ = g_strndup (((gchar*) self) + _tmp18_, (gsize) (_tmp19_ - _tmp20_));
#line 1339 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _tmp21_;
#line 1339 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 1896 "FsTabEntry.c"
}


void fs_tab_entry_append_option (FsTabEntry* self, const gchar* option) {
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	const gchar* _tmp8_ = NULL;
	gboolean _tmp9_ = FALSE;
	const gchar* _tmp15_ = NULL;
	gchar* _tmp16_ = NULL;
#line 269 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	g_return_if_fail (self != NULL);
#line 269 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	g_return_if_fail (option != NULL);
#line 271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp0_ = self->options;
#line 271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp1_ = option;
#line 271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp2_ = string_contains (_tmp0_, _tmp1_);
#line 271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	if (!_tmp2_) {
#line 1920 "FsTabEntry.c"
		const gchar* _tmp3_ = NULL;
		const gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp3_ = self->options;
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp4_ = option;
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp5_ = g_strdup_printf (",%s", _tmp4_);
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp6_ = _tmp5_;
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp7_ = g_strconcat (_tmp3_, _tmp6_, NULL);
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_g_free0 (self->options);
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		self->options = _tmp7_;
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_g_free0 (_tmp6_);
#line 1942 "FsTabEntry.c"
	}
#line 275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp8_ = self->options;
#line 275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp9_ = g_str_has_prefix (_tmp8_, ",");
#line 275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	if (_tmp9_) {
#line 1950 "FsTabEntry.c"
		const gchar* _tmp10_ = NULL;
		const gchar* _tmp11_ = NULL;
		gint _tmp12_ = 0;
		gint _tmp13_ = 0;
		gchar* _tmp14_ = NULL;
#line 276 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp10_ = self->options;
#line 276 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp11_ = self->options;
#line 276 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp12_ = strlen (_tmp11_);
#line 276 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp13_ = _tmp12_;
#line 276 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp14_ = string_slice (_tmp10_, (glong) 1, (glong) _tmp13_);
#line 276 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_g_free0 (self->options);
#line 276 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		self->options = _tmp14_;
#line 1970 "FsTabEntry.c"
	}
#line 279 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp15_ = self->options;
#line 279 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp16_ = string_strip (_tmp15_);
#line 279 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_g_free0 (self->options);
#line 279 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	self->options = _tmp16_;
#line 1980 "FsTabEntry.c"
}


void fs_tab_entry_remove_option (FsTabEntry* self, const gchar* option) {
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	gboolean _tmp6_ = FALSE;
	const gchar* _tmp12_ = NULL;
	gboolean _tmp13_ = FALSE;
	const gchar* _tmp19_ = NULL;
	gchar* _tmp20_ = NULL;
#line 282 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	g_return_if_fail (self != NULL);
#line 282 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	g_return_if_fail (option != NULL);
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp0_ = self->options;
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp1_ = option;
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp2_ = string_replace (_tmp0_, _tmp1_, "");
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp3_ = _tmp2_;
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp4_ = string_strip (_tmp3_);
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_g_free0 (self->options);
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	self->options = _tmp4_;
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_g_free0 (_tmp3_);
#line 286 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp5_ = self->options;
#line 286 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp6_ = g_str_has_prefix (_tmp5_, ",");
#line 286 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	if (_tmp6_) {
#line 2022 "FsTabEntry.c"
		const gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		gint _tmp9_ = 0;
		gint _tmp10_ = 0;
		gchar* _tmp11_ = NULL;
#line 287 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp7_ = self->options;
#line 287 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp8_ = self->options;
#line 287 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp9_ = strlen (_tmp8_);
#line 287 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp10_ = _tmp9_;
#line 287 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp11_ = string_slice (_tmp7_, (glong) 1, (glong) _tmp10_);
#line 287 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_g_free0 (self->options);
#line 287 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		self->options = _tmp11_;
#line 2042 "FsTabEntry.c"
	}
#line 290 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp12_ = self->options;
#line 290 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp13_ = g_str_has_suffix (_tmp12_, ",");
#line 290 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	if (_tmp13_) {
#line 2050 "FsTabEntry.c"
		const gchar* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
		gint _tmp16_ = 0;
		gint _tmp17_ = 0;
		gchar* _tmp18_ = NULL;
#line 291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp14_ = self->options;
#line 291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp15_ = self->options;
#line 291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp16_ = strlen (_tmp15_);
#line 291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp17_ = _tmp16_;
#line 291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp18_ = string_slice (_tmp14_, (glong) 0, (glong) (_tmp17_ - 1));
#line 291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_g_free0 (self->options);
#line 291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		self->options = _tmp18_;
#line 2070 "FsTabEntry.c"
	}
#line 294 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp19_ = self->options;
#line 294 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp20_ = string_strip (_tmp19_);
#line 294 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_g_free0 (self->options);
#line 294 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	self->options = _tmp20_;
#line 2080 "FsTabEntry.c"
}


FsTabEntry* fs_tab_entry_construct (GType object_type) {
	FsTabEntry * self = NULL;
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	self = (FsTabEntry*) g_object_new (object_type, NULL);
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	return self;
#line 2090 "FsTabEntry.c"
}


FsTabEntry* fs_tab_entry_new (void) {
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	return fs_tab_entry_construct (TYPE_FS_TAB_ENTRY);
#line 2097 "FsTabEntry.c"
}


gchar* fs_tab_entry_get_device_uuid (FsTabEntry* self) {
	gchar* result;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp4_ = FALSE;
#line 45 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp0_ = self->device_string;
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp1_ = g_utf8_strdown (_tmp0_, (gssize) -1);
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp2_ = _tmp1_;
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp3_ = g_str_has_prefix (_tmp2_, "uuid=");
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp4_ = _tmp3_;
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_g_free0 (_tmp2_);
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	if (_tmp4_) {
#line 2124 "FsTabEntry.c"
		const gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gchar** _tmp10_ = NULL;
		gchar** _tmp11_ = NULL;
		gchar** _tmp12_ = NULL;
		gint _tmp12__length1 = 0;
		const gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
#line 47 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp5_ = self->device_string;
#line 47 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp6_ = string_replace (_tmp5_, "\"", "");
#line 47 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp7_ = _tmp6_;
#line 47 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp8_ = string_replace (_tmp7_, "'", "");
#line 47 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp9_ = _tmp8_;
#line 47 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp11_ = _tmp10_ = g_strsplit (_tmp9_, "=", 0);
#line 47 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp12_ = _tmp11_;
#line 47 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp12__length1 = _vala_array_length (_tmp10_);
#line 47 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp13_ = _tmp12_[1];
#line 47 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp14_ = g_strdup (_tmp13_);
#line 47 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp15_ = _tmp14_;
#line 47 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp12_ = (_vala_array_free (_tmp12_, _tmp12__length1, (GDestroyNotify) g_free), NULL);
#line 47 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_g_free0 (_tmp9_);
#line 47 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_g_free0 (_tmp7_);
#line 47 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		result = _tmp15_;
#line 47 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		return result;
#line 2169 "FsTabEntry.c"
	} else {
		gchar* _tmp16_ = NULL;
#line 50 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		_tmp16_ = g_strdup ("");
#line 50 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		result = _tmp16_;
#line 50 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		return result;
#line 2178 "FsTabEntry.c"
	}
}


void fs_tab_entry_set_device_uuid (FsTabEntry* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 53 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	g_return_if_fail (self != NULL);
#line 54 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp0_ = value;
#line 54 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp1_ = g_strdup_printf ("UUID=%s", _tmp0_);
#line 54 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_g_free0 (self->device_string);
#line 54 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	self->device_string = _tmp1_;
#line 53 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	g_object_notify ((GObject *) self, "device-uuid");
#line 2198 "FsTabEntry.c"
}


static void fs_tab_entry_class_init (FsTabEntryClass * klass) {
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	fs_tab_entry_parent_class = g_type_class_peek_parent (klass);
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_fs_tab_entry_get_property;
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_fs_tab_entry_set_property;
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	G_OBJECT_CLASS (klass)->finalize = fs_tab_entry_finalize;
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), FS_TAB_ENTRY_DEVICE_UUID, g_param_spec_string ("device-uuid", "device-uuid", "device-uuid", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 2213 "FsTabEntry.c"
}


static void fs_tab_entry_instance_init (FsTabEntry * self) {
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
#line 33 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	self->is_comment = FALSE;
#line 34 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	self->is_empty_line = FALSE;
#line 36 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp0_ = g_strdup ("");
#line 36 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	self->device_string = _tmp0_;
#line 37 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp1_ = g_strdup ("");
#line 37 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	self->mount_point = _tmp1_;
#line 38 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp2_ = g_strdup ("");
#line 38 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	self->type = _tmp2_;
#line 39 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp3_ = g_strdup ("defaults");
#line 39 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	self->options = _tmp3_;
#line 40 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp4_ = g_strdup ("0");
#line 40 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	self->dump = _tmp4_;
#line 41 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp5_ = g_strdup ("0");
#line 41 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	self->pass = _tmp5_;
#line 42 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_tmp6_ = g_strdup ("");
#line 42 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	self->line = _tmp6_;
#line 2257 "FsTabEntry.c"
}


static void fs_tab_entry_finalize (GObject* obj) {
	FsTabEntry * self;
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_FS_TAB_ENTRY, FsTabEntry);
#line 36 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_g_free0 (self->device_string);
#line 37 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_g_free0 (self->mount_point);
#line 38 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_g_free0 (self->type);
#line 39 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_g_free0 (self->options);
#line 40 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_g_free0 (self->dump);
#line 41 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_g_free0 (self->pass);
#line 42 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	_g_free0 (self->line);
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	G_OBJECT_CLASS (fs_tab_entry_parent_class)->finalize (obj);
#line 2281 "FsTabEntry.c"
}


GType fs_tab_entry_get_type (void) {
	static volatile gsize fs_tab_entry_type_id__volatile = 0;
	if (g_once_init_enter (&fs_tab_entry_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (FsTabEntryClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) fs_tab_entry_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (FsTabEntry), 0, (GInstanceInitFunc) fs_tab_entry_instance_init, NULL };
		GType fs_tab_entry_type_id;
		fs_tab_entry_type_id = g_type_register_static (G_TYPE_OBJECT, "FsTabEntry", &g_define_type_info, 0);
		g_once_init_leave (&fs_tab_entry_type_id__volatile, fs_tab_entry_type_id);
	}
	return fs_tab_entry_type_id__volatile;
}


static void _vala_fs_tab_entry_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	FsTabEntry * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_FS_TAB_ENTRY, FsTabEntry);
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	switch (property_id) {
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		case FS_TAB_ENTRY_DEVICE_UUID:
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		g_value_take_string (value, fs_tab_entry_get_device_uuid (self));
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		break;
#line 2308 "FsTabEntry.c"
		default:
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		break;
#line 2314 "FsTabEntry.c"
	}
}


static void _vala_fs_tab_entry_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	FsTabEntry * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_FS_TAB_ENTRY, FsTabEntry);
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
	switch (property_id) {
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		case FS_TAB_ENTRY_DEVICE_UUID:
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		fs_tab_entry_set_device_uuid (self, g_value_get_string (value));
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		break;
#line 2330 "FsTabEntry.c"
		default:
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/FsTabEntry.vala"
		break;
#line 2336 "FsTabEntry.c"
	}
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



