/* TeeJee.FileSystem.c generated by valac 0.34.6, the Vala compiler
 * generated from TeeJee.FileSystem.vala, do not modify */

/*
 * TeeJee.FileSystem.vala
 *
 * Copyright 2012-2018 Tony George <teejeetech@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <glib/gstdio.h>
#include <glib/gi18n-lib.h>
#include <gee.h>
#include <stdio.h>

#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_date_time_unref0(var) ((var == NULL) ? NULL : (var = (g_date_time_unref (var), NULL)))
#define _fclose0(var) ((var == NULL) ? NULL : (var = (fclose (var), NULL)))
#define _g_checksum_free0(var) ((var == NULL) ? NULL : (var = (g_checksum_free (var), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))



#define TEE_JEE_FILE_SYSTEM_KB ((gint64) 1000)
#define TEE_JEE_FILE_SYSTEM_MB (1000 * TEE_JEE_FILE_SYSTEM_KB)
#define TEE_JEE_FILE_SYSTEM_GB (1000 * TEE_JEE_FILE_SYSTEM_MB)
#define TEE_JEE_FILE_SYSTEM_TB (1000 * TEE_JEE_FILE_SYSTEM_GB)
#define TEE_JEE_FILE_SYSTEM_KiB ((gint64) 1024)
#define TEE_JEE_FILE_SYSTEM_MiB (1024 * TEE_JEE_FILE_SYSTEM_KiB)
#define TEE_JEE_FILE_SYSTEM_GiB (1024 * TEE_JEE_FILE_SYSTEM_MiB)
#define TEE_JEE_FILE_SYSTEM_TiB (1024 * TEE_JEE_FILE_SYSTEM_GiB)
gchar* tee_jee_file_system_file_parent (const gchar* file_path);
gchar* tee_jee_file_system_file_basename (const gchar* file_path);
gchar* tee_jee_file_system_path_combine (const gchar* path1, const gchar* path2);
gchar* tee_jee_file_system_remove_trailing_slash (const gchar* path);
gboolean tee_jee_file_system_file_or_dir_exists (const gchar* item_path);
gboolean tee_jee_file_system_file_exists (const gchar* file_path);
gboolean tee_jee_file_system_file_exists_regular (const gchar* file_path);
gboolean tee_jee_file_system_file_delete (const gchar* file_path);
void tee_jee_logging_log_error (const gchar* message, gboolean highlight, gboolean is_warning);
gboolean tee_jee_file_system_file_move_to_trash (const gchar* file_path);
gchar* tee_jee_file_system_escape_single_quote (const gchar* file_path);
gboolean tee_jee_file_system_file_shred (const gchar* file_path);
gint64 tee_jee_file_system_file_line_count (const gchar* file_path);
gint tee_jee_process_helper_exec_sync (const gchar* cmd, gchar** std_out, gchar** std_err);
gchar* tee_jee_file_system_file_read (const gchar* file_path);
gboolean tee_jee_file_system_file_write (const gchar* file_path, const gchar* contents);
gboolean tee_jee_file_system_dir_create (const gchar* dir_path, gboolean show_message);
gboolean tee_jee_file_system_file_copy (const gchar* src_file, const gchar* dest_file);
void tee_jee_file_system_file_move (const gchar* src_file, const gchar* dest_file);
gboolean tee_jee_file_system_file_is_symlink (const gchar* file_path);
gboolean tee_jee_file_system_file_gzip (const gchar* src_file);
gboolean tee_jee_file_system_file_gunzip (const gchar* src_file);
gchar* tee_jee_file_system_file_resolve_executable_path (const gchar* file_path);
gint64 tee_jee_file_system_file_get_size (const gchar* file_path);
GDateTime* tee_jee_file_system_file_get_modified_date (const gchar* file_path);
gchar* tee_jee_file_system_file_get_symlink_target (const gchar* file_path);
gboolean tee_jee_file_system_dir_exists (const gchar* dir_path);
void tee_jee_logging_log_msg (const gchar* message, gboolean highlight);
gboolean tee_jee_file_system_dir_delete (const gchar* dir_path, gboolean show_message);
void tee_jee_logging_log_debug (const gchar* message);
gboolean tee_jee_file_system_dir_move_to_trash (const gchar* dir_path);
gboolean tee_jee_file_system_dir_is_empty (const gchar* dir_path);
gboolean tee_jee_file_system_filesystem_supports_hardlinks (const gchar* path, gboolean* is_readonly);
gchar* tee_jee_misc_random_string (gint length, const gchar* charset);
GeeArrayList* tee_jee_file_system_dir_list_names (const gchar* path);
static gint __lambda18_ (const gchar* a, const gchar* b);
static gint ___lambda18__gcompare_data_func (gconstpointer a, gconstpointer b, gpointer self);
gboolean tee_jee_file_system_dir_tar (const gchar* src_dir, const gchar* tar_file, gboolean recursion);
gint tee_jee_process_helper_exec_script_sync (const gchar* script, gchar** std_out, gchar** std_err, gboolean supress_errors, gboolean run_as_admin, gboolean cleanup_tmp, gboolean print_to_terminal);
gboolean tee_jee_file_system_dir_untar (const gchar* tar_file, const gchar* dst_dir);
gboolean tee_jee_file_system_chown (const gchar* dir_path, const gchar* user, const gchar* group);
glong tee_jee_file_system_dir_count (const gchar* path);
glong tee_jee_file_system_dir_size (const gchar* path);
glong tee_jee_file_system_dir_size_kb (const gchar* path);
gboolean tee_jee_file_system_file_tar_encrypt (const gchar* src_file, const gchar* dst_file, const gchar* password);
gchar* tee_jee_file_system_file_decrypt_untar_read (const gchar* src_file, const gchar* password);
gboolean tee_jee_file_system_decrypt_and_untar (const gchar* src_file, const gchar* dst_file, const gchar* password);
gchar* tee_jee_file_system_hash_md5 (const gchar* path);
gchar* tee_jee_file_system_format_file_size (guint64 size, gboolean binary_units, const gchar* unit, gboolean show_units, gint decimals);
gint tee_jee_file_system_chmod (const gchar* file, const gchar* permission);
gchar* tee_jee_file_system_resolve_relative_path (const gchar* filePath);
gint tee_jee_file_system_rsync (const gchar* sourceDirectory, const gchar* destDirectory, gboolean updateExisting, gboolean deleteExtra);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


gchar* tee_jee_file_system_file_parent (const gchar* file_path) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	GFile* _tmp2_ = NULL;
	GFile* _tmp3_ = NULL;
	GFile* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
#line 45 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = file_path;
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = g_file_new_for_path (_tmp0_);
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = _tmp1_;
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = g_file_get_parent (_tmp2_);
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = _tmp3_;
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp5_ = g_file_get_path (_tmp4_);
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp6_ = _tmp5_;
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_object_unref0 (_tmp4_);
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_object_unref0 (_tmp2_);
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp6_;
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 146 "TeeJee.FileSystem.c"
}


gchar* tee_jee_file_system_file_basename (const gchar* file_path) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	GFile* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
#line 49 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 50 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = file_path;
#line 50 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = g_file_new_for_path (_tmp0_);
#line 50 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = _tmp1_;
#line 50 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = g_file_get_basename (_tmp2_);
#line 50 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = _tmp3_;
#line 50 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_object_unref0 (_tmp2_);
#line 50 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp4_;
#line 50 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 175 "TeeJee.FileSystem.c"
}


gchar* tee_jee_file_system_path_combine (const gchar* path1, const gchar* path2) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 53 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (path1 != NULL, NULL);
#line 53 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (path2 != NULL, NULL);
#line 54 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = path1;
#line 54 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = path2;
#line 54 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = g_build_path ("/", _tmp0_, _tmp1_, NULL);
#line 54 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp2_;
#line 54 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 198 "TeeJee.FileSystem.c"
}


static gchar* string_slice (const gchar* self, glong start, glong end) {
	gchar* result = NULL;
	glong string_length = 0L;
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
	glong _tmp2_ = 0L;
	glong _tmp5_ = 0L;
	gboolean _tmp8_ = FALSE;
	glong _tmp9_ = 0L;
	gboolean _tmp12_ = FALSE;
	glong _tmp13_ = 0L;
	glong _tmp16_ = 0L;
	glong _tmp17_ = 0L;
	glong _tmp18_ = 0L;
	glong _tmp19_ = 0L;
	glong _tmp20_ = 0L;
	gchar* _tmp21_ = NULL;
#line 1328 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1329 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = strlen (self);
#line 1329 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 1329 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	string_length = (glong) _tmp1_;
#line 1330 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp2_ = start;
#line 1330 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_tmp2_ < ((glong) 0)) {
#line 231 "TeeJee.FileSystem.c"
		glong _tmp3_ = 0L;
		glong _tmp4_ = 0L;
#line 1331 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp3_ = string_length;
#line 1331 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp4_ = start;
#line 1331 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		start = _tmp3_ + _tmp4_;
#line 240 "TeeJee.FileSystem.c"
	}
#line 1333 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp5_ = end;
#line 1333 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_tmp5_ < ((glong) 0)) {
#line 246 "TeeJee.FileSystem.c"
		glong _tmp6_ = 0L;
		glong _tmp7_ = 0L;
#line 1334 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp6_ = string_length;
#line 1334 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp7_ = end;
#line 1334 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		end = _tmp6_ + _tmp7_;
#line 255 "TeeJee.FileSystem.c"
	}
#line 1336 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp9_ = start;
#line 1336 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_tmp9_ >= ((glong) 0)) {
#line 261 "TeeJee.FileSystem.c"
		glong _tmp10_ = 0L;
		glong _tmp11_ = 0L;
#line 1336 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp10_ = start;
#line 1336 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp11_ = string_length;
#line 1336 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp8_ = _tmp10_ <= _tmp11_;
#line 270 "TeeJee.FileSystem.c"
	} else {
#line 1336 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp8_ = FALSE;
#line 274 "TeeJee.FileSystem.c"
	}
#line 1336 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (_tmp8_, NULL);
#line 1337 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp13_ = end;
#line 1337 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_tmp13_ >= ((glong) 0)) {
#line 282 "TeeJee.FileSystem.c"
		glong _tmp14_ = 0L;
		glong _tmp15_ = 0L;
#line 1337 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp14_ = end;
#line 1337 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp15_ = string_length;
#line 1337 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp12_ = _tmp14_ <= _tmp15_;
#line 291 "TeeJee.FileSystem.c"
	} else {
#line 1337 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp12_ = FALSE;
#line 295 "TeeJee.FileSystem.c"
	}
#line 1337 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (_tmp12_, NULL);
#line 1338 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp16_ = start;
#line 1338 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp17_ = end;
#line 1338 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (_tmp16_ <= _tmp17_, NULL);
#line 1339 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp18_ = start;
#line 1339 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp19_ = end;
#line 1339 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp20_ = start;
#line 1339 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp21_ = g_strndup (((gchar*) self) + _tmp18_, (gsize) (_tmp19_ - _tmp20_));
#line 1339 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _tmp21_;
#line 1339 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 317 "TeeJee.FileSystem.c"
}


gchar* tee_jee_file_system_remove_trailing_slash (const gchar* path) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 57 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (path != NULL, NULL);
#line 58 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = path;
#line 58 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = g_str_has_suffix (_tmp0_, "/");
#line 58 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp1_) {
#line 333 "TeeJee.FileSystem.c"
		const gchar* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
		gint _tmp4_ = 0;
		gint _tmp5_ = 0;
		gchar* _tmp6_ = NULL;
#line 59 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = path;
#line 59 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = path;
#line 59 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = strlen (_tmp3_);
#line 59 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = _tmp4_;
#line 59 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = string_slice (_tmp2_, (glong) 0, (glong) (_tmp5_ - 1));
#line 59 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		result = _tmp6_;
#line 59 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 353 "TeeJee.FileSystem.c"
	} else {
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
#line 62 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = path;
#line 62 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = g_strdup (_tmp7_);
#line 62 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		result = _tmp8_;
#line 62 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 365 "TeeJee.FileSystem.c"
	}
}


gboolean tee_jee_file_system_file_or_dir_exists (const gchar* item_path) {
	gboolean result = FALSE;
	GFile* item = NULL;
	const gchar* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
#line 68 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (item_path != NULL, FALSE);
#line 72 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = item_path;
#line 72 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = g_file_parse_name (_tmp0_);
#line 72 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	item = _tmp1_;
#line 73 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = g_file_query_exists (item, NULL);
#line 73 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp2_;
#line 73 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_object_unref0 (item);
#line 73 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 392 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_file_exists (const gchar* file_path) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
#line 76 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, FALSE);
#line 78 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = file_path;
#line 78 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = g_file_test (_tmp1_, G_FILE_TEST_EXISTS);
#line 78 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp2_) {
#line 409 "TeeJee.FileSystem.c"
		const gchar* _tmp3_ = NULL;
		gboolean _tmp4_ = FALSE;
#line 79 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = file_path;
#line 79 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = g_file_test (_tmp3_, G_FILE_TEST_IS_DIR);
#line 79 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = !_tmp4_;
#line 418 "TeeJee.FileSystem.c"
	} else {
#line 78 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = FALSE;
#line 422 "TeeJee.FileSystem.c"
	}
#line 78 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp0_;
#line 78 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 428 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_file_exists_regular (const gchar* file_path) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
#line 82 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, FALSE);
#line 84 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = file_path;
#line 84 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = g_file_test (_tmp1_, G_FILE_TEST_EXISTS);
#line 84 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp2_) {
#line 445 "TeeJee.FileSystem.c"
		const gchar* _tmp3_ = NULL;
		gboolean _tmp4_ = FALSE;
#line 85 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = file_path;
#line 85 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = g_file_test (_tmp3_, G_FILE_TEST_IS_REGULAR);
#line 85 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = _tmp4_;
#line 454 "TeeJee.FileSystem.c"
	} else {
#line 84 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = FALSE;
#line 458 "TeeJee.FileSystem.c"
	}
#line 84 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp0_;
#line 84 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 464 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_file_delete (const gchar* file_path) {
	gboolean result = FALSE;
	gboolean _tmp13_ = FALSE;
	GError * _inner_error_ = NULL;
#line 88 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, FALSE);
#line 474 "TeeJee.FileSystem.c"
	{
		GFile* file = NULL;
		const gchar* _tmp0_ = NULL;
		GFile* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
#line 93 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = file_path;
#line 93 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = g_file_new_for_path (_tmp0_);
#line 93 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		file = _tmp1_;
#line 94 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = file;
#line 94 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = g_file_query_exists (_tmp2_, NULL);
#line 94 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_) {
#line 493 "TeeJee.FileSystem.c"
			GFile* _tmp4_ = NULL;
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = file;
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			g_file_delete (_tmp4_, NULL, &_inner_error_);
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file);
#line 503 "TeeJee.FileSystem.c"
				goto __catch64_g_error;
			}
		}
#line 97 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		result = TRUE;
#line 97 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file);
#line 97 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 513 "TeeJee.FileSystem.c"
	}
	goto __finally64;
	__catch64_g_error:
	{
		GError* e = NULL;
		GError* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
#line 92 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 92 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 99 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = e;
#line 99 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = _tmp5_->message;
#line 99 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp6_, FALSE, FALSE);
#line 100 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = _ ("Failed to delete file");
#line 100 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = file_path;
#line 100 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = g_strdup_printf (": %s", _tmp8_);
#line 100 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = _tmp9_;
#line 100 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = g_strconcat (_tmp7_, _tmp10_, NULL);
#line 100 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = _tmp11_;
#line 100 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp12_, FALSE, FALSE);
#line 100 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp12_);
#line 100 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp10_);
#line 101 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		result = FALSE;
#line 101 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 101 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 561 "TeeJee.FileSystem.c"
	}
	__finally64:
#line 92 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 92 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_clear_error (&_inner_error_);
#line 92 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return _tmp13_;
#line 570 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_file_move_to_trash (const gchar* file_path) {
	gboolean result = FALSE;
	GFile* file = NULL;
	const gchar* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	GFile* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
#line 105 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, FALSE);
#line 109 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = file_path;
#line 109 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = g_file_new_for_path (_tmp0_);
#line 109 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	file = _tmp1_;
#line 110 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = file;
#line 110 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = g_file_query_exists (_tmp2_, NULL);
#line 110 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp3_) {
#line 595 "TeeJee.FileSystem.c"
		const gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = file_path;
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = tee_jee_file_system_escape_single_quote (_tmp4_);
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = _tmp5_;
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = g_strdup_printf ("gvfs-trash '%s'", _tmp6_);
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = _tmp7_;
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		system (_tmp8_);
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp8_);
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp6_);
#line 617 "TeeJee.FileSystem.c"
	}
#line 113 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = TRUE;
#line 113 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_object_unref0 (file);
#line 113 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 625 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_file_shred (const gchar* file_path) {
	gboolean result = FALSE;
	GFile* file = NULL;
	const gchar* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	GFile* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
#line 116 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, FALSE);
#line 120 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = file_path;
#line 120 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = g_file_new_for_path (_tmp0_);
#line 120 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	file = _tmp1_;
#line 121 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = file;
#line 121 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = g_file_query_exists (_tmp2_, NULL);
#line 121 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp3_) {
#line 650 "TeeJee.FileSystem.c"
		const gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = file_path;
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = tee_jee_file_system_escape_single_quote (_tmp4_);
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = _tmp5_;
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = g_strdup_printf ("shred -u '%s'", _tmp6_);
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = _tmp7_;
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		system (_tmp8_);
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp8_);
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp6_);
#line 672 "TeeJee.FileSystem.c"
	}
#line 124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = TRUE;
#line 124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_object_unref0 (file);
#line 124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 680 "TeeJee.FileSystem.c"
}


gint64 tee_jee_file_system_file_line_count (const gchar* file_path) {
	gint64 result = 0LL;
	gchar* cmd = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar** _tmp7_ = NULL;
	gchar** _tmp8_ = NULL;
	gchar** _tmp9_ = NULL;
	gint _tmp9__length1 = 0;
	const gchar* _tmp10_ = NULL;
	glong _tmp11_ = 0L;
	gint64 _tmp12_ = 0LL;
#line 127 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, 0LL);
#line 129 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = file_path;
#line 129 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_file_system_escape_single_quote (_tmp0_);
#line 129 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = _tmp1_;
#line 129 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = g_strdup_printf ("wc -l '%s'", _tmp2_);
#line 129 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = _tmp3_;
#line 129 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp2_);
#line 129 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp4_;
#line 131 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	tee_jee_process_helper_exec_sync (cmd, &_tmp5_, &_tmp6_);
#line 131 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 131 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	std_out = _tmp5_;
#line 131 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 131 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	std_err = _tmp6_;
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp8_ = _tmp7_ = g_strsplit (std_out, "\t", 0);
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp9_ = _tmp8_;
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp9__length1 = _vala_array_length (_tmp7_);
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp10_ = _tmp9_[0];
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp11_ = atol (_tmp10_);
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp12_ = (gint64) _tmp11_;
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp9_ = (_vala_array_free (_tmp9_, _tmp9__length1, (GDestroyNotify) g_free), NULL);
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp12_;
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 753 "TeeJee.FileSystem.c"
}


gchar* tee_jee_file_system_file_read (const gchar* file_path) {
	gchar* result = NULL;
	gchar* txt = NULL;
	gsize size = 0UL;
	GError * _inner_error_ = NULL;
#line 135 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 764 "TeeJee.FileSystem.c"
	{
		const gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gsize _tmp2_ = 0UL;
#line 143 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = file_path;
#line 143 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_file_get_contents (_tmp0_, &_tmp1_, &_tmp2_, &_inner_error_);
#line 143 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (txt);
#line 143 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		txt = _tmp1_;
#line 143 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		size = _tmp2_;
#line 143 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 781 "TeeJee.FileSystem.c"
			goto __catch65_g_error;
		}
#line 144 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		result = txt;
#line 144 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 788 "TeeJee.FileSystem.c"
	}
	goto __finally65;
	__catch65_g_error:
	{
		GError* e = NULL;
		GError* _tmp3_ = NULL;
		const gchar* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 147 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = e;
#line 147 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = _tmp3_->message;
#line 147 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp4_, FALSE, FALSE);
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = _ ("Failed to read file");
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = file_path;
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = g_strdup_printf (": %s", _tmp6_);
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = _tmp7_;
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = g_strconcat (_tmp5_, _tmp8_, NULL);
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = _tmp9_;
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp10_, FALSE, FALSE);
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp10_);
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp8_);
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 832 "TeeJee.FileSystem.c"
	}
	__finally65:
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (txt);
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error_);
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		return NULL;
#line 845 "TeeJee.FileSystem.c"
	}
#line 151 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = NULL;
#line 151 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (txt);
#line 151 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 853 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_file_write (const gchar* file_path, const gchar* contents) {
	gboolean result = FALSE;
	gboolean _tmp23_ = FALSE;
	GError * _inner_error_ = NULL;
#line 154 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, FALSE);
#line 154 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (contents != NULL, FALSE);
#line 865 "TeeJee.FileSystem.c"
	{
		const gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		GFile* file = NULL;
		const gchar* _tmp3_ = NULL;
		GFile* _tmp4_ = NULL;
		GFile* _tmp5_ = NULL;
		gboolean _tmp6_ = FALSE;
		GFileOutputStream* file_stream = NULL;
		GFile* _tmp8_ = NULL;
		GFileOutputStream* _tmp9_ = NULL;
		GDataOutputStream* data_stream = NULL;
		GFileOutputStream* _tmp10_ = NULL;
		GDataOutputStream* _tmp11_ = NULL;
		GDataOutputStream* _tmp12_ = NULL;
		const gchar* _tmp13_ = NULL;
		GDataOutputStream* _tmp14_ = NULL;
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = file_path;
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = tee_jee_file_system_file_parent (_tmp0_);
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = _tmp1_;
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_file_system_dir_create (_tmp2_, FALSE);
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp2_);
#line 162 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = file_path;
#line 162 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = g_file_new_for_path (_tmp3_);
#line 162 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		file = _tmp4_;
#line 163 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = file;
#line 163 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = g_file_query_exists (_tmp5_, NULL);
#line 163 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp6_) {
#line 906 "TeeJee.FileSystem.c"
			GFile* _tmp7_ = NULL;
#line 164 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp7_ = file;
#line 164 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			g_file_delete (_tmp7_, NULL, &_inner_error_);
#line 164 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 164 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file);
#line 916 "TeeJee.FileSystem.c"
				goto __catch66_g_error;
			}
		}
#line 167 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = file;
#line 167 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = g_file_create (_tmp8_, G_FILE_CREATE_REPLACE_DESTINATION, NULL, &_inner_error_);
#line 167 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		file_stream = _tmp9_;
#line 167 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 167 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file);
#line 930 "TeeJee.FileSystem.c"
			goto __catch66_g_error;
		}
#line 168 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = file_stream;
#line 168 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = g_data_output_stream_new ((GOutputStream*) _tmp10_);
#line 168 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		data_stream = _tmp11_;
#line 169 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = data_stream;
#line 169 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = contents;
#line 169 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_data_output_stream_put_string (_tmp12_, _tmp13_, NULL, &_inner_error_);
#line 169 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 169 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (data_stream);
#line 169 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file_stream);
#line 169 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file);
#line 953 "TeeJee.FileSystem.c"
			goto __catch66_g_error;
		}
#line 170 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = data_stream;
#line 170 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_output_stream_close ((GOutputStream*) _tmp14_, NULL, &_inner_error_);
#line 170 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 170 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (data_stream);
#line 170 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file_stream);
#line 170 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file);
#line 968 "TeeJee.FileSystem.c"
			goto __catch66_g_error;
		}
#line 171 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		result = TRUE;
#line 171 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (data_stream);
#line 171 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file_stream);
#line 171 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file);
#line 171 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 981 "TeeJee.FileSystem.c"
	}
	goto __finally66;
	__catch66_g_error:
	{
		GError* e = NULL;
		GError* _tmp15_ = NULL;
		const gchar* _tmp16_ = NULL;
		const gchar* _tmp17_ = NULL;
		const gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
		gchar* _tmp22_ = NULL;
#line 158 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 158 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 174 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = e;
#line 174 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = _tmp15_->message;
#line 174 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp16_, FALSE, FALSE);
#line 175 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = _ ("Failed to write file");
#line 175 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = file_path;
#line 175 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp19_ = g_strdup_printf (": %s", _tmp18_);
#line 175 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp20_ = _tmp19_;
#line 175 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp21_ = g_strconcat (_tmp17_, _tmp20_, NULL);
#line 175 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp22_ = _tmp21_;
#line 175 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp22_, FALSE, FALSE);
#line 175 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp22_);
#line 175 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp20_);
#line 176 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		result = FALSE;
#line 176 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 176 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 1029 "TeeJee.FileSystem.c"
	}
	__finally66:
#line 158 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 158 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_clear_error (&_inner_error_);
#line 158 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return _tmp23_;
#line 1038 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_file_copy (const gchar* src_file, const gchar* dest_file) {
	gboolean result = FALSE;
	GError * _inner_error_ = NULL;
#line 180 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (src_file != NULL, FALSE);
#line 180 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dest_file != NULL, FALSE);
#line 1049 "TeeJee.FileSystem.c"
	{
		GFile* file_src = NULL;
		const gchar* _tmp0_ = NULL;
		GFile* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
#line 182 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = src_file;
#line 182 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = g_file_new_for_path (_tmp0_);
#line 182 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		file_src = _tmp1_;
#line 183 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = file_src;
#line 183 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = g_file_query_exists (_tmp2_, NULL);
#line 183 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_) {
#line 1068 "TeeJee.FileSystem.c"
			GFile* file_dest = NULL;
			const gchar* _tmp4_ = NULL;
			GFile* _tmp5_ = NULL;
			GFile* _tmp6_ = NULL;
			GFile* _tmp7_ = NULL;
#line 184 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = dest_file;
#line 184 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp5_ = g_file_new_for_path (_tmp4_);
#line 184 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			file_dest = _tmp5_;
#line 185 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp6_ = file_src;
#line 185 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp7_ = file_dest;
#line 185 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			g_file_copy (_tmp6_, _tmp7_, G_FILE_COPY_OVERWRITE, NULL, NULL, NULL, &_inner_error_);
#line 185 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 185 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file_dest);
#line 185 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file_src);
#line 1092 "TeeJee.FileSystem.c"
				goto __catch67_g_error;
			}
#line 186 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			result = TRUE;
#line 186 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file_dest);
#line 186 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file_src);
#line 186 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 1103 "TeeJee.FileSystem.c"
		}
#line 181 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file_src);
#line 1107 "TeeJee.FileSystem.c"
	}
	goto __finally67;
	__catch67_g_error:
	{
		GError* e = NULL;
		GError* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
		const gchar* _tmp11_ = NULL;
		const gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
		gchar* _tmp16_ = NULL;
#line 181 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 181 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 190 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = e;
#line 190 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = _tmp8_->message;
#line 190 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp9_, FALSE, FALSE);
#line 191 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = _ ("Failed to copy file");
#line 191 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = src_file;
#line 191 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = dest_file;
#line 191 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = g_strdup_printf (": '%s', '%s'", _tmp11_, _tmp12_);
#line 191 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = _tmp13_;
#line 191 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = g_strconcat (_tmp10_, _tmp14_, NULL);
#line 191 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = _tmp15_;
#line 191 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp16_, FALSE, FALSE);
#line 191 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp16_);
#line 191 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp14_);
#line 181 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 1154 "TeeJee.FileSystem.c"
	}
	__finally67:
#line 181 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1159 "TeeJee.FileSystem.c"
		gboolean _tmp17_ = FALSE;
#line 181 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 181 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error_);
#line 181 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		return _tmp17_;
#line 1167 "TeeJee.FileSystem.c"
	}
#line 194 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = FALSE;
#line 194 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 1173 "TeeJee.FileSystem.c"
}


void tee_jee_file_system_file_move (const gchar* src_file, const gchar* dest_file) {
	GError * _inner_error_ = NULL;
#line 197 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_if_fail (src_file != NULL);
#line 197 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_if_fail (dest_file != NULL);
#line 1183 "TeeJee.FileSystem.c"
	{
		GFile* file_src = NULL;
		const gchar* _tmp0_ = NULL;
		GFile* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
#line 199 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = src_file;
#line 199 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = g_file_new_for_path (_tmp0_);
#line 199 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		file_src = _tmp1_;
#line 200 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = file_src;
#line 200 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = g_file_query_exists (_tmp2_, NULL);
#line 200 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_) {
#line 1202 "TeeJee.FileSystem.c"
			GFile* file_dest = NULL;
			const gchar* _tmp4_ = NULL;
			GFile* _tmp5_ = NULL;
			GFile* _tmp6_ = NULL;
			GFile* _tmp7_ = NULL;
#line 201 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = dest_file;
#line 201 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp5_ = g_file_new_for_path (_tmp4_);
#line 201 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			file_dest = _tmp5_;
#line 202 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp6_ = file_src;
#line 202 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp7_ = file_dest;
#line 202 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			g_file_move (_tmp6_, _tmp7_, G_FILE_COPY_OVERWRITE, NULL, NULL, NULL, &_inner_error_);
#line 202 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 202 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file_dest);
#line 202 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file_src);
#line 1226 "TeeJee.FileSystem.c"
				goto __catch68_g_error;
			}
#line 200 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file_dest);
#line 1231 "TeeJee.FileSystem.c"
		} else {
			const gchar* _tmp8_ = NULL;
			const gchar* _tmp9_ = NULL;
			gchar* _tmp10_ = NULL;
			gchar* _tmp11_ = NULL;
			gchar* _tmp12_ = NULL;
			gchar* _tmp13_ = NULL;
#line 205 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp8_ = _ ("File not found");
#line 205 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp9_ = src_file;
#line 205 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp10_ = g_strdup_printf (": '%s'", _tmp9_);
#line 205 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp11_ = _tmp10_;
#line 205 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp12_ = g_strconcat (_tmp8_, _tmp11_, NULL);
#line 205 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp13_ = _tmp12_;
#line 205 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_error (_tmp13_, FALSE, FALSE);
#line 205 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp13_);
#line 205 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp11_);
#line 1257 "TeeJee.FileSystem.c"
		}
#line 198 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file_src);
#line 1261 "TeeJee.FileSystem.c"
	}
	goto __finally68;
	__catch68_g_error:
	{
		GError* e = NULL;
		GError* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
		const gchar* _tmp16_ = NULL;
		const gchar* _tmp17_ = NULL;
		const gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
		gchar* _tmp22_ = NULL;
#line 198 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 198 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 209 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = e;
#line 209 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = _tmp14_->message;
#line 209 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp15_, FALSE, FALSE);
#line 210 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = _ ("Failed to move file");
#line 210 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = src_file;
#line 210 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = dest_file;
#line 210 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp19_ = g_strdup_printf (": '%s', '%s'", _tmp17_, _tmp18_);
#line 210 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp20_ = _tmp19_;
#line 210 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp21_ = g_strconcat (_tmp16_, _tmp20_, NULL);
#line 210 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp22_ = _tmp21_;
#line 210 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp22_, FALSE, FALSE);
#line 210 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp22_);
#line 210 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp20_);
#line 198 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 1308 "TeeJee.FileSystem.c"
	}
	__finally68:
#line 198 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 198 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 198 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error_);
#line 198 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		return;
#line 1319 "TeeJee.FileSystem.c"
	}
}


gboolean tee_jee_file_system_file_is_symlink (const gchar* file_path) {
	gboolean result = FALSE;
	GError * _inner_error_ = NULL;
#line 214 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, FALSE);
#line 1329 "TeeJee.FileSystem.c"
	{
		GFile* file = NULL;
		const gchar* _tmp0_ = NULL;
		GFile* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
#line 217 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = file_path;
#line 217 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = g_file_new_for_path (_tmp0_);
#line 217 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		file = _tmp1_;
#line 219 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = file;
#line 219 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = g_file_query_exists (_tmp2_, NULL);
#line 219 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_) {
#line 1348 "TeeJee.FileSystem.c"
			GFileInfo* info = NULL;
			GFile* _tmp4_ = NULL;
			gchar* _tmp5_ = NULL;
			gchar* _tmp6_ = NULL;
			GFileInfo* _tmp7_ = NULL;
			GFileInfo* _tmp8_ = NULL;
			GFileType file_type = 0;
			GFileInfo* _tmp9_ = NULL;
			GFileType _tmp10_ = 0;
			GFileType _tmp11_ = 0;
#line 221 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = file;
#line 221 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp5_ = g_strdup_printf ("%s", G_FILE_ATTRIBUTE_STANDARD_TYPE);
#line 221 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp6_ = _tmp5_;
#line 221 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp7_ = g_file_query_info (_tmp4_, _tmp6_, G_FILE_QUERY_INFO_NOFOLLOW_SYMLINKS, NULL, &_inner_error_);
#line 221 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp8_ = _tmp7_;
#line 221 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp6_);
#line 221 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			info = _tmp8_;
#line 221 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 221 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file);
#line 1377 "TeeJee.FileSystem.c"
				goto __catch69_g_error;
			}
#line 223 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp9_ = info;
#line 223 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp10_ = g_file_info_get_file_type (_tmp9_);
#line 223 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			file_type = _tmp10_;
#line 225 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp11_ = file_type;
#line 225 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			result = _tmp11_ == G_FILE_TYPE_SYMBOLIC_LINK;
#line 225 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (info);
#line 225 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file);
#line 225 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 1396 "TeeJee.FileSystem.c"
		}
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file);
#line 1400 "TeeJee.FileSystem.c"
	}
	goto __finally69;
	__catch69_g_error:
	{
		GError* e = NULL;
		GError* _tmp12_ = NULL;
		const gchar* _tmp13_ = NULL;
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = e;
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = _tmp12_->message;
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp13_, FALSE, FALSE);
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 1420 "TeeJee.FileSystem.c"
	}
	__finally69:
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1425 "TeeJee.FileSystem.c"
		gboolean _tmp14_ = FALSE;
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error_);
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		return _tmp14_;
#line 1433 "TeeJee.FileSystem.c"
	}
#line 232 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = FALSE;
#line 232 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 1439 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_file_gzip (const gchar* src_file) {
	gboolean result = FALSE;
	gchar* dst_file = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* cmd = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	gboolean _tmp9_ = FALSE;
#line 235 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (src_file != NULL, FALSE);
#line 237 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = src_file;
#line 237 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = g_strconcat (_tmp0_, ".gz", NULL);
#line 237 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	dst_file = _tmp1_;
#line 238 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	tee_jee_file_system_file_delete (dst_file);
#line 240 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = src_file;
#line 240 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = tee_jee_file_system_escape_single_quote (_tmp2_);
#line 240 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = _tmp3_;
#line 240 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp5_ = g_strdup_printf ("gzip '%s'", _tmp4_);
#line 240 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp6_ = _tmp5_;
#line 240 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp4_);
#line 240 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp6_;
#line 242 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	tee_jee_process_helper_exec_sync (cmd, &_tmp7_, &_tmp8_);
#line 242 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 242 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	std_out = _tmp7_;
#line 242 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 242 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	std_err = _tmp8_;
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp9_ = tee_jee_file_system_file_exists (dst_file);
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp9_;
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (dst_file);
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 1507 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_file_gunzip (const gchar* src_file) {
	gboolean result = FALSE;
	gchar* dst_file = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* cmd = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	gboolean _tmp9_ = FALSE;
#line 247 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (src_file != NULL, FALSE);
#line 249 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = src_file;
#line 249 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 249 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	dst_file = _tmp1_;
#line 250 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	tee_jee_file_system_file_delete (dst_file);
#line 252 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = src_file;
#line 252 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = tee_jee_file_system_escape_single_quote (_tmp2_);
#line 252 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = _tmp3_;
#line 252 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp5_ = g_strdup_printf ("gunzip '%s'", _tmp4_);
#line 252 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp6_ = _tmp5_;
#line 252 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp4_);
#line 252 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp6_;
#line 254 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	tee_jee_process_helper_exec_sync (cmd, &_tmp7_, &_tmp8_);
#line 254 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 254 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	std_out = _tmp7_;
#line 254 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 254 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	std_err = _tmp8_;
#line 256 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp9_ = tee_jee_file_system_file_exists (dst_file);
#line 256 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp9_;
#line 256 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 256 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 256 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 256 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (dst_file);
#line 256 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 1575 "TeeJee.FileSystem.c"
}


static gboolean string_contains (const gchar* self, const gchar* needle) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 1376 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1376 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = needle;
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = strstr ((gchar*) self, (gchar*) _tmp0_);
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _tmp1_ != NULL;
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 1595 "TeeJee.FileSystem.c"
}


gchar* tee_jee_file_system_file_resolve_executable_path (const gchar* file_path) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 259 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 261 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = file_path;
#line 261 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = g_str_has_prefix (_tmp0_, "/");
#line 261 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp1_) {
#line 1611 "TeeJee.FileSystem.c"
		const gchar* _tmp2_ = NULL;
		gchar* _tmp3_ = NULL;
#line 262 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = file_path;
#line 262 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = g_strdup (_tmp2_);
#line 262 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		result = _tmp3_;
#line 262 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 1622 "TeeJee.FileSystem.c"
	} else {
		const gchar* _tmp4_ = NULL;
		gboolean _tmp5_ = FALSE;
#line 264 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = file_path;
#line 264 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = string_contains (_tmp4_, "/");
#line 264 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (!_tmp5_) {
#line 1632 "TeeJee.FileSystem.c"
			const gchar* _tmp6_ = NULL;
			gchar* _tmp7_ = NULL;
#line 265 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp6_ = file_path;
#line 265 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp7_ = g_find_program_in_path (_tmp6_);
#line 265 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			result = _tmp7_;
#line 265 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 1643 "TeeJee.FileSystem.c"
		} else {
			const gchar* _tmp8_ = NULL;
			gboolean _tmp9_ = FALSE;
#line 267 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp8_ = file_path;
#line 267 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp9_ = g_str_has_prefix (_tmp8_, "./");
#line 267 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			if (_tmp9_) {
#line 1653 "TeeJee.FileSystem.c"
				gchar* _tmp10_ = NULL;
				gchar* _tmp11_ = NULL;
				const gchar* _tmp12_ = NULL;
				const gchar* _tmp13_ = NULL;
				gint _tmp14_ = 0;
				gint _tmp15_ = 0;
				gchar* _tmp16_ = NULL;
				gchar* _tmp17_ = NULL;
				gchar* _tmp18_ = NULL;
				gchar* _tmp19_ = NULL;
#line 268 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp10_ = g_get_current_dir ();
#line 268 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp11_ = _tmp10_;
#line 268 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp12_ = file_path;
#line 268 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp13_ = file_path;
#line 268 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp14_ = strlen (_tmp13_);
#line 268 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp15_ = _tmp14_;
#line 268 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp16_ = string_slice (_tmp12_, (glong) 2, (glong) _tmp15_);
#line 268 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp17_ = _tmp16_;
#line 268 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp18_ = tee_jee_file_system_path_combine (_tmp11_, _tmp17_);
#line 268 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp19_ = _tmp18_;
#line 268 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_free0 (_tmp17_);
#line 268 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_free0 (_tmp11_);
#line 268 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				result = _tmp19_;
#line 268 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				return result;
#line 1692 "TeeJee.FileSystem.c"
			} else {
				const gchar* _tmp20_ = NULL;
				gboolean _tmp21_ = FALSE;
#line 270 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp20_ = file_path;
#line 270 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp21_ = g_str_has_prefix (_tmp20_, "../");
#line 270 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				if (_tmp21_) {
#line 1702 "TeeJee.FileSystem.c"
					gchar* _tmp22_ = NULL;
					gchar* _tmp23_ = NULL;
					gchar* _tmp24_ = NULL;
					gchar* _tmp25_ = NULL;
					const gchar* _tmp26_ = NULL;
					const gchar* _tmp27_ = NULL;
					gint _tmp28_ = 0;
					gint _tmp29_ = 0;
					gchar* _tmp30_ = NULL;
					gchar* _tmp31_ = NULL;
					gchar* _tmp32_ = NULL;
					gchar* _tmp33_ = NULL;
#line 271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp22_ = g_get_current_dir ();
#line 271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp23_ = _tmp22_;
#line 271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp24_ = tee_jee_file_system_file_parent (_tmp23_);
#line 271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp25_ = _tmp24_;
#line 271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp26_ = file_path;
#line 271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp27_ = file_path;
#line 271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp28_ = strlen (_tmp27_);
#line 271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp29_ = _tmp28_;
#line 271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp30_ = string_slice (_tmp26_, (glong) 3, (glong) _tmp29_);
#line 271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp31_ = _tmp30_;
#line 271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp32_ = tee_jee_file_system_path_combine (_tmp25_, _tmp31_);
#line 271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp33_ = _tmp32_;
#line 271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp31_);
#line 271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp25_);
#line 271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp23_);
#line 271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					result = _tmp33_;
#line 271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					return result;
#line 1749 "TeeJee.FileSystem.c"
				} else {
					gchar* _tmp34_ = NULL;
					gchar* _tmp35_ = NULL;
					const gchar* _tmp36_ = NULL;
					gchar* _tmp37_ = NULL;
					gchar* _tmp38_ = NULL;
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp34_ = g_get_current_dir ();
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp35_ = _tmp34_;
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp36_ = file_path;
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp37_ = tee_jee_file_system_path_combine (_tmp35_, _tmp36_);
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp38_ = _tmp37_;
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp35_);
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					result = _tmp38_;
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					return result;
#line 1772 "TeeJee.FileSystem.c"
				}
			}
		}
	}
}


gint64 tee_jee_file_system_file_get_size (const gchar* file_path) {
	gint64 result = 0LL;
	GError * _inner_error_ = NULL;
#line 280 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, 0LL);
#line 1785 "TeeJee.FileSystem.c"
	{
		GFile* file = NULL;
		const gchar* _tmp0_ = NULL;
		GFile* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = file_path;
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = g_file_parse_name (_tmp0_);
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		file = _tmp1_;
#line 286 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = file_path;
#line 286 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = g_file_test (_tmp2_, G_FILE_TEST_EXISTS);
#line 286 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_) {
#line 1804 "TeeJee.FileSystem.c"
			gboolean _tmp4_ = FALSE;
			const gchar* _tmp5_ = NULL;
			gboolean _tmp6_ = FALSE;
#line 288 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp5_ = file_path;
#line 288 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp6_ = g_file_test (_tmp5_, G_FILE_TEST_IS_REGULAR);
#line 288 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			if (_tmp6_) {
#line 1814 "TeeJee.FileSystem.c"
				const gchar* _tmp7_ = NULL;
				gboolean _tmp8_ = FALSE;
#line 289 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp7_ = file_path;
#line 289 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp8_ = g_file_test (_tmp7_, G_FILE_TEST_IS_SYMLINK);
#line 289 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp4_ = !_tmp8_;
#line 1823 "TeeJee.FileSystem.c"
			} else {
#line 288 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp4_ = FALSE;
#line 1827 "TeeJee.FileSystem.c"
			}
#line 288 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			if (_tmp4_) {
#line 1831 "TeeJee.FileSystem.c"
				GFileInfo* _tmp9_ = NULL;
				GFile* _tmp10_ = NULL;
				GFileInfo* _tmp11_ = NULL;
				GFileInfo* _tmp12_ = NULL;
				GFileInfo* _tmp13_ = NULL;
				gint64 _tmp14_ = 0LL;
				gint64 _tmp15_ = 0LL;
#line 291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp10_ = file;
#line 291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp11_ = g_file_query_info (_tmp10_, "standard::size", 0, NULL, &_inner_error_);
#line 291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp9_ = _tmp11_;
#line 291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_g_object_unref0 (file);
#line 1849 "TeeJee.FileSystem.c"
					goto __catch70_g_error;
				}
#line 291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp12_ = _tmp9_;
#line 291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp9_ = NULL;
#line 291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp13_ = _tmp12_;
#line 291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp14_ = g_file_info_get_size (_tmp13_);
#line 291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp15_ = _tmp14_;
#line 291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (_tmp13_);
#line 291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				result = _tmp15_;
#line 291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (_tmp9_);
#line 291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file);
#line 291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				return result;
#line 1872 "TeeJee.FileSystem.c"
			}
		}
#line 282 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file);
#line 1877 "TeeJee.FileSystem.c"
	}
	goto __finally70;
	__catch70_g_error:
	{
		GError* e = NULL;
		GError* _tmp16_ = NULL;
		const gchar* _tmp17_ = NULL;
#line 282 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 282 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 296 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = e;
#line 296 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = _tmp16_->message;
#line 296 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp17_, FALSE, FALSE);
#line 282 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 1897 "TeeJee.FileSystem.c"
	}
	__finally70:
#line 282 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1902 "TeeJee.FileSystem.c"
		gint64 _tmp18_ = 0LL;
#line 282 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 282 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error_);
#line 282 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		return _tmp18_;
#line 1910 "TeeJee.FileSystem.c"
	}
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = (gint64) -1;
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 1916 "TeeJee.FileSystem.c"
}


GDateTime* tee_jee_file_system_file_get_modified_date (const gchar* file_path) {
	GDateTime* result = NULL;
	GDateTime* _tmp19_ = NULL;
	GError * _inner_error_ = NULL;
#line 302 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 1926 "TeeJee.FileSystem.c"
	{
		GFileInfo* info = NULL;
		GFile* file = NULL;
		const gchar* _tmp0_ = NULL;
		GFile* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
#line 305 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = file_path;
#line 305 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = g_file_parse_name (_tmp0_);
#line 305 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		file = _tmp1_;
#line 306 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = file;
#line 306 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = g_file_query_exists (_tmp2_, NULL);
#line 306 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_) {
#line 1946 "TeeJee.FileSystem.c"
			GFileInfo* _tmp4_ = NULL;
			GFile* _tmp5_ = NULL;
			gchar* _tmp6_ = NULL;
			gchar* _tmp7_ = NULL;
			GFileInfo* _tmp8_ = NULL;
			GFileInfo* _tmp9_ = NULL;
			GFileInfo* _tmp10_ = NULL;
			GFileInfo* _tmp11_ = NULL;
			GTimeVal _tmp12_ = {0};
			GDateTime* _tmp13_ = NULL;
			GDateTime* _tmp14_ = NULL;
			GDateTime* _tmp15_ = NULL;
			GDateTime* _tmp16_ = NULL;
#line 307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp5_ = file;
#line 307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp6_ = g_strdup_printf ("%s", G_FILE_ATTRIBUTE_TIME_MODIFIED);
#line 307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp7_ = _tmp6_;
#line 307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp8_ = g_file_query_info (_tmp5_, _tmp7_, 0, NULL, &_inner_error_);
#line 307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp9_ = _tmp8_;
#line 307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp7_);
#line 307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = _tmp9_;
#line 307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file);
#line 307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (info);
#line 1980 "TeeJee.FileSystem.c"
				goto __catch71_g_error;
			}
#line 307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp10_ = _tmp4_;
#line 307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = NULL;
#line 307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (info);
#line 307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			info = _tmp10_;
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp11_ = info;
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			g_file_info_get_modification_time (_tmp11_, &_tmp12_);
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp13_ = g_date_time_new_from_timeval_utc (&_tmp12_);
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp14_ = _tmp13_;
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp15_ = g_date_time_to_local (_tmp14_);
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp16_ = _tmp15_;
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_date_time_unref0 (_tmp14_);
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			result = _tmp16_;
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (_tmp4_);
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file);
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (info);
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 2015 "TeeJee.FileSystem.c"
		}
#line 303 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file);
#line 303 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (info);
#line 2021 "TeeJee.FileSystem.c"
	}
	goto __finally71;
	__catch71_g_error:
	{
		GError* e = NULL;
		GError* _tmp17_ = NULL;
		const gchar* _tmp18_ = NULL;
#line 303 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 303 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 312 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = e;
#line 312 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = _tmp17_->message;
#line 312 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp18_, FALSE, FALSE);
#line 303 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 2041 "TeeJee.FileSystem.c"
	}
	__finally71:
#line 303 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 303 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 303 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error_);
#line 303 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		return NULL;
#line 2052 "TeeJee.FileSystem.c"
	}
#line 315 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp19_ = g_date_time_new_from_unix_utc ((gint64) 0);
#line 315 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp19_;
#line 315 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 2060 "TeeJee.FileSystem.c"
}


gchar* tee_jee_file_system_file_get_symlink_target (const gchar* file_path) {
	gchar* result = NULL;
	gchar* _tmp16_ = NULL;
	GError * _inner_error_ = NULL;
#line 318 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 2070 "TeeJee.FileSystem.c"
	{
		GFileInfo* info = NULL;
		GFile* file = NULL;
		const gchar* _tmp0_ = NULL;
		GFile* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
#line 321 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = file_path;
#line 321 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = g_file_parse_name (_tmp0_);
#line 321 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		file = _tmp1_;
#line 322 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = file;
#line 322 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = g_file_query_exists (_tmp2_, NULL);
#line 322 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_) {
#line 2090 "TeeJee.FileSystem.c"
			GFileInfo* _tmp4_ = NULL;
			GFile* _tmp5_ = NULL;
			gchar* _tmp6_ = NULL;
			gchar* _tmp7_ = NULL;
			GFileInfo* _tmp8_ = NULL;
			GFileInfo* _tmp9_ = NULL;
			GFileInfo* _tmp10_ = NULL;
			GFileInfo* _tmp11_ = NULL;
			const gchar* _tmp12_ = NULL;
			gchar* _tmp13_ = NULL;
#line 323 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp5_ = file;
#line 323 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp6_ = g_strdup_printf ("%s", G_FILE_ATTRIBUTE_STANDARD_SYMLINK_TARGET);
#line 323 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp7_ = _tmp6_;
#line 323 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp8_ = g_file_query_info (_tmp5_, _tmp7_, 0, NULL, &_inner_error_);
#line 323 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp9_ = _tmp8_;
#line 323 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp7_);
#line 323 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = _tmp9_;
#line 323 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 323 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file);
#line 323 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (info);
#line 2121 "TeeJee.FileSystem.c"
				goto __catch72_g_error;
			}
#line 323 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp10_ = _tmp4_;
#line 323 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = NULL;
#line 323 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (info);
#line 323 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			info = _tmp10_;
#line 324 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp11_ = info;
#line 324 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp12_ = g_file_info_get_symlink_target (_tmp11_);
#line 324 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp13_ = g_strdup (_tmp12_);
#line 324 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			result = _tmp13_;
#line 324 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (_tmp4_);
#line 324 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file);
#line 324 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (info);
#line 324 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 2148 "TeeJee.FileSystem.c"
		}
#line 319 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file);
#line 319 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (info);
#line 2154 "TeeJee.FileSystem.c"
	}
	goto __finally72;
	__catch72_g_error:
	{
		GError* e = NULL;
		GError* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
#line 319 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 319 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 328 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = e;
#line 328 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = _tmp14_->message;
#line 328 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp15_, FALSE, FALSE);
#line 319 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 2174 "TeeJee.FileSystem.c"
	}
	__finally72:
#line 319 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 319 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 319 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error_);
#line 319 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		return NULL;
#line 2185 "TeeJee.FileSystem.c"
	}
#line 331 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp16_ = g_strdup ("");
#line 331 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp16_;
#line 331 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 2193 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_dir_exists (const gchar* dir_path) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
#line 336 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dir_path != NULL, FALSE);
#line 338 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = dir_path;
#line 338 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = g_file_test (_tmp1_, G_FILE_TEST_EXISTS);
#line 338 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp2_) {
#line 2210 "TeeJee.FileSystem.c"
		const gchar* _tmp3_ = NULL;
		gboolean _tmp4_ = FALSE;
#line 338 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = dir_path;
#line 338 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = g_file_test (_tmp3_, G_FILE_TEST_IS_DIR);
#line 338 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = _tmp4_;
#line 2219 "TeeJee.FileSystem.c"
	} else {
#line 338 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = FALSE;
#line 2223 "TeeJee.FileSystem.c"
	}
#line 338 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp0_;
#line 338 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 2229 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_dir_create (const gchar* dir_path, gboolean show_message) {
	gboolean result = FALSE;
	gboolean _tmp28_ = FALSE;
	GError * _inner_error_ = NULL;
#line 341 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dir_path != NULL, FALSE);
#line 2239 "TeeJee.FileSystem.c"
	{
		GFile* dir = NULL;
		const gchar* _tmp0_ = NULL;
		GFile* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
#line 346 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = dir_path;
#line 346 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = g_file_parse_name (_tmp0_);
#line 346 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		dir = _tmp1_;
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = dir;
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = g_file_query_exists (_tmp2_, NULL);
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_ == FALSE) {
#line 2258 "TeeJee.FileSystem.c"
			gboolean ok = FALSE;
			GFile* _tmp4_ = NULL;
			gboolean _tmp5_ = FALSE;
			gboolean _tmp6_ = FALSE;
#line 348 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = dir;
#line 348 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp5_ = g_file_make_directory_with_parents (_tmp4_, NULL, &_inner_error_);
#line 348 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			ok = _tmp5_;
#line 348 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 348 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (dir);
#line 2273 "TeeJee.FileSystem.c"
				goto __catch73_g_error;
			}
#line 349 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp6_ = show_message;
#line 349 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			if (_tmp6_) {
#line 2280 "TeeJee.FileSystem.c"
				gboolean _tmp7_ = FALSE;
#line 350 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp7_ = ok;
#line 350 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				if (_tmp7_) {
#line 2286 "TeeJee.FileSystem.c"
					const gchar* _tmp8_ = NULL;
					const gchar* _tmp9_ = NULL;
					gchar* _tmp10_ = NULL;
					gchar* _tmp11_ = NULL;
					gchar* _tmp12_ = NULL;
					gchar* _tmp13_ = NULL;
#line 351 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp8_ = _ ("Created directory");
#line 351 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp9_ = dir_path;
#line 351 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp10_ = g_strdup_printf (": %s", _tmp9_);
#line 351 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp11_ = _tmp10_;
#line 351 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp12_ = g_strconcat (_tmp8_, _tmp11_, NULL);
#line 351 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp13_ = _tmp12_;
#line 351 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					tee_jee_logging_log_msg (_tmp13_, FALSE);
#line 351 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp13_);
#line 351 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp11_);
#line 2311 "TeeJee.FileSystem.c"
				} else {
					const gchar* _tmp14_ = NULL;
					const gchar* _tmp15_ = NULL;
					gchar* _tmp16_ = NULL;
					gchar* _tmp17_ = NULL;
					gchar* _tmp18_ = NULL;
					gchar* _tmp19_ = NULL;
#line 354 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp14_ = _ ("Failed to create directory");
#line 354 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp15_ = dir_path;
#line 354 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp16_ = g_strdup_printf (": %s", _tmp15_);
#line 354 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp17_ = _tmp16_;
#line 354 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp18_ = g_strconcat (_tmp14_, _tmp17_, NULL);
#line 354 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp19_ = _tmp18_;
#line 354 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					tee_jee_logging_log_error (_tmp19_, FALSE, FALSE);
#line 354 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp19_);
#line 354 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp17_);
#line 2337 "TeeJee.FileSystem.c"
				}
			}
		}
#line 358 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		result = TRUE;
#line 358 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (dir);
#line 358 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 2347 "TeeJee.FileSystem.c"
	}
	goto __finally73;
	__catch73_g_error:
	{
		GError* e = NULL;
		GError* _tmp20_ = NULL;
		const gchar* _tmp21_ = NULL;
		const gchar* _tmp22_ = NULL;
		const gchar* _tmp23_ = NULL;
		gchar* _tmp24_ = NULL;
		gchar* _tmp25_ = NULL;
		gchar* _tmp26_ = NULL;
		gchar* _tmp27_ = NULL;
#line 345 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 345 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 361 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp20_ = e;
#line 361 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp21_ = _tmp20_->message;
#line 361 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp21_, FALSE, FALSE);
#line 362 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp22_ = _ ("Failed to create directory");
#line 362 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp23_ = dir_path;
#line 362 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp24_ = g_strdup_printf (": %s", _tmp23_);
#line 362 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp25_ = _tmp24_;
#line 362 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp26_ = g_strconcat (_tmp22_, _tmp25_, NULL);
#line 362 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp27_ = _tmp26_;
#line 362 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp27_, FALSE, FALSE);
#line 362 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp27_);
#line 362 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp25_);
#line 363 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		result = FALSE;
#line 363 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 363 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 2395 "TeeJee.FileSystem.c"
	}
	__finally73:
#line 345 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 345 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_clear_error (&_inner_error_);
#line 345 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return _tmp28_;
#line 2404 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_dir_delete (const gchar* dir_path, gboolean show_message) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gchar* cmd = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gint status = 0;
	const gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
	gint _tmp11_ = 0;
	gboolean _tmp12_ = FALSE;
	gint _tmp28_ = 0;
#line 367 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dir_path != NULL, FALSE);
#line 371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = dir_path;
#line 371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_file_system_dir_exists (_tmp0_);
#line 371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (!_tmp1_) {
#line 372 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		result = TRUE;
#line 372 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 2440 "TeeJee.FileSystem.c"
	}
#line 375 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = dir_path;
#line 375 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = tee_jee_file_system_escape_single_quote (_tmp2_);
#line 375 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = _tmp3_;
#line 375 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp5_ = g_strdup_printf ("rm -rf '%s'", _tmp4_);
#line 375 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp6_ = _tmp5_;
#line 375 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp4_);
#line 375 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp6_;
#line 376 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp7_ = cmd;
#line 376 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	tee_jee_logging_log_debug (_tmp7_);
#line 378 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp8_ = cmd;
#line 378 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp11_ = tee_jee_process_helper_exec_sync (_tmp8_, &_tmp9_, &_tmp10_);
#line 378 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 378 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	std_out = _tmp9_;
#line 378 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 378 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	std_err = _tmp10_;
#line 378 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	status = _tmp11_;
#line 379 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp12_ = show_message;
#line 379 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp12_) {
#line 2478 "TeeJee.FileSystem.c"
		gint _tmp13_ = 0;
#line 380 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = status;
#line 380 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp13_ == 0) {
#line 2484 "TeeJee.FileSystem.c"
			const gchar* _tmp14_ = NULL;
			const gchar* _tmp15_ = NULL;
			gchar* _tmp16_ = NULL;
			gchar* _tmp17_ = NULL;
			gchar* _tmp18_ = NULL;
			gchar* _tmp19_ = NULL;
#line 381 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp14_ = _ ("Deleted directory");
#line 381 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp15_ = dir_path;
#line 381 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp16_ = g_strdup_printf (": %s", _tmp15_);
#line 381 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp17_ = _tmp16_;
#line 381 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp18_ = g_strconcat (_tmp14_, _tmp17_, NULL);
#line 381 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp19_ = _tmp18_;
#line 381 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_msg (_tmp19_, FALSE);
#line 381 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp19_);
#line 381 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp17_);
#line 2509 "TeeJee.FileSystem.c"
		} else {
			const gchar* _tmp20_ = NULL;
			const gchar* _tmp21_ = NULL;
			gchar* _tmp22_ = NULL;
			gchar* _tmp23_ = NULL;
			gchar* _tmp24_ = NULL;
			gchar* _tmp25_ = NULL;
			const gchar* _tmp26_ = NULL;
			const gchar* _tmp27_ = NULL;
#line 384 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp20_ = _ ("Failed to delete directory");
#line 384 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp21_ = dir_path;
#line 384 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp22_ = g_strdup_printf (": %s", _tmp21_);
#line 384 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp23_ = _tmp22_;
#line 384 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp24_ = g_strconcat (_tmp20_, _tmp23_, NULL);
#line 384 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp25_ = _tmp24_;
#line 384 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_error (_tmp25_, FALSE, FALSE);
#line 384 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp25_);
#line 384 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp23_);
#line 385 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp26_ = std_out;
#line 385 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_error (_tmp26_, FALSE, FALSE);
#line 386 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp27_ = std_err;
#line 386 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_error (_tmp27_, FALSE, FALSE);
#line 2545 "TeeJee.FileSystem.c"
		}
	}
#line 390 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp28_ = status;
#line 390 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp28_ == 0;
#line 390 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 390 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 390 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 390 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 2560 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_dir_move_to_trash (const gchar* dir_path) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dir_path != NULL, FALSE);
#line 394 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = dir_path;
#line 394 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_file_system_file_move_to_trash (_tmp0_);
#line 394 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp1_;
#line 394 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 2578 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_dir_is_empty (const gchar* dir_path) {
	gboolean result = FALSE;
	gboolean _tmp16_ = FALSE;
	GError * _inner_error_ = NULL;
#line 397 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dir_path != NULL, FALSE);
#line 2588 "TeeJee.FileSystem.c"
	{
		gboolean is_empty = FALSE;
		GFile* dir = NULL;
		const gchar* _tmp0_ = NULL;
		GFile* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
#line 402 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		is_empty = TRUE;
#line 403 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = dir_path;
#line 403 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = g_file_parse_name (_tmp0_);
#line 403 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		dir = _tmp1_;
#line 404 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = dir;
#line 404 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = g_file_query_exists (_tmp2_, NULL);
#line 404 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_) {
#line 2610 "TeeJee.FileSystem.c"
			GFileInfo* info = NULL;
			GFileEnumerator* enu = NULL;
			GFile* _tmp4_ = NULL;
			gchar* _tmp5_ = NULL;
			gchar* _tmp6_ = NULL;
			GFileEnumerator* _tmp7_ = NULL;
			GFileEnumerator* _tmp8_ = NULL;
#line 406 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = dir;
#line 406 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp5_ = g_strdup_printf ("%s", G_FILE_ATTRIBUTE_STANDARD_NAME);
#line 406 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp6_ = _tmp5_;
#line 406 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp7_ = g_file_enumerate_children (_tmp4_, _tmp6_, 0, NULL, &_inner_error_);
#line 406 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp8_ = _tmp7_;
#line 406 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp6_);
#line 406 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			enu = _tmp8_;
#line 406 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 406 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (info);
#line 406 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (dir);
#line 2638 "TeeJee.FileSystem.c"
				goto __catch74_g_error;
			}
#line 407 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			while (TRUE) {
#line 2643 "TeeJee.FileSystem.c"
				GFileInfo* _tmp9_ = NULL;
				GFileEnumerator* _tmp10_ = NULL;
				GFileInfo* _tmp11_ = NULL;
				GFileInfo* _tmp12_ = NULL;
				GFileInfo* _tmp13_ = NULL;
#line 407 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp10_ = enu;
#line 407 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp11_ = g_file_enumerator_next_file (_tmp10_, NULL, &_inner_error_);
#line 407 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp9_ = _tmp11_;
#line 407 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 407 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_g_object_unref0 (enu);
#line 407 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_g_object_unref0 (info);
#line 407 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_g_object_unref0 (dir);
#line 2663 "TeeJee.FileSystem.c"
					goto __catch74_g_error;
				}
#line 407 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp12_ = _tmp9_;
#line 407 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp9_ = NULL;
#line 407 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (info);
#line 407 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				info = _tmp12_;
#line 407 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp13_ = info;
#line 407 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				if (!(_tmp13_ != NULL)) {
#line 407 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_g_object_unref0 (_tmp9_);
#line 407 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					break;
#line 2682 "TeeJee.FileSystem.c"
				}
#line 408 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				is_empty = FALSE;
#line 409 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (_tmp9_);
#line 409 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				break;
#line 2690 "TeeJee.FileSystem.c"
			}
#line 404 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (enu);
#line 404 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (info);
#line 2696 "TeeJee.FileSystem.c"
		}
#line 412 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		result = is_empty;
#line 412 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (dir);
#line 412 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 2704 "TeeJee.FileSystem.c"
	}
	goto __finally74;
	__catch74_g_error:
	{
		GError* e = NULL;
		GError* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
#line 401 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 401 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 415 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = e;
#line 415 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = _tmp14_->message;
#line 415 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp15_, FALSE, FALSE);
#line 416 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		result = FALSE;
#line 416 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 416 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 2728 "TeeJee.FileSystem.c"
	}
	__finally74:
#line 401 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 401 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_clear_error (&_inner_error_);
#line 401 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return _tmp16_;
#line 2737 "TeeJee.FileSystem.c"
}


static gboolean int64_try_parse (const gchar* str, gint64* _result_) {
	gint64 _vala_result = 0LL;
	gboolean result = FALSE;
	gchar* endptr = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gint64 _tmp2_ = 0LL;
	gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	gint _tmp6_ = 0;
	gint _tmp7_ = 0;
#line 684 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, FALSE);
#line 686 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = str;
#line 686 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp2_ = g_ascii_strtoll (_tmp0_, &_tmp1_, (guint) 0);
#line 686 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	endptr = _tmp1_;
#line 686 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_vala_result = _tmp2_;
#line 687 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp3_ = endptr;
#line 687 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp4_ = str;
#line 687 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp5_ = str;
#line 687 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp6_ = strlen (_tmp5_);
#line 687 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp7_ = _tmp6_;
#line 687 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_tmp3_ == (((gchar*) _tmp4_) + _tmp7_)) {
#line 688 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = TRUE;
#line 688 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (_result_) {
#line 688 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			*_result_ = _vala_result;
#line 2781 "TeeJee.FileSystem.c"
		}
#line 688 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 2785 "TeeJee.FileSystem.c"
	} else {
#line 690 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = FALSE;
#line 690 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (_result_) {
#line 690 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			*_result_ = _vala_result;
#line 2793 "TeeJee.FileSystem.c"
		}
#line 690 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 2797 "TeeJee.FileSystem.c"
	}
#line 684 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_result_) {
#line 684 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		*_result_ = _vala_result;
#line 2803 "TeeJee.FileSystem.c"
	}
}


gboolean tee_jee_file_system_filesystem_supports_hardlinks (const gchar* path, gboolean* is_readonly) {
	gboolean _vala_is_readonly = FALSE;
	gboolean result = FALSE;
	gboolean supports_hardlinks = FALSE;
	gchar* test_file = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
	gboolean _tmp8_ = FALSE;
#line 420 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (path != NULL, FALSE);
#line 421 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	supports_hardlinks = FALSE;
#line 422 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_vala_is_readonly = FALSE;
#line 424 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = path;
#line 424 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_misc_random_string (8, "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890");
#line 424 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = _tmp1_;
#line 424 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = g_strconcat (_tmp2_, "~", NULL);
#line 424 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = _tmp3_;
#line 424 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp5_ = tee_jee_file_system_path_combine (_tmp0_, _tmp4_);
#line 424 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp6_ = _tmp5_;
#line 424 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp4_);
#line 424 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp2_);
#line 424 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	test_file = _tmp6_;
#line 426 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp7_ = test_file;
#line 426 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp8_ = tee_jee_file_system_file_write (_tmp7_, "");
#line 426 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp8_) {
#line 2854 "TeeJee.FileSystem.c"
		gchar* test_file2 = NULL;
		const gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
		gchar* cmd = NULL;
		const gchar* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
		gchar* _tmp18_ = NULL;
		const gchar* _tmp19_ = NULL;
		gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
		gchar* _tmp22_ = NULL;
		gchar* _tmp23_ = NULL;
		const gchar* _tmp24_ = NULL;
		gint status = 0;
		const gchar* _tmp25_ = NULL;
		gint _tmp26_ = 0;
		const gchar* _tmp27_ = NULL;
		gchar* _tmp28_ = NULL;
		gchar* _tmp29_ = NULL;
		gchar* _tmp30_ = NULL;
		const gchar* _tmp31_ = NULL;
		gchar* std_out = NULL;
		gchar* std_err = NULL;
		const gchar* _tmp32_ = NULL;
		gchar* _tmp33_ = NULL;
		gchar* _tmp34_ = NULL;
		gint _tmp35_ = 0;
		const gchar* _tmp36_ = NULL;
		gchar* _tmp37_ = NULL;
		gchar* _tmp38_ = NULL;
		gint64 count = 0LL;
		const gchar* _tmp39_ = NULL;
		gint64 _tmp40_ = 0LL;
		gboolean _tmp41_ = FALSE;
		const gchar* _tmp43_ = NULL;
		const gchar* _tmp44_ = NULL;
#line 428 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = path;
#line 428 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = tee_jee_misc_random_string (8, "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890");
#line 428 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = _tmp10_;
#line 428 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = g_strconcat (_tmp11_, "~", NULL);
#line 428 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = _tmp12_;
#line 428 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = tee_jee_file_system_path_combine (_tmp9_, _tmp13_);
#line 428 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = _tmp14_;
#line 428 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp13_);
#line 428 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp11_);
#line 428 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		test_file2 = _tmp15_;
#line 430 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = test_file;
#line 430 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = tee_jee_file_system_escape_single_quote (_tmp16_);
#line 430 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = _tmp17_;
#line 430 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp19_ = test_file2;
#line 430 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp20_ = tee_jee_file_system_escape_single_quote (_tmp19_);
#line 430 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp21_ = _tmp20_;
#line 430 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp22_ = g_strdup_printf ("ln '%s' '%s'", _tmp18_, _tmp21_);
#line 430 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp23_ = _tmp22_;
#line 430 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp21_);
#line 430 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp18_);
#line 430 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp23_;
#line 434 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp24_ = cmd;
#line 434 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_debug (_tmp24_);
#line 436 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp25_ = cmd;
#line 436 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp26_ = tee_jee_process_helper_exec_sync (_tmp25_, NULL, NULL);
#line 436 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		status = _tmp26_;
#line 438 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp27_ = test_file;
#line 438 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp28_ = tee_jee_file_system_escape_single_quote (_tmp27_);
#line 438 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp29_ = _tmp28_;
#line 438 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp30_ = g_strdup_printf ("stat --printf '%%h' '%s'", _tmp29_);
#line 438 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 438 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp30_;
#line 438 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp29_);
#line 441 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp31_ = cmd;
#line 441 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_debug (_tmp31_);
#line 444 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp32_ = cmd;
#line 444 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp35_ = tee_jee_process_helper_exec_sync (_tmp32_, &_tmp33_, &_tmp34_);
#line 444 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (std_out);
#line 444 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		std_out = _tmp33_;
#line 444 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (std_err);
#line 444 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		std_err = _tmp34_;
#line 444 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		status = _tmp35_;
#line 445 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp36_ = std_out;
#line 445 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp37_ = g_strdup_printf ("stdout: %s", _tmp36_);
#line 445 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp38_ = _tmp37_;
#line 445 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_debug (_tmp38_);
#line 445 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp38_);
#line 447 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		count = (gint64) 0;
#line 448 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp39_ = std_out;
#line 448 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp41_ = int64_try_parse (_tmp39_, &_tmp40_);
#line 448 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		count = _tmp40_;
#line 448 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp41_) {
#line 3000 "TeeJee.FileSystem.c"
			gint64 _tmp42_ = 0LL;
#line 449 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp42_ = count;
#line 449 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			if (_tmp42_ > ((gint64) 1)) {
#line 450 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				supports_hardlinks = TRUE;
#line 3008 "TeeJee.FileSystem.c"
			}
		}
#line 454 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp43_ = test_file2;
#line 454 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_file_system_file_delete (_tmp43_);
#line 455 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp44_ = test_file;
#line 455 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_file_system_file_delete (_tmp44_);
#line 426 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (std_err);
#line 426 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (std_out);
#line 426 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 426 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (test_file2);
#line 3027 "TeeJee.FileSystem.c"
	} else {
#line 458 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_vala_is_readonly = TRUE;
#line 3031 "TeeJee.FileSystem.c"
	}
#line 461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = supports_hardlinks;
#line 461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (test_file);
#line 461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (is_readonly) {
#line 461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		*is_readonly = _vala_is_readonly;
#line 3041 "TeeJee.FileSystem.c"
	}
#line 461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 3045 "TeeJee.FileSystem.c"
}


static gint __lambda18_ (const gchar* a, const gchar* b) {
	gint result = 0;
	GCompareFunc _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gint _tmp3_ = 0;
#line 482 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (a != NULL, 0);
#line 482 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (b != NULL, 0);
#line 483 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = g_strcmp0;
#line 483 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = a;
#line 483 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = b;
#line 483 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = _tmp0_ (_tmp1_, _tmp2_);
#line 483 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp3_;
#line 483 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 3071 "TeeJee.FileSystem.c"
}


static gint ___lambda18__gcompare_data_func (gconstpointer a, gconstpointer b, gpointer self) {
	gint result;
	result = __lambda18_ ((const gchar*) a, (const gchar*) b);
#line 482 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 3080 "TeeJee.FileSystem.c"
}


GeeArrayList* tee_jee_file_system_dir_list_names (const gchar* path) {
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_ = NULL;
	GCompareDataFunc entry_compare = NULL;
	void* entry_compare_target = NULL;
	GDestroyNotify entry_compare_target_destroy_notify = NULL;
	GeeArrayList* _tmp20_ = NULL;
	GCompareDataFunc _tmp21_ = NULL;
	void* _tmp21__target = NULL;
	GDestroyNotify _tmp21__target_destroy_notify = NULL;
	GError * _inner_error_ = NULL;
#line 464 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (path != NULL, NULL);
#line 465 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = gee_array_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 465 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	list = _tmp0_;
#line 3102 "TeeJee.FileSystem.c"
	{
		GFile* f_home = NULL;
		const gchar* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		GFileEnumerator* enumerator = NULL;
		GFile* _tmp3_ = NULL;
		gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		GFileEnumerator* _tmp6_ = NULL;
		GFileEnumerator* _tmp7_ = NULL;
		GFileInfo* file = NULL;
#line 469 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = path;
#line 469 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = g_file_new_for_path (_tmp1_);
#line 469 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		f_home = _tmp2_;
#line 470 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = f_home;
#line 470 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = g_strdup_printf ("%s", G_FILE_ATTRIBUTE_STANDARD_NAME);
#line 470 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = _tmp4_;
#line 470 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = g_file_enumerate_children (_tmp3_, _tmp5_, 0, NULL, &_inner_error_);
#line 470 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = _tmp6_;
#line 470 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp5_);
#line 470 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		enumerator = _tmp7_;
#line 470 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 470 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (f_home);
#line 3138 "TeeJee.FileSystem.c"
			goto __catch75_g_error;
		}
#line 472 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		while (TRUE) {
#line 3143 "TeeJee.FileSystem.c"
			GFileInfo* _tmp8_ = NULL;
			GFileEnumerator* _tmp9_ = NULL;
			GFileInfo* _tmp10_ = NULL;
			GFileInfo* _tmp11_ = NULL;
			GFileInfo* _tmp12_ = NULL;
			gchar* name = NULL;
			GFileInfo* _tmp13_ = NULL;
			const gchar* _tmp14_ = NULL;
			gchar* _tmp15_ = NULL;
			GeeArrayList* _tmp16_ = NULL;
			const gchar* _tmp17_ = NULL;
#line 472 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp9_ = enumerator;
#line 472 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp10_ = g_file_enumerator_next_file (_tmp9_, NULL, &_inner_error_);
#line 472 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp8_ = _tmp10_;
#line 472 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 472 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file);
#line 472 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (enumerator);
#line 472 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (f_home);
#line 3169 "TeeJee.FileSystem.c"
				goto __catch75_g_error;
			}
#line 472 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp11_ = _tmp8_;
#line 472 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp8_ = NULL;
#line 472 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file);
#line 472 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			file = _tmp11_;
#line 472 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp12_ = file;
#line 472 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			if (!(_tmp12_ != NULL)) {
#line 472 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (_tmp8_);
#line 472 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				break;
#line 3188 "TeeJee.FileSystem.c"
			}
#line 473 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp13_ = file;
#line 473 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp14_ = g_file_info_get_name (_tmp13_);
#line 473 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp15_ = g_strdup (_tmp14_);
#line 473 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			name = _tmp15_;
#line 474 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp16_ = list;
#line 474 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp17_ = name;
#line 474 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			gee_abstract_collection_add ((GeeAbstractCollection*) _tmp16_, _tmp17_);
#line 472 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (name);
#line 472 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (_tmp8_);
#line 3208 "TeeJee.FileSystem.c"
		}
#line 467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file);
#line 467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (enumerator);
#line 467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (f_home);
#line 3216 "TeeJee.FileSystem.c"
	}
	goto __finally75;
	__catch75_g_error:
	{
		GError* e = NULL;
		GError* _tmp18_ = NULL;
		const gchar* _tmp19_ = NULL;
#line 467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 478 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = e;
#line 478 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp19_ = _tmp18_->message;
#line 478 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp19_, FALSE, FALSE);
#line 467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 3236 "TeeJee.FileSystem.c"
	}
	__finally75:
#line 467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (list);
#line 467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error_);
#line 467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		return NULL;
#line 3249 "TeeJee.FileSystem.c"
	}
#line 482 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	entry_compare = ___lambda18__gcompare_data_func;
#line 482 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	entry_compare_target = NULL;
#line 482 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	entry_compare_target_destroy_notify = NULL;
#line 485 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp20_ = list;
#line 485 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp21_ = entry_compare;
#line 485 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp21__target = entry_compare_target;
#line 485 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp21__target_destroy_notify = entry_compare_target_destroy_notify;
#line 485 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	entry_compare_target_destroy_notify = NULL;
#line 485 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	gee_list_sort ((GeeList*) _tmp20_, _tmp21_, _tmp21__target, _tmp21__target_destroy_notify);
#line 487 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = list;
#line 487 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	(entry_compare_target_destroy_notify == NULL) ? NULL : (entry_compare_target_destroy_notify (entry_compare_target), NULL);
#line 487 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	entry_compare = NULL;
#line 487 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	entry_compare_target = NULL;
#line 487 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	entry_compare_target_destroy_notify = NULL;
#line 487 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 3281 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_dir_tar (const gchar* src_dir, const gchar* tar_file, gboolean recursion) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 490 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (src_dir != NULL, FALSE);
#line 490 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (tar_file != NULL, FALSE);
#line 491 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = src_dir;
#line 491 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_file_system_dir_exists (_tmp0_);
#line 491 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp1_) {
#line 3299 "TeeJee.FileSystem.c"
		const gchar* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
		gchar* src_parent = NULL;
		const gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* src_name = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
		gboolean _tmp10_ = FALSE;
		gchar* cmd = NULL;
		const gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		const gchar* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
		gchar* _tmp16_ = NULL;
		const gchar* _tmp17_ = NULL;
		gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
		const gchar* _tmp22_ = NULL;
		gchar* stdout = NULL;
		gchar* stderr = NULL;
		gint status = 0;
		const gchar* _tmp23_ = NULL;
		gchar* _tmp24_ = NULL;
		gchar* _tmp25_ = NULL;
		gint _tmp26_ = 0;
		gint _tmp27_ = 0;
#line 493 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = tar_file;
#line 493 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = tee_jee_file_system_file_exists (_tmp2_);
#line 493 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_) {
#line 3337 "TeeJee.FileSystem.c"
			const gchar* _tmp4_ = NULL;
#line 494 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = tar_file;
#line 494 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_file_system_file_delete (_tmp4_);
#line 3343 "TeeJee.FileSystem.c"
		}
#line 497 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = src_dir;
#line 497 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = tee_jee_file_system_file_parent (_tmp5_);
#line 497 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		src_parent = _tmp6_;
#line 498 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = src_dir;
#line 498 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = tee_jee_file_system_file_basename (_tmp7_);
#line 498 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		src_name = _tmp8_;
#line 502 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = recursion;
#line 502 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp10_) {
#line 502 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp9_ = "";
#line 3363 "TeeJee.FileSystem.c"
		} else {
#line 502 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp9_ = "no-";
#line 3367 "TeeJee.FileSystem.c"
		}
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = tar_file;
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = tee_jee_file_system_escape_single_quote (_tmp11_);
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = _tmp12_;
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = src_parent;
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = tee_jee_file_system_escape_single_quote (_tmp14_);
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = _tmp15_;
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = src_name;
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = tee_jee_file_system_escape_single_quote (_tmp17_);
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp19_ = _tmp18_;
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp20_ = g_strdup_printf ("tar cvf '%s' --overwrite --%srecursion -C '%s' '%s'\n", _tmp13_, _tmp9_, _tmp16_, _tmp19_);
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp21_ = _tmp20_;
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp19_);
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp16_);
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp13_);
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp21_;
#line 506 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp22_ = cmd;
#line 506 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_debug (_tmp22_);
#line 509 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp23_ = cmd;
#line 509 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp26_ = tee_jee_process_helper_exec_script_sync (_tmp23_, &_tmp24_, &_tmp25_, FALSE, FALSE, TRUE, FALSE);
#line 509 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stdout);
#line 509 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		stdout = _tmp24_;
#line 509 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stderr);
#line 509 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		stderr = _tmp25_;
#line 509 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		status = _tmp26_;
#line 510 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp27_ = status;
#line 510 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp27_ == 0) {
#line 511 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			result = TRUE;
#line 511 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (stderr);
#line 511 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (stdout);
#line 511 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (cmd);
#line 511 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (src_name);
#line 511 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (src_parent);
#line 511 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 3435 "TeeJee.FileSystem.c"
		} else {
			const gchar* _tmp28_ = NULL;
#line 514 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp28_ = stderr;
#line 514 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_msg (_tmp28_, FALSE);
#line 3442 "TeeJee.FileSystem.c"
		}
#line 491 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stderr);
#line 491 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stdout);
#line 491 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 491 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (src_name);
#line 491 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (src_parent);
#line 3454 "TeeJee.FileSystem.c"
	} else {
		const gchar* _tmp29_ = NULL;
		const gchar* _tmp30_ = NULL;
		gchar* _tmp31_ = NULL;
		gchar* _tmp32_ = NULL;
		gchar* _tmp33_ = NULL;
		gchar* _tmp34_ = NULL;
#line 518 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp29_ = _ ("Dir not found");
#line 518 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp30_ = src_dir;
#line 518 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp31_ = g_strdup_printf (": %s", _tmp30_);
#line 518 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp32_ = _tmp31_;
#line 518 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp33_ = g_strconcat (_tmp29_, _tmp32_, NULL);
#line 518 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp34_ = _tmp33_;
#line 518 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp34_, FALSE, FALSE);
#line 518 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp34_);
#line 518 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp32_);
#line 3480 "TeeJee.FileSystem.c"
	}
#line 521 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = FALSE;
#line 521 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 3486 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_dir_untar (const gchar* tar_file, const gchar* dst_dir) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 524 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (tar_file != NULL, FALSE);
#line 524 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dst_dir != NULL, FALSE);
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = tar_file;
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_file_system_file_exists (_tmp0_);
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp1_) {
#line 3504 "TeeJee.FileSystem.c"
		const gchar* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
		gchar* cmd = NULL;
		const gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		const gchar* _tmp13_ = NULL;
		gchar* stdout = NULL;
		gchar* stderr = NULL;
		gint status = 0;
		const gchar* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
		gchar* _tmp16_ = NULL;
		gint _tmp17_ = 0;
		gint _tmp18_ = 0;
#line 527 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = dst_dir;
#line 527 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = tee_jee_file_system_dir_exists (_tmp2_);
#line 527 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (!_tmp3_) {
#line 3531 "TeeJee.FileSystem.c"
			const gchar* _tmp4_ = NULL;
#line 528 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = dst_dir;
#line 528 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_file_system_dir_create (_tmp4_, FALSE);
#line 3537 "TeeJee.FileSystem.c"
		}
#line 531 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = tar_file;
#line 531 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = tee_jee_file_system_escape_single_quote (_tmp5_);
#line 531 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = _tmp6_;
#line 531 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = dst_dir;
#line 531 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = tee_jee_file_system_escape_single_quote (_tmp8_);
#line 531 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = _tmp9_;
#line 531 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = g_strdup_printf ("tar xvf '%s' --overwrite --same-permissions -C '%s'\n", _tmp7_, _tmp10_);
#line 531 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = _tmp11_;
#line 531 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp10_);
#line 531 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp7_);
#line 531 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp12_;
#line 535 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = cmd;
#line 535 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_debug (_tmp13_);
#line 538 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = cmd;
#line 538 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = tee_jee_process_helper_exec_script_sync (_tmp14_, &_tmp15_, &_tmp16_, FALSE, FALSE, TRUE, FALSE);
#line 538 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stdout);
#line 538 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		stdout = _tmp15_;
#line 538 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stderr);
#line 538 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		stderr = _tmp16_;
#line 538 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		status = _tmp17_;
#line 539 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = status;
#line 539 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp18_ == 0) {
#line 540 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			result = TRUE;
#line 540 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (stderr);
#line 540 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (stdout);
#line 540 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (cmd);
#line 540 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 3593 "TeeJee.FileSystem.c"
		} else {
			const gchar* _tmp19_ = NULL;
#line 543 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp19_ = stderr;
#line 543 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_msg (_tmp19_, FALSE);
#line 3600 "TeeJee.FileSystem.c"
		}
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stderr);
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stdout);
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 3608 "TeeJee.FileSystem.c"
	} else {
		const gchar* _tmp20_ = NULL;
		const gchar* _tmp21_ = NULL;
		gchar* _tmp22_ = NULL;
		gchar* _tmp23_ = NULL;
		gchar* _tmp24_ = NULL;
		gchar* _tmp25_ = NULL;
#line 547 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp20_ = _ ("File not found");
#line 547 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp21_ = tar_file;
#line 547 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp22_ = g_strdup_printf (": %s", _tmp21_);
#line 547 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp23_ = _tmp22_;
#line 547 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp24_ = g_strconcat (_tmp20_, _tmp23_, NULL);
#line 547 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp25_ = _tmp24_;
#line 547 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp25_, FALSE, FALSE);
#line 547 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp25_);
#line 547 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp23_);
#line 3634 "TeeJee.FileSystem.c"
	}
#line 550 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = FALSE;
#line 550 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 3640 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_chown (const gchar* dir_path, const gchar* user, const gchar* group) {
	gboolean result = FALSE;
	gchar* cmd = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gint status = 0;
	gint _tmp7_ = 0;
#line 553 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dir_path != NULL, FALSE);
#line 553 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (user != NULL, FALSE);
#line 553 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (group != NULL, FALSE);
#line 554 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = user;
#line 554 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = group;
#line 554 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = dir_path;
#line 554 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = tee_jee_file_system_escape_single_quote (_tmp2_);
#line 554 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = _tmp3_;
#line 554 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp5_ = g_strdup_printf ("chown %s:%s -R '%s'", _tmp0_, _tmp1_, _tmp4_);
#line 554 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp6_ = _tmp5_;
#line 554 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp4_);
#line 554 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp6_;
#line 555 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp7_ = tee_jee_process_helper_exec_sync (cmd, NULL, NULL);
#line 555 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	status = _tmp7_;
#line 556 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = status == 0;
#line 556 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 556 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 3690 "TeeJee.FileSystem.c"
}


glong tee_jee_file_system_dir_count (const gchar* path) {
	glong result = 0L;
	gchar* cmd = NULL;
	gchar* _tmp0_ = NULL;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gint ret_val = 0;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	gint _tmp8_ = 0;
	glong _tmp9_ = 0L;
#line 562 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (path != NULL, 0L);
#line 566 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = g_strdup ("");
#line 566 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp0_;
#line 571 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = path;
#line 571 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = tee_jee_file_system_escape_single_quote (_tmp1_);
#line 571 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = _tmp2_;
#line 571 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = g_strdup_printf ("find '%s' | wc -l", _tmp3_);
#line 571 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 571 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp4_;
#line 571 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp3_);
#line 572 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp5_ = cmd;
#line 572 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp8_ = tee_jee_process_helper_exec_script_sync (_tmp5_, &_tmp6_, &_tmp7_, FALSE, FALSE, TRUE, FALSE);
#line 572 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 572 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	std_out = _tmp6_;
#line 572 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 572 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	std_err = _tmp7_;
#line 572 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	ret_val = _tmp8_;
#line 573 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp9_ = atol (std_out);
#line 573 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp9_;
#line 573 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 573 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 573 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 573 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 3756 "TeeJee.FileSystem.c"
}


glong tee_jee_file_system_dir_size (const gchar* path) {
	glong result = 0L;
	gchar* cmd = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar** _tmp7_ = NULL;
	gchar** _tmp8_ = NULL;
	gchar** _tmp9_ = NULL;
	gint _tmp9__length1 = 0;
	const gchar* _tmp10_ = NULL;
	glong _tmp11_ = 0L;
	glong _tmp12_ = 0L;
#line 577 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (path != NULL, 0L);
#line 581 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = path;
#line 581 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_file_system_escape_single_quote (_tmp0_);
#line 581 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = _tmp1_;
#line 581 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = g_strdup_printf ("du -s -b '%s'", _tmp2_);
#line 581 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = _tmp3_;
#line 581 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp2_);
#line 581 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp4_;
#line 583 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	tee_jee_process_helper_exec_sync (cmd, &_tmp5_, &_tmp6_);
#line 583 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 583 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	std_out = _tmp5_;
#line 583 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 583 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	std_err = _tmp6_;
#line 584 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp8_ = _tmp7_ = g_strsplit (std_out, "\t", 0);
#line 584 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp9_ = _tmp8_;
#line 584 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp9__length1 = _vala_array_length (_tmp7_);
#line 584 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp10_ = _tmp9_[0];
#line 584 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp11_ = atol (_tmp10_);
#line 584 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp12_ = _tmp11_;
#line 584 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp9_ = (_vala_array_free (_tmp9_, _tmp9__length1, (GDestroyNotify) g_free), NULL);
#line 584 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp12_;
#line 584 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 584 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 584 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 584 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 3829 "TeeJee.FileSystem.c"
}


glong tee_jee_file_system_dir_size_kb (const gchar* path) {
	glong result = 0L;
	const gchar* _tmp0_ = NULL;
	glong _tmp1_ = 0L;
#line 588 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (path != NULL, 0L);
#line 592 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = path;
#line 592 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_file_system_dir_size (_tmp0_);
#line 592 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = (glong) (_tmp1_ / 1024.0);
#line 592 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 3847 "TeeJee.FileSystem.c"
}


static gint string_index_of (const gchar* self, const gchar* needle, gint start_index) {
	gint result = 0;
	gchar* _result_ = NULL;
	gint _tmp0_ = 0;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
#line 987 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, 0);
#line 987 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, 0);
#line 988 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = start_index;
#line 988 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = needle;
#line 988 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp2_ = strstr (((gchar*) self) + _tmp0_, (gchar*) _tmp1_);
#line 988 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_result_ = _tmp2_;
#line 990 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp3_ = _result_;
#line 990 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_tmp3_ != NULL) {
#line 3874 "TeeJee.FileSystem.c"
		gchar* _tmp4_ = NULL;
#line 991 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp4_ = _result_;
#line 991 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = (gint) (_tmp4_ - ((gchar*) self));
#line 991 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 3882 "TeeJee.FileSystem.c"
	} else {
#line 993 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = -1;
#line 993 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 3888 "TeeJee.FileSystem.c"
	}
}


gboolean tee_jee_file_system_file_tar_encrypt (const gchar* src_file, const gchar* dst_file, const gchar* password) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 598 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (src_file != NULL, FALSE);
#line 598 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dst_file != NULL, FALSE);
#line 598 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (password != NULL, FALSE);
#line 599 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = src_file;
#line 599 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_file_system_file_exists (_tmp0_);
#line 599 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp1_) {
#line 3909 "TeeJee.FileSystem.c"
		const gchar* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
		gchar* src_dir = NULL;
		const gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* src_name = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* dst_dir = NULL;
		const gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		gchar* dst_name = NULL;
		const gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		gchar* tar_name = NULL;
		const gchar* _tmp13_ = NULL;
		const gchar* _tmp14_ = NULL;
		gint _tmp15_ = 0;
		gchar* _tmp16_ = NULL;
		gchar* tar_file = NULL;
		const gchar* _tmp17_ = NULL;
		const gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		gchar* cmd = NULL;
		const gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
		gchar* _tmp22_ = NULL;
		const gchar* _tmp23_ = NULL;
		gchar* _tmp24_ = NULL;
		gchar* _tmp25_ = NULL;
		const gchar* _tmp26_ = NULL;
		gchar* _tmp27_ = NULL;
		gchar* _tmp28_ = NULL;
		gchar* _tmp29_ = NULL;
		gchar* _tmp30_ = NULL;
		const gchar* _tmp31_ = NULL;
		const gchar* _tmp32_ = NULL;
		const gchar* _tmp33_ = NULL;
		gchar* _tmp34_ = NULL;
		gchar* _tmp35_ = NULL;
		const gchar* _tmp36_ = NULL;
		gchar* _tmp37_ = NULL;
		gchar* _tmp38_ = NULL;
		gchar* _tmp39_ = NULL;
		gchar* _tmp40_ = NULL;
		gchar* _tmp41_ = NULL;
		const gchar* _tmp42_ = NULL;
		const gchar* _tmp43_ = NULL;
		gchar* _tmp44_ = NULL;
		gchar* _tmp45_ = NULL;
		gchar* _tmp46_ = NULL;
		gchar* _tmp47_ = NULL;
		gchar* _tmp48_ = NULL;
		const gchar* _tmp49_ = NULL;
		gchar* stdout = NULL;
		gchar* stderr = NULL;
		gint status = 0;
		const gchar* _tmp50_ = NULL;
		gchar* _tmp51_ = NULL;
		gchar* _tmp52_ = NULL;
		gint _tmp53_ = 0;
		gint _tmp54_ = 0;
#line 600 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = dst_file;
#line 600 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = tee_jee_file_system_file_exists (_tmp2_);
#line 600 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_) {
#line 3978 "TeeJee.FileSystem.c"
			const gchar* _tmp4_ = NULL;
#line 601 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = dst_file;
#line 601 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_file_system_file_delete (_tmp4_);
#line 3984 "TeeJee.FileSystem.c"
		}
#line 604 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = src_file;
#line 604 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = tee_jee_file_system_file_parent (_tmp5_);
#line 604 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		src_dir = _tmp6_;
#line 605 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = src_file;
#line 605 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = tee_jee_file_system_file_basename (_tmp7_);
#line 605 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		src_name = _tmp8_;
#line 607 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = dst_file;
#line 607 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = tee_jee_file_system_file_parent (_tmp9_);
#line 607 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		dst_dir = _tmp10_;
#line 608 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = dst_file;
#line 608 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = tee_jee_file_system_file_basename (_tmp11_);
#line 608 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		dst_name = _tmp12_;
#line 609 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = dst_name;
#line 609 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = dst_name;
#line 609 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = string_index_of (_tmp14_, ".gpg", 0);
#line 609 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = string_slice (_tmp13_, (glong) 0, (glong) _tmp15_);
#line 609 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tar_name = _tmp16_;
#line 610 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = dst_dir;
#line 610 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = tar_name;
#line 610 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp19_ = g_strdup_printf ("%s/%s", _tmp17_, _tmp18_);
#line 610 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tar_file = _tmp19_;
#line 612 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp20_ = tar_file;
#line 612 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp21_ = tee_jee_file_system_escape_single_quote (_tmp20_);
#line 612 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp22_ = _tmp21_;
#line 612 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp23_ = src_dir;
#line 612 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp24_ = tee_jee_file_system_escape_single_quote (_tmp23_);
#line 612 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp25_ = _tmp24_;
#line 612 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp26_ = src_name;
#line 612 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp27_ = tee_jee_file_system_escape_single_quote (_tmp26_);
#line 612 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp28_ = _tmp27_;
#line 612 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp29_ = g_strdup_printf ("tar cvf '%s' --overwrite -C '%s' '%s'\n", _tmp22_, _tmp25_, _tmp28_);
#line 612 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp30_ = _tmp29_;
#line 612 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp28_);
#line 612 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp25_);
#line 612 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp22_);
#line 612 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp30_;
#line 617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp31_ = cmd;
#line 617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp32_ = password;
#line 617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp33_ = dst_file;
#line 617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp34_ = tee_jee_file_system_escape_single_quote (_tmp33_);
#line 617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp35_ = _tmp34_;
#line 617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp36_ = tar_file;
#line 617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp37_ = tee_jee_file_system_escape_single_quote (_tmp36_);
#line 617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp38_ = _tmp37_;
#line 617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp39_ = g_strdup_printf ("gpg --passphrase '%s' -o '%s' --symmetric '%s'\n", _tmp32_, _tmp35_, _tmp38_);
#line 617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp40_ = _tmp39_;
#line 617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp41_ = g_strconcat (_tmp31_, _tmp40_, NULL);
#line 617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp41_;
#line 617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp40_);
#line 617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp38_);
#line 617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp35_);
#line 622 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp42_ = cmd;
#line 622 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp43_ = tar_file;
#line 622 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp44_ = tee_jee_file_system_escape_single_quote (_tmp43_);
#line 622 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp45_ = _tmp44_;
#line 622 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp46_ = g_strdup_printf ("rm -f '%s'\n", _tmp45_);
#line 622 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp47_ = _tmp46_;
#line 622 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp48_ = g_strconcat (_tmp42_, _tmp47_, NULL);
#line 622 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 622 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp48_;
#line 622 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp47_);
#line 622 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp45_);
#line 624 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp49_ = cmd;
#line 624 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_debug (_tmp49_);
#line 627 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp50_ = cmd;
#line 627 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp53_ = tee_jee_process_helper_exec_script_sync (_tmp50_, &_tmp51_, &_tmp52_, FALSE, FALSE, TRUE, FALSE);
#line 627 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stdout);
#line 627 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		stdout = _tmp51_;
#line 627 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stderr);
#line 627 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		stderr = _tmp52_;
#line 627 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		status = _tmp53_;
#line 628 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp54_ = status;
#line 628 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp54_ == 0) {
#line 629 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			result = TRUE;
#line 629 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (stderr);
#line 629 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (stdout);
#line 629 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (cmd);
#line 629 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (tar_file);
#line 629 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (tar_name);
#line 629 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (dst_name);
#line 629 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (dst_dir);
#line 629 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (src_name);
#line 629 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (src_dir);
#line 629 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 4156 "TeeJee.FileSystem.c"
		} else {
			const gchar* _tmp55_ = NULL;
#line 632 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp55_ = stderr;
#line 632 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_msg (_tmp55_, FALSE);
#line 4163 "TeeJee.FileSystem.c"
		}
#line 599 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stderr);
#line 599 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stdout);
#line 599 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 599 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (tar_file);
#line 599 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (tar_name);
#line 599 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (dst_name);
#line 599 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (dst_dir);
#line 599 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (src_name);
#line 599 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (src_dir);
#line 4183 "TeeJee.FileSystem.c"
	}
#line 636 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = FALSE;
#line 636 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 4189 "TeeJee.FileSystem.c"
}


gchar* tee_jee_file_system_file_decrypt_untar_read (const gchar* src_file, const gchar* password) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gchar* _tmp29_ = NULL;
#line 640 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (src_file != NULL, NULL);
#line 640 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (password != NULL, NULL);
#line 642 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = src_file;
#line 642 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_file_system_file_exists (_tmp0_);
#line 642 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp1_) {
#line 4208 "TeeJee.FileSystem.c"
		gchar* cmd = NULL;
		gchar* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
		const gchar* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		const gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		const gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
		gchar* std_out = NULL;
		gchar* std_err = NULL;
		gint status = 0;
		const gchar* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
		gchar* _tmp18_ = NULL;
		gint _tmp19_ = 0;
		gint _tmp20_ = 0;
#line 649 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = g_strdup ("");
#line 649 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp2_;
#line 651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = cmd;
#line 651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = password;
#line 651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = src_file;
#line 651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = tee_jee_file_system_escape_single_quote (_tmp5_);
#line 651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = _tmp6_;
#line 651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = g_strdup_printf ("gpg --quiet --no-verbose --passphrase '%s' -o- --decrypt '%s'", _tmp4_, _tmp7_);
#line 651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = _tmp8_;
#line 651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = g_strconcat (_tmp3_, _tmp9_, NULL);
#line 651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp10_;
#line 651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp9_);
#line 651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp7_);
#line 655 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = cmd;
#line 655 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = g_strconcat (_tmp11_, " | tar xf - --to-stdout 2>/dev/null\n", NULL);
#line 655 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 655 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp12_;
#line 656 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = cmd;
#line 656 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = g_strconcat (_tmp13_, "exit $?\n", NULL);
#line 656 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 656 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp14_;
#line 658 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = cmd;
#line 658 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_debug (_tmp15_);
#line 661 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = cmd;
#line 661 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp19_ = tee_jee_process_helper_exec_script_sync (_tmp16_, &_tmp17_, &_tmp18_, FALSE, FALSE, TRUE, FALSE);
#line 661 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (std_out);
#line 661 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		std_out = _tmp17_;
#line 661 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (std_err);
#line 661 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		std_err = _tmp18_;
#line 661 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		status = _tmp19_;
#line 662 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp20_ = status;
#line 662 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp20_ == 0) {
#line 663 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			result = std_out;
#line 663 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (std_err);
#line 663 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (cmd);
#line 663 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 4306 "TeeJee.FileSystem.c"
		} else {
			const gchar* _tmp21_ = NULL;
			gchar* _tmp22_ = NULL;
#line 666 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp21_ = std_err;
#line 666 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_error (_tmp21_, FALSE, FALSE);
#line 667 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp22_ = g_strdup ("");
#line 667 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			result = _tmp22_;
#line 667 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (std_err);
#line 667 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (std_out);
#line 667 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (cmd);
#line 667 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 4326 "TeeJee.FileSystem.c"
		}
#line 642 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (std_err);
#line 642 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (std_out);
#line 642 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 4334 "TeeJee.FileSystem.c"
	} else {
		const gchar* _tmp23_ = NULL;
		const gchar* _tmp24_ = NULL;
		gchar* _tmp25_ = NULL;
		gchar* _tmp26_ = NULL;
		gchar* _tmp27_ = NULL;
		gchar* _tmp28_ = NULL;
#line 671 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp23_ = _ ("File is missing");
#line 671 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp24_ = src_file;
#line 671 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp25_ = g_strdup_printf (": %s", _tmp24_);
#line 671 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp26_ = _tmp25_;
#line 671 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp27_ = g_strconcat (_tmp23_, _tmp26_, NULL);
#line 671 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp28_ = _tmp27_;
#line 671 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp28_, FALSE, FALSE);
#line 671 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp28_);
#line 671 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp26_);
#line 4360 "TeeJee.FileSystem.c"
	}
#line 674 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp29_ = g_strdup ("");
#line 674 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp29_;
#line 674 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 4368 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_decrypt_and_untar (const gchar* src_file, const gchar* dst_file, const gchar* password) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 678 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (src_file != NULL, FALSE);
#line 678 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dst_file != NULL, FALSE);
#line 678 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (password != NULL, FALSE);
#line 679 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = src_file;
#line 679 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_file_system_file_exists (_tmp0_);
#line 679 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp1_) {
#line 4388 "TeeJee.FileSystem.c"
		const gchar* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
		gchar* src_dir = NULL;
		const gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* src_name = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* tar_name = NULL;
		const gchar* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
		gint _tmp11_ = 0;
		gchar* _tmp12_ = NULL;
		gchar* tar_file = NULL;
		const gchar* _tmp13_ = NULL;
		const gchar* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
		gchar* cmd = NULL;
		gchar* _tmp16_ = NULL;
		const gchar* _tmp17_ = NULL;
		const gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
		gchar* _tmp22_ = NULL;
		gchar* _tmp23_ = NULL;
		const gchar* _tmp24_ = NULL;
		const gchar* _tmp25_ = NULL;
		const gchar* _tmp26_ = NULL;
		gchar* _tmp27_ = NULL;
		gchar* _tmp28_ = NULL;
		const gchar* _tmp29_ = NULL;
		gchar* _tmp30_ = NULL;
		gchar* _tmp31_ = NULL;
		gchar* _tmp32_ = NULL;
		gchar* _tmp33_ = NULL;
		gchar* _tmp34_ = NULL;
		const gchar* _tmp35_ = NULL;
		gchar* _tmp36_ = NULL;
		const gchar* _tmp37_ = NULL;
		const gchar* _tmp38_ = NULL;
		gchar* _tmp39_ = NULL;
		gchar* _tmp40_ = NULL;
		const gchar* _tmp41_ = NULL;
		gchar* _tmp42_ = NULL;
		gchar* _tmp43_ = NULL;
		gchar* _tmp44_ = NULL;
		gchar* _tmp45_ = NULL;
		gchar* _tmp46_ = NULL;
		gchar* _tmp47_ = NULL;
		gchar* _tmp48_ = NULL;
		const gchar* _tmp49_ = NULL;
		const gchar* _tmp50_ = NULL;
		gchar* _tmp51_ = NULL;
		gchar* _tmp52_ = NULL;
		gchar* _tmp53_ = NULL;
		gchar* _tmp54_ = NULL;
		gchar* _tmp55_ = NULL;
		const gchar* _tmp56_ = NULL;
		gchar* stdout = NULL;
		gchar* stderr = NULL;
		gint status = 0;
		const gchar* _tmp57_ = NULL;
		gchar* _tmp58_ = NULL;
		gchar* _tmp59_ = NULL;
		gint _tmp60_ = 0;
		gint _tmp61_ = 0;
#line 680 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = dst_file;
#line 680 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = tee_jee_file_system_file_exists (_tmp2_);
#line 680 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_) {
#line 4462 "TeeJee.FileSystem.c"
			const gchar* _tmp4_ = NULL;
#line 681 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = dst_file;
#line 681 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_file_system_file_delete (_tmp4_);
#line 4468 "TeeJee.FileSystem.c"
		}
#line 684 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = src_file;
#line 684 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = tee_jee_file_system_file_parent (_tmp5_);
#line 684 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		src_dir = _tmp6_;
#line 685 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = src_file;
#line 685 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = tee_jee_file_system_file_basename (_tmp7_);
#line 685 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		src_name = _tmp8_;
#line 686 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = src_name;
#line 686 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = src_name;
#line 686 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = string_index_of (_tmp10_, ".gpg", 0);
#line 686 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = string_slice (_tmp9_, (glong) 0, (glong) _tmp11_);
#line 686 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tar_name = _tmp12_;
#line 687 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = src_dir;
#line 687 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = tar_name;
#line 687 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = g_strdup_printf ("%s/%s", _tmp13_, _tmp14_);
#line 687 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tar_file = _tmp15_;
#line 689 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = g_strdup ("");
#line 689 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp16_;
#line 692 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = cmd;
#line 692 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = tar_file;
#line 692 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp19_ = tee_jee_file_system_escape_single_quote (_tmp18_);
#line 692 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp20_ = _tmp19_;
#line 692 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp21_ = g_strdup_printf ("rm -f '%s'\n", _tmp20_);
#line 692 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp22_ = _tmp21_;
#line 692 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp23_ = g_strconcat (_tmp17_, _tmp22_, NULL);
#line 692 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 692 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp23_;
#line 692 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp22_);
#line 692 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp20_);
#line 694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp24_ = cmd;
#line 694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp25_ = password;
#line 694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp26_ = tar_file;
#line 694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp27_ = tee_jee_file_system_escape_single_quote (_tmp26_);
#line 694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp28_ = _tmp27_;
#line 694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp29_ = src_file;
#line 694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp30_ = tee_jee_file_system_escape_single_quote (_tmp29_);
#line 694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp31_ = _tmp30_;
#line 694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp32_ = g_strdup_printf ("gpg --passphrase '%s' -o '%s' --decrypt '%s'\n", _tmp25_, _tmp28_, _tmp31_);
#line 694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp33_ = _tmp32_;
#line 694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp34_ = g_strconcat (_tmp24_, _tmp33_, NULL);
#line 694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp34_;
#line 694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp33_);
#line 694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp31_);
#line 694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp28_);
#line 699 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp35_ = cmd;
#line 699 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp36_ = g_strconcat (_tmp35_, "status=$?; if [ $status -ne 0 ]; then exit $status; fi\n", NULL);
#line 699 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 699 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp36_;
#line 701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp37_ = cmd;
#line 701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp38_ = tar_file;
#line 701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp39_ = tee_jee_file_system_escape_single_quote (_tmp38_);
#line 701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp40_ = _tmp39_;
#line 701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp41_ = dst_file;
#line 701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp42_ = tee_jee_file_system_file_parent (_tmp41_);
#line 701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp43_ = _tmp42_;
#line 701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp44_ = tee_jee_file_system_escape_single_quote (_tmp43_);
#line 701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp45_ = _tmp44_;
#line 701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp46_ = g_strdup_printf ("tar xvf '%s' --overwrite --same-permissions -C '%s'\n", _tmp40_, _tmp45_);
#line 701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp47_ = _tmp46_;
#line 701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp48_ = g_strconcat (_tmp37_, _tmp47_, NULL);
#line 701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp48_;
#line 701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp47_);
#line 701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp45_);
#line 701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp43_);
#line 701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp40_);
#line 705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp49_ = cmd;
#line 705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp50_ = tar_file;
#line 705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp51_ = tee_jee_file_system_escape_single_quote (_tmp50_);
#line 705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp52_ = _tmp51_;
#line 705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp53_ = g_strdup_printf ("rm -f '%s'\n", _tmp52_);
#line 705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp54_ = _tmp53_;
#line 705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp55_ = g_strconcat (_tmp49_, _tmp54_, NULL);
#line 705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp55_;
#line 705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp54_);
#line 705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp52_);
#line 707 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp56_ = cmd;
#line 707 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_debug (_tmp56_);
#line 710 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp57_ = cmd;
#line 710 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp60_ = tee_jee_process_helper_exec_script_sync (_tmp57_, &_tmp58_, &_tmp59_, FALSE, FALSE, TRUE, FALSE);
#line 710 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stdout);
#line 710 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		stdout = _tmp58_;
#line 710 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stderr);
#line 710 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		stderr = _tmp59_;
#line 710 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		status = _tmp60_;
#line 711 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp61_ = status;
#line 711 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp61_ == 0) {
#line 712 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			result = TRUE;
#line 712 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (stderr);
#line 712 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (stdout);
#line 712 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (cmd);
#line 712 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (tar_file);
#line 712 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (tar_name);
#line 712 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (src_name);
#line 712 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (src_dir);
#line 712 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 4664 "TeeJee.FileSystem.c"
		} else {
			const gchar* _tmp62_ = NULL;
#line 715 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp62_ = stderr;
#line 715 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_error (_tmp62_, FALSE, FALSE);
#line 716 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			result = FALSE;
#line 716 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (stderr);
#line 716 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (stdout);
#line 716 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (cmd);
#line 716 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (tar_file);
#line 716 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (tar_name);
#line 716 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (src_name);
#line 716 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (src_dir);
#line 716 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 4689 "TeeJee.FileSystem.c"
		}
#line 679 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stderr);
#line 679 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stdout);
#line 679 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 679 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (tar_file);
#line 679 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (tar_name);
#line 679 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (src_name);
#line 679 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (src_dir);
#line 4705 "TeeJee.FileSystem.c"
	} else {
		const gchar* _tmp63_ = NULL;
		const gchar* _tmp64_ = NULL;
		gchar* _tmp65_ = NULL;
		gchar* _tmp66_ = NULL;
		gchar* _tmp67_ = NULL;
		gchar* _tmp68_ = NULL;
#line 720 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp63_ = _ ("File is missing");
#line 720 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp64_ = src_file;
#line 720 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp65_ = g_strdup_printf (": %s", _tmp64_);
#line 720 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp66_ = _tmp65_;
#line 720 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp67_ = g_strconcat (_tmp63_, _tmp66_, NULL);
#line 720 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp68_ = _tmp67_;
#line 720 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp68_, FALSE, FALSE);
#line 720 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp68_);
#line 720 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp66_);
#line 4731 "TeeJee.FileSystem.c"
	}
#line 723 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = FALSE;
#line 723 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 4737 "TeeJee.FileSystem.c"
}


gchar* tee_jee_file_system_hash_md5 (const gchar* path) {
	gchar* result = NULL;
	GChecksum* checksum = NULL;
	GChecksum* _tmp0_ = NULL;
	FILE* stream = NULL;
	const gchar* _tmp1_ = NULL;
	FILE* _tmp2_ = NULL;
	guint8 fbuf[100] = {0};
	gsize size = 0UL;
	const gchar* digest = NULL;
	GChecksum* _tmp8_ = NULL;
	const gchar* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
#line 728 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (path != NULL, NULL);
#line 729 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = g_checksum_new (G_CHECKSUM_MD5);
#line 729 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	checksum = _tmp0_;
#line 730 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = path;
#line 730 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = g_fopen (_tmp1_, "rb");
#line 730 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	stream = _tmp2_;
#line 734 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	while (TRUE) {
#line 4768 "TeeJee.FileSystem.c"
		FILE* _tmp3_ = NULL;
		gsize _tmp4_ = 0UL;
		gsize _tmp5_ = 0UL;
		GChecksum* _tmp6_ = NULL;
		gsize _tmp7_ = 0UL;
#line 734 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = stream;
#line 734 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = fread (fbuf, (gsize) 1, 100, _tmp3_);
#line 734 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		size = _tmp4_;
#line 734 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = size;
#line 734 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (!(_tmp5_ > ((gsize) 0))) {
#line 734 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			break;
#line 4786 "TeeJee.FileSystem.c"
		}
#line 735 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = checksum;
#line 735 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = size;
#line 735 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_checksum_update (_tmp6_, fbuf, _tmp7_);
#line 4794 "TeeJee.FileSystem.c"
	}
#line 738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp8_ = checksum;
#line 738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp9_ = g_checksum_get_string (_tmp8_);
#line 738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	digest = _tmp9_;
#line 740 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp10_ = g_strdup (digest);
#line 740 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp10_;
#line 740 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_fclose0 (stream);
#line 740 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_checksum_free0 (checksum);
#line 740 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 4812 "TeeJee.FileSystem.c"
}


gchar* tee_jee_file_system_format_file_size (guint64 size, gboolean binary_units, const gchar* unit, gboolean show_units, gint decimals) {
	gchar* result = NULL;
	gint _tmp0_ = 0;
	gboolean _tmp1_ = FALSE;
	guint64 unit_k = 0ULL;
	guint64 _tmp2_ = 0ULL;
	gboolean _tmp3_ = FALSE;
	guint64 unit_m = 0ULL;
	guint64 _tmp6_ = 0ULL;
	gboolean _tmp7_ = FALSE;
	guint64 unit_g = 0ULL;
	guint64 _tmp10_ = 0ULL;
	gboolean _tmp11_ = FALSE;
	guint64 unit_t = 0ULL;
	gchar* txt = NULL;
	gchar* _tmp14_ = NULL;
	gboolean _tmp15_ = FALSE;
	guint64 _tmp16_ = 0ULL;
	guint64 _tmp17_ = 0ULL;
#line 745 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (unit != NULL, NULL);
#line 749 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = binary_units;
#line 749 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp1_) {
#line 749 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = 1024;
#line 4843 "TeeJee.FileSystem.c"
	} else {
#line 749 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = 1000;
#line 4847 "TeeJee.FileSystem.c"
	}
#line 749 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	unit_k = (guint64) _tmp0_;
#line 750 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = binary_units;
#line 750 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp3_) {
#line 4855 "TeeJee.FileSystem.c"
		guint64 _tmp4_ = 0ULL;
#line 750 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = unit_k;
#line 750 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = 1024 * _tmp4_;
#line 4861 "TeeJee.FileSystem.c"
	} else {
		guint64 _tmp5_ = 0ULL;
#line 750 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = unit_k;
#line 750 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = 1000 * _tmp5_;
#line 4868 "TeeJee.FileSystem.c"
	}
#line 750 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	unit_m = _tmp2_;
#line 751 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp7_ = binary_units;
#line 751 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp7_) {
#line 4876 "TeeJee.FileSystem.c"
		guint64 _tmp8_ = 0ULL;
#line 751 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = unit_m;
#line 751 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = 1024 * _tmp8_;
#line 4882 "TeeJee.FileSystem.c"
	} else {
		guint64 _tmp9_ = 0ULL;
#line 751 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = unit_m;
#line 751 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = 1000 * _tmp9_;
#line 4889 "TeeJee.FileSystem.c"
	}
#line 751 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	unit_g = _tmp6_;
#line 752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp11_ = binary_units;
#line 752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp11_) {
#line 4897 "TeeJee.FileSystem.c"
		guint64 _tmp12_ = 0ULL;
#line 752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = unit_g;
#line 752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = 1024 * _tmp12_;
#line 4903 "TeeJee.FileSystem.c"
	} else {
		guint64 _tmp13_ = 0ULL;
#line 752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = unit_g;
#line 752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = 1000 * _tmp13_;
#line 4910 "TeeJee.FileSystem.c"
	}
#line 752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	unit_t = _tmp10_;
#line 756 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp14_ = g_strdup ("");
#line 756 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	txt = _tmp14_;
#line 758 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp16_ = size;
#line 758 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp17_ = unit_t;
#line 758 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp16_ > _tmp17_) {
#line 4924 "TeeJee.FileSystem.c"
		gboolean _tmp18_ = FALSE;
		const gchar* _tmp19_ = NULL;
		gint _tmp20_ = 0;
		gint _tmp21_ = 0;
#line 758 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp19_ = unit;
#line 758 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp20_ = strlen (_tmp19_);
#line 758 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp21_ = _tmp20_;
#line 758 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp21_ == 0) {
#line 758 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp18_ = TRUE;
#line 4939 "TeeJee.FileSystem.c"
		} else {
			const gchar* _tmp22_ = NULL;
#line 758 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp22_ = unit;
#line 758 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp18_ = g_strcmp0 (_tmp22_, "t") == 0;
#line 4946 "TeeJee.FileSystem.c"
		}
#line 758 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = _tmp18_;
#line 4950 "TeeJee.FileSystem.c"
	} else {
#line 758 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = FALSE;
#line 4954 "TeeJee.FileSystem.c"
	}
#line 758 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp15_) {
#line 4958 "TeeJee.FileSystem.c"
		const gchar* _tmp23_ = NULL;
		gint _tmp24_ = 0;
		gchar* _tmp25_ = NULL;
		gchar* _tmp26_ = NULL;
		guint64 _tmp27_ = 0ULL;
		guint64 _tmp28_ = 0ULL;
		gchar* _tmp29_ = NULL;
		gchar* _tmp30_ = NULL;
		gchar* _tmp31_ = NULL;
		gboolean _tmp32_ = FALSE;
#line 759 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp23_ = txt;
#line 759 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp24_ = decimals;
#line 759 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp25_ = g_strdup_printf ("%%'0.%df", _tmp24_);
#line 759 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp26_ = _tmp25_;
#line 759 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp27_ = size;
#line 759 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp28_ = unit_t;
#line 759 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp29_ = g_strdup_printf (_tmp26_, _tmp27_ / (1.0 * _tmp28_));
#line 759 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp30_ = _tmp29_;
#line 759 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp31_ = g_strconcat (_tmp23_, _tmp30_, NULL);
#line 759 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (txt);
#line 759 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		txt = _tmp31_;
#line 759 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp30_);
#line 759 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp26_);
#line 760 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp32_ = show_units;
#line 760 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp32_) {
#line 4999 "TeeJee.FileSystem.c"
			const gchar* _tmp33_ = NULL;
			gboolean _tmp34_ = FALSE;
			const gchar* _tmp35_ = NULL;
			gchar* _tmp36_ = NULL;
			gchar* _tmp37_ = NULL;
			gchar* _tmp38_ = NULL;
#line 761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp34_ = binary_units;
#line 761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			if (_tmp34_) {
#line 761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp33_ = "Ti";
#line 5012 "TeeJee.FileSystem.c"
			} else {
#line 761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp33_ = "T";
#line 5016 "TeeJee.FileSystem.c"
			}
#line 761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp35_ = txt;
#line 761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp36_ = g_strdup_printf (" %sB", _tmp33_);
#line 761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp37_ = _tmp36_;
#line 761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp38_ = g_strconcat (_tmp35_, _tmp37_, NULL);
#line 761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (txt);
#line 761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			txt = _tmp38_;
#line 761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp37_);
#line 5032 "TeeJee.FileSystem.c"
		}
	} else {
		gboolean _tmp39_ = FALSE;
		guint64 _tmp40_ = 0ULL;
		guint64 _tmp41_ = 0ULL;
#line 764 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp40_ = size;
#line 764 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp41_ = unit_g;
#line 764 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp40_ > _tmp41_) {
#line 5044 "TeeJee.FileSystem.c"
			gboolean _tmp42_ = FALSE;
			const gchar* _tmp43_ = NULL;
			gint _tmp44_ = 0;
			gint _tmp45_ = 0;
#line 764 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp43_ = unit;
#line 764 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp44_ = strlen (_tmp43_);
#line 764 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp45_ = _tmp44_;
#line 764 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			if (_tmp45_ == 0) {
#line 764 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp42_ = TRUE;
#line 5059 "TeeJee.FileSystem.c"
			} else {
				const gchar* _tmp46_ = NULL;
#line 764 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp46_ = unit;
#line 764 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp42_ = g_strcmp0 (_tmp46_, "g") == 0;
#line 5066 "TeeJee.FileSystem.c"
			}
#line 764 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp39_ = _tmp42_;
#line 5070 "TeeJee.FileSystem.c"
		} else {
#line 764 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp39_ = FALSE;
#line 5074 "TeeJee.FileSystem.c"
		}
#line 764 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp39_) {
#line 5078 "TeeJee.FileSystem.c"
			const gchar* _tmp47_ = NULL;
			gint _tmp48_ = 0;
			gchar* _tmp49_ = NULL;
			gchar* _tmp50_ = NULL;
			guint64 _tmp51_ = 0ULL;
			guint64 _tmp52_ = 0ULL;
			gchar* _tmp53_ = NULL;
			gchar* _tmp54_ = NULL;
			gchar* _tmp55_ = NULL;
			gboolean _tmp56_ = FALSE;
#line 765 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp47_ = txt;
#line 765 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp48_ = decimals;
#line 765 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp49_ = g_strdup_printf ("%%'0.%df", _tmp48_);
#line 765 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp50_ = _tmp49_;
#line 765 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp51_ = size;
#line 765 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp52_ = unit_g;
#line 765 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp53_ = g_strdup_printf (_tmp50_, _tmp51_ / (1.0 * _tmp52_));
#line 765 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp54_ = _tmp53_;
#line 765 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp55_ = g_strconcat (_tmp47_, _tmp54_, NULL);
#line 765 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (txt);
#line 765 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			txt = _tmp55_;
#line 765 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp54_);
#line 765 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp50_);
#line 766 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp56_ = show_units;
#line 766 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			if (_tmp56_) {
#line 5119 "TeeJee.FileSystem.c"
				const gchar* _tmp57_ = NULL;
				gboolean _tmp58_ = FALSE;
				const gchar* _tmp59_ = NULL;
				gchar* _tmp60_ = NULL;
				gchar* _tmp61_ = NULL;
				gchar* _tmp62_ = NULL;
#line 767 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp58_ = binary_units;
#line 767 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				if (_tmp58_) {
#line 767 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp57_ = "Gi";
#line 5132 "TeeJee.FileSystem.c"
				} else {
#line 767 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp57_ = "G";
#line 5136 "TeeJee.FileSystem.c"
				}
#line 767 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp59_ = txt;
#line 767 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp60_ = g_strdup_printf (" %sB", _tmp57_);
#line 767 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp61_ = _tmp60_;
#line 767 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp62_ = g_strconcat (_tmp59_, _tmp61_, NULL);
#line 767 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_free0 (txt);
#line 767 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				txt = _tmp62_;
#line 767 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_free0 (_tmp61_);
#line 5152 "TeeJee.FileSystem.c"
			}
		} else {
			gboolean _tmp63_ = FALSE;
			guint64 _tmp64_ = 0ULL;
			guint64 _tmp65_ = 0ULL;
#line 770 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp64_ = size;
#line 770 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_tmp65_ = unit_m;
#line 770 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			if (_tmp64_ > _tmp65_) {
#line 5164 "TeeJee.FileSystem.c"
				gboolean _tmp66_ = FALSE;
				const gchar* _tmp67_ = NULL;
				gint _tmp68_ = 0;
				gint _tmp69_ = 0;
#line 770 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp67_ = unit;
#line 770 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp68_ = strlen (_tmp67_);
#line 770 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp69_ = _tmp68_;
#line 770 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				if (_tmp69_ == 0) {
#line 770 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp66_ = TRUE;
#line 5179 "TeeJee.FileSystem.c"
				} else {
					const gchar* _tmp70_ = NULL;
#line 770 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp70_ = unit;
#line 770 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp66_ = g_strcmp0 (_tmp70_, "m") == 0;
#line 5186 "TeeJee.FileSystem.c"
				}
#line 770 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp63_ = _tmp66_;
#line 5190 "TeeJee.FileSystem.c"
			} else {
#line 770 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp63_ = FALSE;
#line 5194 "TeeJee.FileSystem.c"
			}
#line 770 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			if (_tmp63_) {
#line 5198 "TeeJee.FileSystem.c"
				const gchar* _tmp71_ = NULL;
				gint _tmp72_ = 0;
				gchar* _tmp73_ = NULL;
				gchar* _tmp74_ = NULL;
				guint64 _tmp75_ = 0ULL;
				guint64 _tmp76_ = 0ULL;
				gchar* _tmp77_ = NULL;
				gchar* _tmp78_ = NULL;
				gchar* _tmp79_ = NULL;
				gboolean _tmp80_ = FALSE;
#line 771 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp71_ = txt;
#line 771 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp72_ = decimals;
#line 771 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp73_ = g_strdup_printf ("%%'0.%df", _tmp72_);
#line 771 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp74_ = _tmp73_;
#line 771 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp75_ = size;
#line 771 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp76_ = unit_m;
#line 771 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp77_ = g_strdup_printf (_tmp74_, _tmp75_ / (1.0 * _tmp76_));
#line 771 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp78_ = _tmp77_;
#line 771 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp79_ = g_strconcat (_tmp71_, _tmp78_, NULL);
#line 771 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_free0 (txt);
#line 771 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				txt = _tmp79_;
#line 771 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_free0 (_tmp78_);
#line 771 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_g_free0 (_tmp74_);
#line 772 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp80_ = show_units;
#line 772 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				if (_tmp80_) {
#line 5239 "TeeJee.FileSystem.c"
					const gchar* _tmp81_ = NULL;
					gboolean _tmp82_ = FALSE;
					const gchar* _tmp83_ = NULL;
					gchar* _tmp84_ = NULL;
					gchar* _tmp85_ = NULL;
					gchar* _tmp86_ = NULL;
#line 773 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp82_ = binary_units;
#line 773 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					if (_tmp82_) {
#line 773 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
						_tmp81_ = "Mi";
#line 5252 "TeeJee.FileSystem.c"
					} else {
#line 773 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
						_tmp81_ = "M";
#line 5256 "TeeJee.FileSystem.c"
					}
#line 773 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp83_ = txt;
#line 773 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp84_ = g_strdup_printf (" %sB", _tmp81_);
#line 773 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp85_ = _tmp84_;
#line 773 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp86_ = g_strconcat (_tmp83_, _tmp85_, NULL);
#line 773 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (txt);
#line 773 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					txt = _tmp86_;
#line 773 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp85_);
#line 5272 "TeeJee.FileSystem.c"
				}
			} else {
				gboolean _tmp87_ = FALSE;
				guint64 _tmp88_ = 0ULL;
				guint64 _tmp89_ = 0ULL;
#line 776 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp88_ = size;
#line 776 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				_tmp89_ = unit_k;
#line 776 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				if (_tmp88_ > _tmp89_) {
#line 5284 "TeeJee.FileSystem.c"
					gboolean _tmp90_ = FALSE;
					const gchar* _tmp91_ = NULL;
					gint _tmp92_ = 0;
					gint _tmp93_ = 0;
#line 776 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp91_ = unit;
#line 776 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp92_ = strlen (_tmp91_);
#line 776 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp93_ = _tmp92_;
#line 776 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					if (_tmp93_ == 0) {
#line 776 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
						_tmp90_ = TRUE;
#line 5299 "TeeJee.FileSystem.c"
					} else {
						const gchar* _tmp94_ = NULL;
#line 776 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
						_tmp94_ = unit;
#line 776 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
						_tmp90_ = g_strcmp0 (_tmp94_, "k") == 0;
#line 5306 "TeeJee.FileSystem.c"
					}
#line 776 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp87_ = _tmp90_;
#line 5310 "TeeJee.FileSystem.c"
				} else {
#line 776 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp87_ = FALSE;
#line 5314 "TeeJee.FileSystem.c"
				}
#line 776 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
				if (_tmp87_) {
#line 5318 "TeeJee.FileSystem.c"
					const gchar* _tmp95_ = NULL;
					gint _tmp96_ = 0;
					gchar* _tmp97_ = NULL;
					gchar* _tmp98_ = NULL;
					guint64 _tmp99_ = 0ULL;
					guint64 _tmp100_ = 0ULL;
					gchar* _tmp101_ = NULL;
					gchar* _tmp102_ = NULL;
					gchar* _tmp103_ = NULL;
					gboolean _tmp104_ = FALSE;
#line 777 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp95_ = txt;
#line 777 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp96_ = decimals;
#line 777 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp97_ = g_strdup_printf ("%%'0.%df", _tmp96_);
#line 777 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp98_ = _tmp97_;
#line 777 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp99_ = size;
#line 777 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp100_ = unit_k;
#line 777 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp101_ = g_strdup_printf (_tmp98_, _tmp99_ / (1.0 * _tmp100_));
#line 777 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp102_ = _tmp101_;
#line 777 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp103_ = g_strconcat (_tmp95_, _tmp102_, NULL);
#line 777 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (txt);
#line 777 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					txt = _tmp103_;
#line 777 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp102_);
#line 777 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp98_);
#line 778 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp104_ = show_units;
#line 778 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					if (_tmp104_) {
#line 5359 "TeeJee.FileSystem.c"
						const gchar* _tmp105_ = NULL;
						gboolean _tmp106_ = FALSE;
						const gchar* _tmp107_ = NULL;
						gchar* _tmp108_ = NULL;
						gchar* _tmp109_ = NULL;
						gchar* _tmp110_ = NULL;
#line 779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
						_tmp106_ = binary_units;
#line 779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
						if (_tmp106_) {
#line 779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
							_tmp105_ = "Ki";
#line 5372 "TeeJee.FileSystem.c"
						} else {
#line 779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
							_tmp105_ = "K";
#line 5376 "TeeJee.FileSystem.c"
						}
#line 779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
						_tmp107_ = txt;
#line 779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
						_tmp108_ = g_strdup_printf (" %sB", _tmp105_);
#line 779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
						_tmp109_ = _tmp108_;
#line 779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
						_tmp110_ = g_strconcat (_tmp107_, _tmp109_, NULL);
#line 779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
						_g_free0 (txt);
#line 779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
						txt = _tmp110_;
#line 779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
						_g_free0 (_tmp109_);
#line 5392 "TeeJee.FileSystem.c"
					}
				} else {
					const gchar* _tmp111_ = NULL;
					guint64 _tmp112_ = 0ULL;
					gchar* _tmp113_ = NULL;
					gchar* _tmp114_ = NULL;
					gchar* _tmp115_ = NULL;
					gboolean _tmp116_ = FALSE;
#line 783 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp111_ = txt;
#line 783 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp112_ = size;
#line 783 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp113_ = g_strdup_printf ("%'0lld", _tmp112_);
#line 783 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp114_ = _tmp113_;
#line 783 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp115_ = g_strconcat (_tmp111_, _tmp114_, NULL);
#line 783 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (txt);
#line 783 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					txt = _tmp115_;
#line 783 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp114_);
#line 784 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					_tmp116_ = show_units;
#line 784 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
					if (_tmp116_) {
#line 5421 "TeeJee.FileSystem.c"
						const gchar* _tmp117_ = NULL;
						gchar* _tmp118_ = NULL;
#line 785 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
						_tmp117_ = txt;
#line 785 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
						_tmp118_ = g_strconcat (_tmp117_, " B", NULL);
#line 785 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
						_g_free0 (txt);
#line 785 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
						txt = _tmp118_;
#line 5432 "TeeJee.FileSystem.c"
					}
				}
			}
		}
	}
#line 791 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = txt;
#line 791 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 5442 "TeeJee.FileSystem.c"
}


static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 5455 "TeeJee.FileSystem.c"
	{
		GRegex* regex = NULL;
		const gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		GRegex* _tmp3_ = NULL;
		GRegex* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		GRegex* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp0_ = old;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp1_ = g_regex_escape_string (_tmp0_, -1);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_new (_tmp2_, 0, 0, &_inner_error_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp2_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		regex = _tmp4_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 5486 "TeeJee.FileSystem.c"
				goto __catch76_g_regex_error;
			}
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 5495 "TeeJee.FileSystem.c"
		}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp6_ = regex;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp7_ = replacement;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp8_ = g_regex_replace_literal (_tmp6_, self, (gssize) -1, 0, _tmp7_, 0, &_inner_error_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = _tmp8_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 5511 "TeeJee.FileSystem.c"
				goto __catch76_g_regex_error;
			}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 5522 "TeeJee.FileSystem.c"
		}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp9_ = _tmp5_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = NULL;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = _tmp9_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp5_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 5536 "TeeJee.FileSystem.c"
	}
	goto __finally76;
	__catch76_g_regex_error:
	{
		GError* e = NULL;
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1385 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 5550 "TeeJee.FileSystem.c"
	}
	__finally76:
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return NULL;
#line 5561 "TeeJee.FileSystem.c"
	}
}


gchar* tee_jee_file_system_escape_single_quote (const gchar* file_path) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 794 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 795 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = file_path;
#line 795 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = string_replace (_tmp0_, "'", "'\\''");
#line 795 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp1_;
#line 795 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 5580 "TeeJee.FileSystem.c"
}


gint tee_jee_file_system_chmod (const gchar* file, const gchar* permission) {
	gint result = 0;
	gchar* cmd = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gint _tmp6_ = 0;
#line 800 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file != NULL, 0);
#line 800 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (permission != NULL, 0);
#line 803 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = permission;
#line 803 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = file;
#line 803 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = tee_jee_file_system_escape_single_quote (_tmp1_);
#line 803 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = _tmp2_;
#line 803 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = g_strdup_printf ("chmod %s '%s'", _tmp0_, _tmp3_);
#line 803 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp5_ = _tmp4_;
#line 803 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp3_);
#line 803 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp5_;
#line 804 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp6_ = tee_jee_process_helper_exec_sync (cmd, NULL, NULL);
#line 804 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp6_;
#line 804 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 804 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 5622 "TeeJee.FileSystem.c"
}


static gchar* string_strip (const gchar* self) {
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 1207 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1208 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1208 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1209 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1209 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1210 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _result_;
#line 1210 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 5645 "TeeJee.FileSystem.c"
}


gchar* tee_jee_file_system_resolve_relative_path (const gchar* filePath) {
	gchar* result = NULL;
	gchar* filePath2 = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	GError * _inner_error_ = NULL;
#line 808 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (filePath != NULL, NULL);
#line 812 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = filePath;
#line 812 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 812 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	filePath2 = _tmp1_;
#line 813 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = filePath2;
#line 813 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = g_str_has_prefix (_tmp2_, "~");
#line 813 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp3_) {
#line 5671 "TeeJee.FileSystem.c"
		const gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		gint _tmp9_ = 0;
		gint _tmp10_ = 0;
		gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
#line 814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = g_get_home_dir ();
#line 814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = g_strconcat (_tmp4_, "/", NULL);
#line 814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = _tmp5_;
#line 814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = filePath2;
#line 814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = filePath2;
#line 814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = strlen (_tmp8_);
#line 814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = _tmp9_;
#line 814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = string_slice (_tmp7_, (glong) 2, (glong) _tmp10_);
#line 814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = _tmp11_;
#line 814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = g_strconcat (_tmp6_, _tmp12_, NULL);
#line 814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (filePath2);
#line 814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		filePath2 = _tmp13_;
#line 814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp12_);
#line 814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp6_);
#line 5710 "TeeJee.FileSystem.c"
	}
	{
		gchar* output = NULL;
		gchar* _tmp14_ = NULL;
		gchar* cmd = NULL;
		const gchar* _tmp15_ = NULL;
		gchar* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
		gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		const gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
		const gchar* _tmp22_ = NULL;
		gchar* _tmp23_ = NULL;
		const gchar* _tmp24_ = NULL;
		gboolean _tmp25_ = FALSE;
#line 818 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = g_strdup ("");
#line 818 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		output = _tmp14_;
#line 819 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = filePath2;
#line 819 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = tee_jee_file_system_escape_single_quote (_tmp15_);
#line 819 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = _tmp16_;
#line 819 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = g_strdup_printf ("realpath '%s'", _tmp17_);
#line 819 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp19_ = _tmp18_;
#line 819 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp17_);
#line 819 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp19_;
#line 820 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp20_ = cmd;
#line 820 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_spawn_command_line_sync (_tmp20_, &_tmp21_, NULL, NULL, &_inner_error_);
#line 820 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (output);
#line 820 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		output = _tmp21_;
#line 820 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 820 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (cmd);
#line 820 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (output);
#line 5759 "TeeJee.FileSystem.c"
			goto __catch77_g_error;
		}
#line 821 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp22_ = output;
#line 821 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp23_ = string_strip (_tmp22_);
#line 821 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (output);
#line 821 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		output = _tmp23_;
#line 822 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp24_ = output;
#line 822 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp25_ = g_file_test (_tmp24_, G_FILE_TEST_EXISTS);
#line 822 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp25_) {
#line 823 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			result = output;
#line 823 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (cmd);
#line 823 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (filePath2);
#line 823 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 5784 "TeeJee.FileSystem.c"
		}
#line 817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (output);
#line 5790 "TeeJee.FileSystem.c"
	}
	goto __finally77;
	__catch77_g_error:
	{
		GError* e = NULL;
		GError* _tmp26_ = NULL;
		const gchar* _tmp27_ = NULL;
#line 817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 827 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp26_ = e;
#line 827 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp27_ = _tmp26_->message;
#line 827 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp27_, FALSE, FALSE);
#line 817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 5810 "TeeJee.FileSystem.c"
	}
	__finally77:
#line 817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (filePath2);
#line 817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error_);
#line 817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		return NULL;
#line 5823 "TeeJee.FileSystem.c"
	}
#line 830 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = filePath2;
#line 830 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 5829 "TeeJee.FileSystem.c"
}


gint tee_jee_file_system_rsync (const gchar* sourceDirectory, const gchar* destDirectory, gboolean updateExisting, gboolean deleteExtra) {
	gint result = 0;
	gchar* cmd = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	const gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	gboolean _tmp6_ = FALSE;
	const gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	const gchar* _tmp9_ = NULL;
	const gchar* _tmp10_ = NULL;
	gchar* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	gchar* _tmp15_ = NULL;
	gchar* _tmp16_ = NULL;
	gchar* _tmp17_ = NULL;
	const gchar* _tmp18_ = NULL;
	const gchar* _tmp19_ = NULL;
	gchar* _tmp20_ = NULL;
	gchar* _tmp21_ = NULL;
	gchar* _tmp22_ = NULL;
	gchar* _tmp23_ = NULL;
	gchar* _tmp24_ = NULL;
	const gchar* _tmp25_ = NULL;
	gint _tmp26_ = 0;
#line 833 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (sourceDirectory != NULL, 0);
#line 833 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (destDirectory != NULL, 0);
#line 837 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = g_strdup ("rsync -avh");
#line 837 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp0_;
#line 838 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = updateExisting;
#line 838 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp2_) {
#line 838 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = "";
#line 5877 "TeeJee.FileSystem.c"
	} else {
#line 838 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = " --ignore-existing";
#line 5881 "TeeJee.FileSystem.c"
	}
#line 838 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = cmd;
#line 838 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = g_strconcat (_tmp3_, _tmp1_, NULL);
#line 838 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 838 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp4_;
#line 839 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp6_ = deleteExtra;
#line 839 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp6_) {
#line 839 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = " --delete";
#line 5897 "TeeJee.FileSystem.c"
	} else {
#line 839 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = "";
#line 5901 "TeeJee.FileSystem.c"
	}
#line 839 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp7_ = cmd;
#line 839 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp8_ = g_strconcat (_tmp7_, _tmp5_, NULL);
#line 839 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 839 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp8_;
#line 840 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp9_ = cmd;
#line 840 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp10_ = sourceDirectory;
#line 840 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp11_ = tee_jee_file_system_escape_single_quote (_tmp10_);
#line 840 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp12_ = _tmp11_;
#line 840 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp13_ = g_strconcat (_tmp12_, "//", NULL);
#line 840 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp14_ = _tmp13_;
#line 840 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp15_ = g_strdup_printf (" '%s'", _tmp14_);
#line 840 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp16_ = _tmp15_;
#line 840 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp17_ = g_strconcat (_tmp9_, _tmp16_, NULL);
#line 840 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 840 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp17_;
#line 840 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp16_);
#line 840 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp14_);
#line 840 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp12_);
#line 841 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp18_ = cmd;
#line 841 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp19_ = destDirectory;
#line 841 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp20_ = tee_jee_file_system_escape_single_quote (_tmp19_);
#line 841 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp21_ = _tmp20_;
#line 841 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp22_ = g_strdup_printf (" '%s'", _tmp21_);
#line 841 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp23_ = _tmp22_;
#line 841 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp24_ = g_strconcat (_tmp18_, _tmp23_, NULL);
#line 841 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 841 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp24_;
#line 841 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp23_);
#line 841 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp21_);
#line 842 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp25_ = cmd;
#line 842 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_tmp26_ = tee_jee_process_helper_exec_sync (_tmp25_, NULL, NULL);
#line 842 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp26_;
#line 842 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 842 "/builddir/build/BUILD/timeshift-18.4/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 5971 "TeeJee.FileSystem.c"
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



